Overview of all axis specific parameters

The following table shows the drive type and axis type specific dependencies of all parameter and functionality, in which the parameters are used. Parameters in italics at the moment are not used or not available.

ID | Structure | Parameter | for drive type |  |  |  |  |  |  |  | axis types |  |  | Used in functionality/BF
 |  |  | Simu | Conv | SERC | Term | Light | Profi | CAN-open | DSE | L | R | S |
P-AXIS-00001 | getriebe[i].slope_profil. | a_beschl | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00002 | getriebe[i].slope_profil. | a_brems | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00003 | getriebe[i].dynamik. | a_emergency | X | X | X | X | X | X | X |  | X | X | X | Emergency stop
P-AXIS-00004 | getriebe[i].slope_profil. | a_grenz | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00005 | getriebe[i].lslope_profil. | a_grenz_stufe_1 | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for linear slope
P-AXIS-00006 | getriebe[i].lslope_profil. | a_grenz_stufe_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for linear slope
P-AXIS-00007 | getriebe[i].beschl_kennlinie. | a_konst | X | X | X | X | X | X | X |  |  |  | X | Spindle interpolator
P-AXIS-00008 | getriebe[i].dynamik. | a_max | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for lin. + nonlin. slope
P-AXIS-00009 | handbetrieb.hb. | a_max | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00010 | getriebe[i].beschl_kennlinie. | a_min | X | X | X | X | X | X | X |  |  |  | X | Spindle interpolator
P-AXIS-00011 | getriebe[i].lslope_profil. | a_stufe_1 | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for linear slope
P-AXIS-00012 | getriebe[i].lslope_profil. | a_stufe_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for linear slope
P-AXIS-00013 | getriebe[i].dynamik. | a_trans_weight | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00014 | kenngr. | abs_pos_gueltig | X |  | X |  |  |  |  |  | X | X | X | Absolute measurement system
P-AXIS-00015 | kenngr. | achs_mode | X | X | X | X | X | X | X |  | X | X | X | Axis mode
P-AXIS-00016 | kopf. | achs_nr | X | X | X | X | X | X | X |  | X | X | X | Axis number
P-AXIS-00017 | getriebe[i]. | achs_position[j] | X | X | X | X | X | X | X |  |  |  | X | Single axis interpolator
P-AXIS-00018 | kenngr. | achs_typ | X | X | X | X | X | X | X |  | X | X | X | Axis type
P-AXIS-00019 | antr.sercos. | antr_adr |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00020 | kenngr. | antr_typ | X | X | X | X | X | X | X |  | X | X | X | Drive type
P-AXIS-00021 | lr_param. | anwahl_losekomp | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00022 | lr_param. | anz_driftwerte |  |  |  |  |  |  |  |  |  |  |  | Position controler
P-AXIS-00023 | kenngr. | anzeige | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00024 | getriebe[i].lslope_profil | a_feedh | X | X | X | X | X | X | X |  | X | X |  | Dynamic values for linear slope
P-AXIS-00025 | handbetrieb.hr. | aufl[i] | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00026 | getriebe[i].beschl_kennlinie. | b1 | X | X | X | X | X | X | X |  |  |  | X | Spindle interpolator
P-AXIS-00027 | getriebe[i].beschl_kennlinie. | b2 | X | X | X | X | X | X | X |  |  |  | X | Spindle interpolator
P-AXIS-00028 | getriebe[i].beschl_kennlinie. | b3 | X | X | X | X | X | X | X |  |  |  | X | Spindle interpolator
P-AXIS-00029 | bahnrg. | bahnregelung |  |  |  |  |  |  |  |  |  |  |  | Path control
P-AXIS-00030 | getriebe[i]. | vb_max_red_zone | X | X | X | X | X | X | X |  | X | X |  | Velocity in security zone
P-AXIS-00031 | kenngr. | beweg_richt | X | X | X | X | X | X | X |  |  | X | X | Rotary axis
P-AXIS-00032 | bahnrg. | br_i_faktor |  |  |  |  |  |  |  |  |  |  |  | Path control
P-AXIS-00033 | bahnrg. | br_í_nenner |  |  |  |  |  |  |  |  |  |  |  | Path control
P-AXIS-00034 | bahnrg. | br_p_faktor |  |  |  |  |  |  |  |  |  |  |  | Path control
P-AXIS-00035 | bahnrg. | br_p_nenner |  |  |  |  |  |  |  |  |  |  |  | Path control
P-AXIS-00036 | lr_hw[i]. | cam_direct_access |  | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00037 | lr_hw[i]. | cam_hw_id_string |  | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00038 | lr_hw[i]. | cam_level |  | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00039 | lr_hw[i]. | cam_mask |  | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00040 | kopf. | clone_of | X | X | X | X | X | X | X |  | X | X | X | Create multiple instances
P-AXIS-00041 | lr_hw[i]. | cntr_channel |  | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00042 | lr_hw[i]. | cntr_hw_id_string |  | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00043 | kenngr. | coll_check_ax_nr | X | X | X | X | X | X | X |  | X |  |  | Collision detection
P-AXIS-00044 | kenngr. | coll_decelerate_chan |  |  | X |  |  |  |  |  | X |  |  | Collision detection
P-AXIS-00045 | kenngr. | coll_offset | X | X | X | X | X | X | X |  | X |  |  | Collision detection
P-AXIS-00046 | handbetrieb.default. | control_element | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00047 | lr_param. | crosscomp | X | X | X | X | X | X | X |  | X |  |  | Compensation
P-AXIS-00048 | lr_hw[i]. | da_channel |  | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00049 | lr_hw[i]. | da_hw_id_string |  | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00050 | antr.simu | daempfung_n | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00051 | antr.simu | daempfung_z | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00052 | kenngr. | def_cax_gear_st | X | X | X | X | X | X | X |  |  | X | X | C-Achse
P-AXIS-00053 | getriebe[i].slope_profil. | a_feedh | X | X | X | X | X | X | X |  | X | X |  | Dynamic value for nonlinear slope
P-AXIS-00054 | getriebe[i]. | default_lr_hw_nbr | X | X | X | X | X | X | X |  | X | X | X | Gear shift
P-AXIS-00055 | vorsteuer. | delay_time |  |  |  |  |  |  |  |  |  |  |  | Adaptive f eedforward control
P-AXIS-00056 | kenngr. | diff_pos_tracking |  |  |  |  |  |  |  |  |  |  |  | Tracking operation
P-AXIS-00057 | lr_hw[i]. | drift_wert |  | X |  | X | X | X |  |  | X | X | X | Compensation
P-AXIS-00058 | kenngr. | durchm_prog_abs | X | X | X | X | X | X | X |  | X |  |  | Turning
P-AXIS-00059 | kenngr. | durchm_prog_rel | X | X | X | X | X | X | X |  | X |  |  | Turning
P-AXIS-00060 | kenngr. | echtzeit_bit_nr |  |  | X |  |  |  |  |  | X | X |  | Measurement with SERCOS
P-AXIS-00061 | antr.simu | eigenfrequenz_n | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00062 | antr.simu | eigenfrequenz_z | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00063 | antr.sercos. | eval_calc_slot |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00064 | kenngr. | fast_from_cam | X | X | X | X | X | X | X |  | X | X |  | Homing
P-AXIS-00065 | antr.profibus. | feinaufloesung |  |  |  |  |  | X |  |  | X | X | X | Feedforward control
P-AXIS-00066 | kenngr. | feininterpolation |  |  |  |  |  |  |  |  |  |  |  | Fine interpolation
P-AXIS-00067 | filter[i]. | fg_f0 | X | X | X | X | X | X | X |  | X |  |  | Position setpoint filter
P-AXIS-00068 | antr.sercos.ident[i]. | file |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00069 | handbetrieb.hr. | filter_zeit | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00070 | kenngr. | gantry_ax_nr | X | X | X | X | X | X | X |  | X | X |  | Gantry operation
P-AXIS-00071 | kenngr. | gantry_max_diff_reset_locked | X | X | X | X | X | X | X |  | X | X |  | Gantry operation
P-AXIS-00072 | kenngr. | gantry_max_diff_resetable | X | X | X | X | X | X | X |  | X | X |  | Gantry operation
P-AXIS-00073 | kenngr. | gantry_offset | X | X | X | X | X | X | X |  | X | X |  | Gantry operation
P-AXIS-00074 | kenngr. | gantry_slave_no_homing | X | X | X | X | X | X | X |  | X | X |  | Gantry operation
P-AXIS-00075 | kenngr. | gantry_vb_korr | X | X | X | X | X | X | X |  | X | X |  | Gantry operation
P-AXIS-00076 | handbetrieb.jog. | geschw[i] | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00077 | handbetrieb.tipp. | geschw[i] | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00078 | getriebe[i]. | getr_schalt_pos | X | X |  | X | X | X | X |  | X | X | X | Spindle
P-AXIS-00079 | kenngr. | getriebe_stufe | X | X | X | X | X | X | X |  | X | X | X | Gear step
P-AXIS-00080 | filter[i]. | guete | X | X | X | X | X | X | X |  | X |  |  | Position setpoint filter
P-AXIS-00081 | getriebe[i].slope_profil. | tr_feedh | X | X | X | X | X | X | X |  | X | X |  | Dynamic value for nonlinear slope
P-AXIS-00082 | handbetrieb.ipo. | hb_proz_a_max | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00083 | handbetrieb.ipo. | hb_proz_v_max | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00084 | kenngr. | homing_without_zero_pulse | X | X | X | X | X | X | X |  | X | X |  | Homing
P-AXIS-00085 | kenngr. | red_speed_zone_pos | X | X | X | X | X | X | X |  | X | X |  | Monitoring of security zone 1
P-AXIS-00086 | kenngr. | hub_messtaster | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00087 | antr.sercos.at[i]. | ident_len |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00088 | antr.sercos.mdt[i]. | ident_len |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00089 | antr.sercos.at[i]. | ident_nr |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00090 | antr.sercos.mdt[i]. | ident_nr |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00091 | kenngr. | in_add_interface | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00092 | vorsteuer. | incr_per_rev |  |  |  |  |  | X |  |  | X | X | X | Feedforward control
P-AXIS-00093 | kenngr. | red_speed_zone_neg | X | X | X | X | X | X | X |  | X | X |  | Monitoring of security zone 1
P-AXIS-00094 | handbetrieb.ipo. | ipo_proz_a_max | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00095 | handbetrieb.ipo. | ipo_proz_v_max | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00096 | antr.simu | ist_gleich_soll | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00097 | kenngr. | red_speed_zone_2_pos | X | X | X | X | X | X | X |  | X | X |  | Monitoring of security zone 2
P-AXIS-00098 | kenngr. | kasto_achse | X | X | X | X | X | X | X |  | X | X |  | Edge bending
P-AXIS-00099 | getriebe[i]. | kv | X | X |  | X | X | X | X |  | X | X | X | Position control
P-AXIS-00100 | antr.sercos.ident[i]. | laenge |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00101 | kopf. | link_to | X | X | X | X | X | X | X |  | X | X | X | Create multiple instances
P-AXIS-00102 | antr.sercos.ident[i]. | liste |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00103 | getriebe[i]. | lose | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00104 | lr_param. | lr_ueberwach |  |  |  |  |  |  |  |  |  |  |  | Position controle
P-AXIS-00105 | kenngr. | red_speed_zone_2_neg | X | X | X | X | X | X | X |  | X | X |  | Monitoring of security zone 2
P-AXIS-00106 | lr_hw[i]. | mask_mess_1 |  |  | X |  |  |  |  |  | X | X |  | Measurement with Sercos
P-AXIS-00107 | kenngr. | max_a_override |  |  |  |  |  |  |  |  |  |  |  | Acceleration override
P-AXIS-00108 | kenngr. | max_diff_soll_ist | X | X | X | X | X | X | X |  | X | X | X | Enabling of drive controller
P-AXIS-00109 | kenngr. | max_vb_override | X | X | X | X | X | X | X |  | X | X | X | Velocity override
P-AXIS-00110 | kopf. | mds_ident |  |  |  |  |  |  |  |  |  |  |  | Interpretation of Binary list
P-AXIS-00111 | antr.sercos. | mdt_offset |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00112 | meas_simu. | meas_simu_mode | X |  |  |  |  |  |  |  | X | X |  | Measurement
P-AXIS-00113 | kenngr. | mess_neg_flanke | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00114 | kenngr. | mess_offset | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00115 | kenngr. | mess_signal_achs_steuer | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00116 | kenngr. | mess_signal_sercos |  |  | X |  |  |  |  |  | X | X |  | Measurement with SERCOS
P-AXIS-00117 | kenngr. | mess_signal_taster | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00118 | kenngr. | messachse | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00119 | antr.sercos.ident[i]. | mod |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00120 | lr_param. | mod_komp | X | X | X | X | X | X | X |  |  | X | X | Compensation
P-AXIS-00121 | kenngr. | mod_rechng |  |  |  |  |  |  |  |  |  |  |  | Modulo calculation
P-AXIS-00122 | antr. | mode_act_pos |  |  | X |  |  |  |  |  | X | X | X | Normalization of actual position
P-AXIS-00123 | antr. | mode_cmd_pos |  |  | X |  |  |  |  |  | X | X | X | Normalization of setpoint position
P-AXIS-00124 | getriebe[i]. | modulo_fehler | X | X |  | X | X | X | X |  |  | X | X | Compensation
P-AXIS-00125 | getriebe[i]. | modulo_umdreh | X | X |  | X | X | X |  |  |  | X | X | Compensation
P-AXIS-00126 | getriebe[i]. | moduloo | X | X | X | X | X | X | X |  |  | X | X | Spindle, rot. axes
P-AXIS-00127 | getriebe[i]. | modulou | X | X | X | X | X | X | X |  |  | X | X | Spindle, rot. axes
P-AXIS-00128 | getriebe[i]. | multi_gain_n | X | X |  | X | X | X |  |  | X | X | X | Position control
P-AXIS-00129 | getriebe[i]. | multi_gain_z | X | X |  | X | X | X |  |  | X | X | X | Position control
P-AXIS-00130 | getriebe[i].beschl_kennlinie. | n_grenz | X | X | X | X | X | X | X |  |  |  | X | Spindle
P-AXIS-00131 | antr.sercos.at[i]. | nc_ref |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00132 | antr.sercos.mdt[i]. | nc_ref |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00133 | kenngr. | nocken_laenge |  |  |  |  |  |  |  |  |  |  |  | Cam length
P-AXIS-00134 | antr.sercos.ident[i]. | nr |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00135 | getriebe[i]. | nummer | X | X | X | X | X | X | X |  | X | X | X | Gear change
P-AXIS-00136 | lr_hw[i]. | nummer | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00137 | handbetrieb. | offsetgrenze_neg | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00138 | handbetrieb. | offsetgrenze_pos | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00139 | handbetrieb.default. | operation_mode | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00140 | filter[i]. | order | X | X | X | X | X | X | X |  | X |  |  | Position setpoint filter
P-AXIS-00141 | kenngr. | out_add_interface | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00142 | kenngr. | paar_achse |  |  |  |  |  |  |  |  |  |  |  | Rotation-/swivel joint
P-AXIS-00143 | kenngr. | paar_ax_nr |  |  |  |  |  |  |  |  |  |  |  | Rotation-/swivel joint
P-AXIS-00144 | kenngr. | paar_ref_richt |  |  |  |  |  |  |  |  |  |  |  | Rotation-/swivel joint
P-AXIS-00145 | meas_simu. | parameter1 | X |  |  |  |  |  |  |  | X | X |  | Measurement
P-AXIS-00146 | meas_simu | parameter2 |  |  |  |  |  |  |  |  |  |  |  | Measuerement simulation
P-AXIS-00147 | meas_simu | parameter3 |  |  |  |  |  |  |  |  |  |  |  | Measuerement simulation
P-AXIS-00148 | meas_simu | parameter4 |  |  |  |  |  |  |  |  |  |  |  | Measuerement simulation
P-AXIS-00149 | meas_simu | parameter5 |  |  |  |  |  |  |  |  |  |  |  | Measuerement simulation
P-AXIS-00150 | antr.sercos.ident[i]. | phase |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00151 | getriebe[i]. | pos_einschw_zeit | X | X | X | X | X | X | X |  | X | X | X | Monitoring
P-AXIS-00152 | getriebe[i]. | pos_refpkt | X | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00153 | filter[i]. | prototype | X | X | X | X | X | X | X |  | X |  |  | Position setpoint filter
P-AXIS-00154 | getriebe[i].dynamik. | r_trans_weight | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00155 | getriebe[i]. | rapid_speed_red | X | X | X | X | X | X | X |  | X | X | X | Monitoring security zone
P-AXIS-00156 | kenngr. | ref_ohne_nocken |  | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00157 | kenngr. | ref_ohne_rev |  | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00158 | kenngr. | ref_richt | X | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00159 | getriebe[i]. | reverse | X | X |  | X | X | X |  |  |  |  | X | Spindle
P-AXIS-00160 | antr.sercos. | ring_nr |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00161 | antr.simu | rpf_weg_bis_nip | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00162 | antr.profibus. | s_ls_limit |  |  |  |  |  | X |  |  | X | X | X | Monitoring, Profidrive
P-AXIS-00163 |  | regel_typ |  |  |  |  |  |  |  |  |  |  |  | Position controler
P-AXIS-00164 | filter[i]. | share_percent | X | X | X | X | X | X | X |  | X |  |  | Position setpoint filter
P-AXIS-00165 | vorsteuer. | shift_time |  |  |  |  |  | X |  |  | X | X | X | Feedforward control, Profidrive
P-AXIS-00166 | getriebe[i]. | slep_abw | X | X |  | X | X | X | X |  | X | X | X | Dynamical monitoring of following error
P-AXIS-00167 | getriebe[i]. | slep_dyn | X | X |  | X | X | X | X |  | X | X | X | Dynamical monitoring of following error
P-AXIS-00168 | getriebe[i]. | slep_max | X | X |  | X | X | X | X |  | X | X | X | Dynamical monitoring of following error
P-AXIS-00169 | getriebe[i]. | slep_min | X | X |  | X | X | X | X |  | X | X | X | Dynamical monitoring of following error
P-AXIS-00170 | getriebe[i]. | slep_time_const |  |  |  |  |  | X | X |  | X | X |  | Dynamical monitoring of following error
P-AXIS-00171 | lr_param. | slep_toleranz |  |  |  |  |  |  |  |  |  |  |  | Position controler
P-AXIS-00172 | getriebe[i]. | slep_ueberw_typ | X | X |  | X | X | X | X |  | X | X | X | Dynamical monitoring of following error
P-AXIS-00173 | antr.sercos.times. | slkn |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00174 | lr_param. | crosscomp2 | X | X | X | X | X | X | X |  | X |  |  | Compensation
P-AXIS-00175 | lr_param. | ssfk | X | X | X | X | X | X | X |  | X | X |  | Compensation
P-AXIS-00176 | lr_param. | suppress_pos_lag_error |  |  |  |  |  | X | X |  | X | X |  | Dynamical monitoring of following error
P-AXIS-00177 | kenngr. | swe_neg | X | X | X | X | X | X | X |  | X | X |  | Software limit monitoring
P-AXIS-00178 | kenngr. | swe_pos | X | X | X | X | X | X | X |  | X | X |  | Software limit monitoring
P-AXIS-00179 | kenngr. | swe_toleranz | X | X |  | X | X | X |  |  | X | X |  | Software limit monitoring
P-AXIS-00180 | antr.sercos.times. | t1 |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00181 | antr.sercos.times. | t1min |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00182 | antr.sercos.times. | t2 |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00183 | antr.sercos.times. | t3 |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00184 | antr.sercos.times. | t4 |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00185 | antr.sercos.times. | t4min |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00186 | antr.sercos.times. | tatat |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00187 | antr.sercos.times. | tatmt |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00188 | antr.sercos. | telegramm_typ |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00189 | kenngr. | tendenz_pruef | X | X | X | X | X | X |  |  | X | X | X | Monitoring
P-AXIS-00190 | vorsteuer. | timeconst_cmd_filter |  |  |  |  |  |  |  |  |  |  |  | Adaptive feedforward control
P-AXIS-00191 | antr. | nbr_delay_cycles |  |  | X |  |  |  | X | X | X | X | X | Configuration digital drives
P-AXIS-00192 | antr.sercos.times. | tmtsg |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00193 | antr.sercos.times. | tmtsy |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00194 | antr.simu | totzeit | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00195 | getriebe[i].slope_profil. | tr_beschl_ab | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00196 | getriebe[i].slope_profil. | tr_beschl_zu | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00197 | getriebe[i].slope_profil. | tr_brems_ab | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00198 | getriebe[i].slope_profil. | tr_brems_zu | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00199 | getriebe[i].dynamik. | tr_geom | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00200 | getriebe[i].slope_profil. | tr_grenz | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00201 | getriebe[i].dynamik. | tr_min | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for nonlinear slope
P-AXIS-00202 | getriebe[i].beschl_kennlinie. | typ | X | X | X | X | X | X | X |  |  |  | X | Spindle interpolator
P-AXIS-00203 | antr.sercos.ident[i]. | type |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00204 | filter[i]. | type | X | X | X | X | X | X | X |  | X |  |  | Position setpoint filter
P-AXIS-00205 | antr. | v_reso_denom |  |  | X |  |  |  |  |  | X | X | X | Standardization of velocity
P-AXIS-00206 | antr. | v_reso_num |  |  | X |  |  |  |  |  | X | X | X | Standardization of velocity
P-AXIS-00207 | antr. | v_time_base |  |  | X |  |  |  |  |  | X | X | X | Standardization of velocity
P-AXIS-00208 | kenngr. | vb_corr_tracking |  |  |  |  |  |  |  |  |  |  |  | Tracking operation
P-AXIS-00209 | getriebe[i]. | vb_eilgang | X | X | X | X | X | X | X |  | X | X | X | Rapid movement feedrate
P-AXIS-00210 | handbetrieb.tipp. | vb_eilgang | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00211 | getriebe[i].lslope_profil. | vb_grenz_stufe_1_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for linear slope
P-AXIS-00212 | getriebe[i].dynamik. | vb_max | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for lin. + nonlin. slope
P-AXIS-00213 | handbetrieb.hb. | vb_max | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00214 | getriebe[i]. | vb_max_red | X | X | X | X | X | X | X |  | X | X | X | Monitoring security zone
P-AXIS-00215 | kenngr. | vb_messen | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00216 | getriebe[i]. | vb_min_null | X | X | X | X | X | X | X |  |  |  | X | Spindle
P-AXIS-00217 | kenngr. | vb_prozent | X | X | X | X | X | X | X |  |  |  | X | Spindle
P-AXIS-00218 | getriebe[i]. | vb_reflow | X | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00219 | getriebe[i]. | vb_refmax |  | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00220 | getriebe[i]. | vb_regelgrenze | X | X |  | X | X | X |  |  |  |  | X | Spindle
P-AXIS-00221 | getriebe[i].lslope_profil. | vb_stufe_1_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamic value for linear slope
P-AXIS-00222 | kenngr. | virtuel_rad |  |  |  |  |  |  |  |  |  |  |  | Virtual radius
P-AXIS-00223 | vorsteuer. | vorsteuerung | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00224 | kenngr. | vorz_richtung | X | X | X | X | X | X | X |  |  | X | X | Rotatary axis
P-AXIS-00225 | vorsteuer. | vs_a_faktor | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00226 | vorsteuer. | vs_a_nenner | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00227 | vorsteuer. | vs_max_sprung |  |  |  |  |  |  |  |  |  |  |  | Feedforward control
P-AXIS-00228 | vorsteuer. | vs_v_faktor | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00229 | vorsteuer. | vs_v_nenner | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00230 | lr_hw[i]. | vz_istw | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00231 | lr_hw[i]. | vz_stellgr | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00232 | handbetrieb.jog. | weg[i] | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00233 | getriebe[i]. | wegaufn | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00234 | getriebe[i]. | wegaufz | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00235 | antr.sercos.ident[]. | wert |  |  | X |  |  |  |  |  | X | X | X | Configuration SERCOS
P-AXIS-00236 | getriebe[i]. | window | X | X | X | X | X | X | X |  | X | X | X | Monitoring
P-AXIS-00237 | getriebe[i]. | wsi_meldung | X | X | X | X | X | X | X |  | X | X | X | Monitoring
P-AXIS-00238 | antr.simu | zeitkonstante_n | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00239 | antr.simu | zeitkonstante_z | X |  |  |  |  |  |  |  | X | X | X | Axis simulation
P-AXIS-00240 | getriebe[i].beschl_kennlinie. | a_max | X | X | X | X | X | X | X |  |  |  | X | Spindle
P-AXIS-00241 | getriebe[i].beschl_kennlinie. | n1 | X | X | X | X | X | X | X |  |  |  | X | Spindle
P-AXIS-00242 | getriebe[i].beschl_kennlinie. | n2 | X | X | X | X | X | X | X |  |  |  | X | Spindle
P-AXIS-00243 | lr_param. | n_backlash_cyc | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00244 | getriebe[i].dyn_kv. | dyn_kv_active | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00245 | getriebe[i].dyn_kv. | kv1 | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00246 | getriebe[i].dyn_kv. | v1 | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00247 | getriebe[i].dyn_kv. | kv2 | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00248 | getriebe[i].dyn_kv. | v2 | X | X |  | X | X | X |  |  | X | X | X | Position controler
P-AXIS-00249 | kenngr. | gantry_diff_check_without_homing | X | X | X | X | X | X | X |  | X | X |  | Gantry operation
P-AXIS-00250 | kenngr. | configure_sai | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00251 | kenngr. | auto_call_ax | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00252 | kenngr. | consider_total_brake_dist | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00253 | kenngr. | gantry_synchronous_slave_homing |  |  | X |  |  |  |  |  | X | X |  | Gantry
P-AXIS-00254 | kenngr. | cnc_controlled_stop_after_error |  |  | X |  |  |  |  |  | X | X |  | Gantry
P-AXIS-00255 | vorsteuer. | default_active | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00256 | vorsteuer. | global_disable | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00257 | kenngr. | probing_signal_via_plc | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00258 | kenngr. | tracking_offset_remain | X | X | X | X | X | X | X |  | X | X | X | Tracking
P-AXIS-00259 | handbetrieb.hb. | a_feedh | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00260 | antr.profibus. | velocity_command_control | X | X |  | X | X | X |  |  | X | X | X | Position controler, Providrive
P-AXIS-00261 | kenngr. | gantry_deskew_trigger | X | X | X | X | X | X | X |  | X | X |  | Gantry
P-AXIS-00262 | kenngr. | coll_moving_dir_inverted | X | X | X | X | X | X | X |  | X |  |  | Collision detection
P-AXIS-00263 | kenngr. | coll_zero_position_offset | X | X | X | X | X | X | X |  | X |  |  | Collision detection
P-AXIS-00264 | antr.sercos. | op_mode_for_velocity_control |  |  | X |  |  |  |  |  |  |  | X | Switching of operation mode for spindle
P-AXIS-00265 | antr. | velocity_position_control_on |  |  | X |  |  |  |  |  |  |  | X | Switching of operation mode for spindle
P-AXIS-00266 | antr. | velocity_position_control_off |  |  | X |  |  |  |  |  |  |  | X | Switching of operation mode for spindle
P-AXIS-00267 | kenngr. | coll_use_a_emergency | X | X | X | X | X | X | X |  | X |  |  | Collision detection
P-AXIS-00268 | getriebe[i]. | vb_not_referenced | X | X | X | X | X | X | X |  | X | X | X | Homing
P-AXIS-00269 | kenngr. | meas_signal_drive | X | X | X | X | X | X | X |  | X | X |  | Measurement
P-AXIS-00270 | getriebe[i]. | slope_type | X | X | X | X | X | X | X |  | X | X | X | Dynamic value
P-AXIS-00271 | lr_param. | temp_comp | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00272 | lr_param. | temp_comp_position_0 | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00273 | lr_param. | temp_comp_offset_0 | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00274 | lr_param. | temp_comp_coefficient | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00275 | lr_param. | temp_comp_n_cycles | X | X | X | X | X | X | X |  | X | X | X | Compensation
P-AXIS-00276 | lr_param. | field_bus_allows_optimized_schedule | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00277 | kenngr. | prog_move_requires_homing | X | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00278 | kenngr. | set_refpos_mode | X | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00279 | kenngr. | set_refpos_offset | X | X |  | X | X | X |  |  | X | X | X | Homing
P-AXIS-00280 | getriebe[i].lslope_profil. | d_grenz_stufe_1 | X | X | X | X | X | X | X |  |  |  | X | Dynamic value for lin. slope (only SAI)
P-AXIS-00281 | getriebe[i].lslope_profil. | d_grenz_stufe_2 | X | X | X | X | X | X | X |  |  |  | X | Dynamic value for lin. slope (only SAI)
P-AXIS-00282 | getriebe[i].lslope_profil. | d_stufe_1 | X | X | X | X | X | X | X |  |  |  | X | Dynamic value for lin. slope (only SAI)
P-AXIS-00283 | getriebe[i].lslope_profil. | d_stufe_2 | X | X | X | X | X | X | X |  |  |  | X | Dynamic value for lin. slope (only SAI)
P-AXIS-00284 | kenngr. | gantry_max_homing_dist | X | X |  | X | X | X |  |  | X | X |  | Gantry
P-AXIS-00285 | getriebe[i]. | a_ref | X | X |  | X | X | X |  |  | X | X |  | Homing
P-AXIS-00286 | getriebe[i]. | tr_ref | X | X |  | X | X | X |  |  | X | X |  | Homing
P-AXIS-00287 | kenngr. | disable_super_imposed | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00288 | cam_gear. | is_master | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00289 | cam_gear. | v_diff_percent | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00290 | cam_gear. | time_in_window | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00291 | cam_gear. | time_out_in_window | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00292 | getriebe[i].dynamik. | a_w_max | X | X | X | X | X | X | X |  | X | X |  | Dynamic value for lin. + nonlin. slope
P-AXIS-00293 | getriebe[i].dynamik. | tr_w_min | X | X | X | X | X | X | X |  | X | X |  | Dynamic value for lin. + nonlin. slope
P-AXIS-00294 | kenngr. | homing_overflow_evaluation |  |  |  |  | X |  |  |  | X | X | X | Homing
P-AXIS-00295 | antr.canopen. | probing_input_number |  |  |  |  |  |  | X |  | X | X | X | Measurement
P-AXIS-00296 | lr_hw[i]. | encoder_range |  |  |  |  |  |  | X |  | X | X | X | Overflow handling Encoder
P-AXIS-00297 | kopf. | log_achs_name | X | X | X | X | X | X | X |  | X | X | X | Default axis name
P-AXIS-00298 | kenngr. | max_reference_position_offset |  |  | X |  |  |  | X |  | X | X | X | Homing
P-AXIS-00299 | kenngr. orkenngr.homing. | homing_type |  |  |  |  |  |  | X |  | X | X | X | Homing
P-AXIS-00300 | cam_gear. | mv_type | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00301 | cam_gear. | mv_nbr_cycles | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00302 | cam_gear. | v_max_slave | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00303 | cam_gear. | a_max_slave | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00304 | cam_gear. | delay_time | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00305 | cam_gear. | v_phasing | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00306 | cam_gear. | a_phasing | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00307 | cam_gear. | d_phasing | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00308 | cam_gear. | keep_coupling_on_lr_error | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00309 | cam_gear. | keep_coupling_on_fe_drop | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00310 | getriebe[i]. | allow_resolution_above_one |  |  |  |  |  |  |  |  |  |  |  | Position controler
P-AXIS-00311 | getriebe[i]. | vb_monitor | X | X | X | X | X | X | X |  | X | X | X | Velocity monitoring
P-AXIS-00312 | kenngr. | enable_speed_monitoring | X | X | X | X | X | X | X |  | X | X | X | Velocity monitoring
P-AXIS-00313 | kenngr. | enable_feed_enable | X | X | X | X | X | X | X |  | X | X | X | Velocity monitoring
P-AXIS-00314 | getriebe[i]. | vb_torq_limit_max |  |  | X |  |  |  |  |  | X | X | X | Velocity monitoring
P-AXIS-00315 | antr.profibus. | read_abs_pos_from_drive |  |  |  |  |  | X |  |  | X | X | X | Homing, Profidrive
P-AXIS-00316 | antr.profibus. | p1042 |  |  |  |  |  | X |  |  | X | X | X | Homing, Profidrive
P-AXIS-00317 | antr.profibus. | p1043 |  |  |  |  |  | X |  |  | X | X | X | Homing, Profidrive
P-AXIS-00318 | antr.profibus. | read_abs_pos_mode |  |  |  |  |  | X |  |  | X | X | X | Homing, Profidrive
P-AXIS-00319 | filter[i]. | enable | X | X | X | X | X | X | X |  | X |  |  | Position setpoint filter
P-AXIS-00320 | antr. | operation_mode |  |  | X |  |  |  |  |  | X | X | X | Definition of operation mode
P-AXIS-00321 | antr. | reference_cam_signal |  |  | X |  | X |  | X |  | X | X | X | Homing
P-AXIS-00322 | kenngr. | in_add_interface_pos_as_offset | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00323 | lr_param. | incr_quant | X | X | X | X | X | X | X |  | X | X | X | Position controler
P-AXIS-00324 | getriebe[i]. | torque_offset |  |  | X |  | X |  | X |  | X | X | X | Torque configuration
P-AXIS-00325 | antr. | torque_scale_num |  |  | X |  | X |  | X |  | X | X | X | Torque configuration
P-AXIS-00326 | antr. | torque_scale_denom |  |  | X | X | X | X | X |  | X | X |  | Torque configuration
P-AXIS-00327 | kenngr. | pos_corr_drive_enable |  |  | X |  |  | X | X |  | X | X | X | Enabling of drive controller
P-AXIS-00328 | lr_param. | distance_control_on |  |  | X |  |  | X | X |  | X | X |  | Distance controlled spindle
P-AXIS-00329 | kenngr. | ref_cam_is_limit_switch | X | X | X | X | X | X | X |  | X | X | X | Homing
P-AXIS-00330 | kenngr. | meas_signal_fixed_stop |  | X | X | X | X | X | X |  | X | X |  | Measurement on a fixed stop
P-AXIS-00331 | kenngr. | fixed_stop_pos_lag_limit |  | X | X | X | X | X | X |  | X | X |  | Measurement on a fixed stop
P-AXIS-00332 | kenngr. | fixed_stop_nbr_cycles |  | X | X | X | X | X | X |  | X | X |  | Measurement on a fixed stop
P-AXIS-00333 | getriebe[i].homing. | torq_move_velocity |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00334 | getriebe[i].homing. | torq_move_acceleration |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00335 | getriebe[i].homing. | torq_move_jerk |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00336 | antr.profibus. | abs_pos_revolutions |  |  |  |  |  | X |  |  | X | X | X | Profidrive
P-AXIS-00337 | vorsteuer. | jerk_fact_num | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00338 | vorsteuer. | jerk_fact_denom | X | X | X | X | X | X | X |  | X | X | X | Feedforward control
P-AXIS-00339 | getriebe[i].dynamik. | j_trans_c0 | X | X | X | X | X | X | X |  | X | X |  | Jerk limit value for lin. + nonlin. slope
P-AXIS-00340 | getriebe[i].dynamik. | j_trans_c1 | X | X | X | X | X | X | X |  | X | X |  | Jerk limit value for lin. + nonlin. slope
P-AXIS-00341 | antr.profibus. | read_abs_pos_offset |  |  |  |  |  | X |  |  | X |  |  | Profidrive
P-AXIS-00342 | getriebe[i].homing. | torq_move_torque_limit |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00343 | getriebe[i].homing. | torq_detect_torque_limit |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00344 | kenngr.homing. | torq_min_distance |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00345 | kenngr.homing. | torq_max_distance |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00346 | kenngr.homing. | torq_homing_dir |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00347 | kenngr.homing. | torq_detect_velocity_limit |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00348 | kenngr.homing. | torq_retraction_distance |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00349 | kenngr.homing. | torq_homing_position |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00350 | kenngr.homing. | torq_detect_time |  |  | X |  |  |  |  | X | X | X | X | Homing on a fixed stop
P-AXIS-00351 | kenngr. | filter_position_window | X | X | X | X | X | X | X |  | X | X | X | Position setpoint filter
P-AXIS-00352 | antr.profibus. | disable_auto_tracking |  |  |  |  |  | X |  |  | X | X | X | Profidrive
P-AXIS-00353 | antr. | edge_bending_input_nbr |  |  |  |  |  | X |  |  | X | X |  | Edge bending
P-AXIS-00354 | antr. | encoder_overflow_offset |  |  | X |  | X |  | X |  | X | X | X | Homing
P-AXIS-00355 | antr. | encoder_bit_range |  |  | X |  | X |  | X |  | X | X | X | Homing
P-AXIS-00356 | kenngr. | pos_corr_ignore_feedhold |  |  | X |  | X |  |  |  | X | X | X | Enabling of drive controller
P-AXIS-00357 | filter. | time_constant | X | X | X | X | X | X | X |  | X | X | X | Pos. setpoint filter (from V262 also for spdl.)
P-AXIS-00358 | antr. | ignore_unknown_telegram_elements |  |  | X | X | X | X | X |  | X | X | X | Configuration drive telegram
P-AXIS-00359 | handbetrieb.hb. | tr | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00360 | handbetrieb.hb. | tr_feedh | X | X | X | X | X | X | X |  | X | X |  | Manual mode
P-AXIS-00361 | vorsteuer. | timeconst_sym_filter |  |  |  |  |  | X |  |  | X | X | X | Pre control, Profidrive
P-AXIS-00362 | antr. | feed_const_num |  |  |  |  |  | X |  |  | X | X | X | Position controler
P-AXIS-00363 | antr. | feed_const_denom |  |  |  |  |  | X |  |  | X | X | X | Position controler
P-AXIS-00364 | antr.canopen. | zero_pulse_input_number |  |  |  |  |  |  | X |  | X | X | X | Homing
P-AXIS-00365 | handbetrieb.ipo. | hb_v_max_track | X | X | X | X | X | X | X |  | X | X | X | Manual mode, position correction
P-AXIS-00366 | handbetrieb.ipo. | hb_a_max_track | X | X | X | X | X | X | X |  | X | X | X | Manual mode, position correction
P-AXIS-00367 | antr. | plc_watchdog_disable_drive_delay_time | X | X | X | X | X | X | X |  | X | X | X | Drive release at watchdog error
P-AXIS-00368 | trafo.actual_pos. | enable | X | X | X | X | X | X | X | X | X | X | X | Axis specific actual value transformation
P-AXIS-00369 | trafo.actual_pos. | id | X | X | X | X | X | X | X | X | X | X | X | Axis specific actual value transformation
P-AXIS-00370 | trafo.actual_pos. | param[i] | X | X | X | X | X | X | X | X | X | X | X | Axis specific actual value transformation
P-AXIS-00371 | trafo.actual_pos.input[i]. | nr | X | X | X | X | X | X | X | X | X | X | X | Axis specific actual value transformation
P-AXIS-00372 | antr. | ethercat_master_name |  |  |  |  |  |  | X |  | X | X | X | EtherCAT master under INtime
P-AXIS-00373 | antr.dse. | brake_open_delay_time |  |  |  |  |  |  |  | X | X | X | X | DSE break control
P-AXIS-00374 | antr.dse. | brake_open_time |  |  |  |  |  |  |  | X | X | X | X | DSE break control
P-AXIS-00375 | antr.dse. | brake_close_premature_time |  |  |  |  |  |  |  | X | X | X | X | DSE break control
P-AXIS-00376 | cam_gear. | j_phasing | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00377 | cam_gear. | j_vel_sync | X | X | X | X | X | X | X |  | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00378 | kenngr. | keep_tp_over_reset |  |  |  |  |  |  |  | X | X | X | X | DSE and Measurement
P-AXIS-00379 | antr.profibus. | drive_velocity_base_value |  |  |  |  |  | X |  |  | X | X | X | Profidrive, velocity scaling factor
P-AXIS-00380 | trafo.command_pos. | enable | X | X | X | X | X | X | X | X |  | X |  | Axis specific command value transformation
P-AXIS-00381 | trafo.command_pos. | id | X | X | X | X | X | X | X | X |  | X |  | Axis specific command value transformation
P-AXIS-00382 | trafo.command_pos. | param[i] | X | X | X | X | X | X | X | X |  | X |  | Axis specific command value transformation
P-AXIS-00383 | kenngr.multi_link[i]. | lead_axis | X | X | X | X | X | X | X | X | X | X |  | Axis specific gear coupling
P-AXIS-00384 | kenngr.multi_link[i]. | factor_numerator | X | X | X | X | X | X | X | X | X | X |  | Axis specific gear coupling
P-AXIS-00385 | kenngr.multi_link[i]. | factor_denominator | X | X | X | X | X | X | X | X | X | X |  | Axis specific gear coupling
P-AXIS-00386 | antr.sercos. | drive_supports_cnc_homing |  |  | X |  |  |  |  |  | X | X | X | SERCOS Homing
P-AXIS-00387 | antr.sercos. | cnc_homing_rt_bit_layout |  |  | X |  |  |  |  |  | X | X | X | SERCOS Homing
P-AXIS-00388 | antr. | cnc_homing_encoder |  |  | X |  |  |  |  |  | X | X | X | Homing
P-AXIS-00389 | vorsteuer. | velocity_delay_time |  |  | X |  |  |  |  |  | X | X | X | Feedforward control
P-AXIS-00390 | vorsteuer. | acceleration_delay_time |  |  | X |  |  |  |  |  | X | X | X | Feedforward control
P-AXIS-00391 | getriebe[i]. | load |  |  | X |  |  |  |  |  | X | X | X | Feedforward control
P-AXIS-00392 | antr. | acc_reference_value |  |  | X |  |  |  |  |  | X | X | X | Feedforward control
P-AXIS-00393 | kenngr. | gantry_slave_relative_homing |  | X | X | X | X | X | X | X | X | X | X | Homing
P-AXIS-00394 | getriebe[i].dynamik. | a_overload_max | X | X | X | X | X | X | X | X | X | X |  | Dynamic limit values
P-AXIS-00395 | getriebe[i]. | pos_control_deadband | X | X | X | X | X | X |  | X | X | X |  | Position control hysteresis
P-AXIS-00396 | antr.function[i]. | id |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00397 | antr.function[i]. | commu |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00398 | antr.function[i]. | wr_ident[j] |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00399 | antr.function[i]. | data_type |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00400 | antr.function[i]. | startup_value |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00401 | antr.function[i]. | scaling_type |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00402 | kenngr. -Spezial MEWAG | auto_restore_link_axis_position |  |  | X |  |  |  |  |  |  | X | X | Restoring of axes positions
P-AXIS-00403 | antr. | abs_pos_offset | X |  | X |  | X | X | X |  | X | X | X | Position correction
P-AXIS-00404 | lr_hw[i]. | zero_pulse_search_max_dist | X | X | X | X | X | X | X |  | X | X | X | Homing
P-AXIS-00405 | antr. | encoder_coarsening_sector |  |  | X |  |  |  |  |  | X | X | X | Drive encoder scaling
P-AXIS-00406 | antr. | permissible_telegram_failures |  |  | X |  |  |  | X |  | X | X | X | Setting of Ethercat
P-AXIS-00407 | lr_param. | dyn_monitoring_v_err | X | X | X | X | X | X | X | X | X | X | X | Dynamic monitoring position controller
P-AXIS-00408 | antr.function[i] | min_limit |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00409 | antr.function[i] | max_limit |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00410 | antr. | dc_break_control_bit_nr | X |  |  |  |  | X |  |  |  |  | X | Control of DC brake
P-AXIS-00411 | antr.sercos.  nur HMG | evaluate_drive_follows_cmd |  |  | X |  |  |  |  |  | X | X | X | State display on HLI
P-AXIS-00412 | kenngr. | homing_max_movement_dist | X | X | X | X | X | X | X | X |  | X | X | Homing
P-AXIS-00413 | kenngr.distc. | n_cycles |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00414 | kenngr.distc. | max_deviation (alt: max_abweichung) |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00415 | kenngr.distc. | v_max |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00416 | kenngr.distc. | a_max |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00417 | kenngr.distc. | max_act_value_change (alt: max_istw_sprung) |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00418 | kenngr.distc. | ref_offset |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00419 | kenngr.distc. | max_pos |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00420 | kenngr.distc. | min_pos |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00421 | kenngr.distc. | tolerance (alt: toleranz) |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00422 | lr_hw[i]. | encoder_resolution_num | X | X | X | X | X | X | X | X | X | X | X | Position controler
P-AXIS-00423 | lr_hw[i]. | encoder_resolution_denom | X | X | X | X | X | X | X | X | X | X | X | Position controler
P-AXIS-00424 | lr_hw[i]. | mode_act_pos | X | X | X | X | X | X | X | X | X | X | X | Position controler
P-AXIS-00425 | antr.reference_check. | bit_nr |  |  | X |  |  |  |  |  | X | X | X | Homing
P-AXIS-00426 | antr.reference_check. | element_name |  |  | X |  |  |  |  |  | X | X | X | Homing
P-AXIS-00427 | kenngr. | cax_output_with_generated_nc_block | X | X | X | X | X | X | X | X | X | X | X | Positioning of coupled axes
P-AXIS-00428 | kenngr.distc. | check_sw_limit_switch |  |  | X |  |  | X | X |  | X | X |  | Distance control
P-AXIS-00429 | antr.function[i]. | mask |  |  | X |  |  | X |  |  | X | X | X | Setting of drive functions
P-AXIS-00430 | antr. | probing_input_nbr |  |  | X |  |  | X | X |  | X | X | X | Festlegen des Messeingangs
P-AXIS-00431 | dynamic_weighting. | enable | X | X | X | X | X | X | X | X | X | X |  | Path dependend dynamic weighting
P-AXIS-00432 | dynamic_weighting.param[i]. | path_limit | X | X | X | X | X | X | X | X | X | X |  | Path dependend dynamic weighting
P-AXIS-00433 | dynamic_weighting.param[i]. | velocity_fact | X | X | X | X | X | X | X | X | X | X |  | Path dependend dynamic weighting
P-AXIS-00434 | dynamic_weighting.param[i]. | acceleration_fact | X | X | X | X | X | X | X | X | X | X |  | Path dependend dynamic weighting
P-AXIS-00435 | dynamic_weighting.param[i]. | ramp_time_fact | X | X | X | X | X | X | X | X | X | X |  | Path dependend dynamic weighting
P-AXIS-00436 | kenngr. | recalc_link_main_input_position | X | X | X | X | X | X | X | X | X | X |  | Gear coupling with foreward mapping
P-AXIS-00437 | cam_gear. | fact_a_max_correction | X | X | X | X | X | X | X | X | X | X | X | Configuration Single Axis Interpolator
P-AXIS-00438 | kenngr. | in_add_interface_filter_time | X | X | X | X | X | X | X | X | X | X | X | Time const. filter for add. cmd. pos interf.


Structure and classification of axis parameters

The parameters of Machine Axis Data Set (axis parameters) contain the data of an axis that are initialized application-specifically. The parameters are defined in the following structures:

Structure names in the ASCII file | Contents
kopf | Machine Axis Data Header
getriebe | Gear step-dependent data
kenngr | General characteristic values
lr_param | General position controller parameters
lr_hw | Hardware-dependent position controller parameters
bahnrg | Path control parameters
vorsteuer | Feed forward parameters
antr | Parameters for drives
handbetrieb | Parameters for manual operation
twincat | Twincat system manager

In this document the following abbreviations are used for the different axis types:

Axis type | Translatory axis | Rotary axis
Abbreviation | T | R
Axis type definition "kenngr.achs_typ " | ACHSTYP_- TRANSLATOR (Linear axis) | ACHSTYP_- ROTATOR (Rotary axis) | ACHSTYP_- SPINDEL (Spindle)

The abbreviations "T" and "R" in this documentation determine solely the dimension of the parameters in the ASCII-file.

The allocation of axis type definition "kenngr.achs_typ " influences the data block to be assigned in axis parameters list. The description of possible axis types, axis operating modes and the drive types is given in the chapter 3.1.

The field indices to be stated for the axis parameters list correspond to the internal indexing of the NC kernel. The value ranges of parameters are defined, if necessary, also by specifying a limit arising due to the data format, e.g. MAX(UNS32) etc.


Syntax, interpretation and testing of ASCII-list file

The axis parameters are defined in an ASCII-file and interpreted by an ASCII interpreter and stored in the appropriate structures.

After that plausibility tests are carried out for the axis parameters.

This document defines the content and the syntax of the ASCII-Files (for example "achsmds1.lis") as well as the elements of te axis parameters.

For axis parameters of data type BOOLEAN, the following agreement is used:

Value | Significance
1 | Definition of TRUE
0 | Definition of FALSE


Comments in ASCII-file

Comments can be whole-lined, or can be added at the end of a line.

In case of whole-lined comment, then at the beginning of the line the comment character #, followed by a space character must be added.

If at the end of a line a comment is to be added, then before the comment solely a space character must be there. If in the line, however, a string is defined then before the comment the comment character ( must be placed.

Blank lines are also possible.

Example:

# ************************************************************************

# Data

# ************************************************************************

#

# Listing

dummy[1] 1 Comment

dummy[2] 1 # Comment

dummy[3] 1 ( Comment

dummy[4] 1 /* Comment

...

...

example[0].name STRING_2 ( Comment, here comment brackets necessary !)


List interpretation at start-up of NC kernel

The interpretation of all axis machine data lists is done at start-up of CNC in a multi step way depending on axis configuration and the internal default setting. Internal default setting of machine data set can be overwritten by values which results in interpretation of machine data axis list. No modifications are done to elements of internal default setting if values are missing or no necessary change is detected to internal setting after interpretation of external list.

The external lists are:

q Default list (default settings identical for all axes in one list)

q Axis specific list

The filename of used default list has to be entered in element P-STUP-00035 (default_achs_mds) of file hochlauf.lis. Entries in the default list are identical for all axes.

The sequence of list interpretation is :

1. Initialization of all lists with internal default list setting.

2. Overwriting of default initialization with entries of default-list.

3. Overwriting with entries of axis specific list of each axis.

The following figure shows list interpretation structure with two axes:


Logical axis number (P-AXIS-00016)

The logical axis number is a system-wide distinctive, identification characteristic for every axis. The entire management of axis data in the NC kernel takes place using the logical axis number.

It is not allowed to use the same logical axis number more than once. The logical number "0" is not permitted.

The assignment of an axis designation in the NC program to a logical axis (axis number) takes place in the channel parameters [CHAN] .

This entry is not taken over when the axis parameters list is actualized, to change the entry a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
achs_nr | UNS16 | 0 < achs_nr < MAX(UNS16) | T, R | ----


Identification of axis data (P-AXIS-00110)

The element 'mds_ident' is used to allow a reconfiguration of the axis data.

Variable name | Type | Permissible range | Axis type | Dimension
mds_ident | UNS16 | 0x00  0x01 | T, R | ----

Number | Significance
0x00 | Reconfiguration not permitted
0x01 | Reconfiguration permitted


Default name of an axis (P-AXIS-00297)

The element 'log_achs_name' defines the default name of an axis in the system. It is only used at name conflicts in connection with the extended axes exchange operations [PROG - Chapter - Axes exchange commands]. Therefor the axis should have a distinct system global name analogous to the logical axis number. Beside this the default name has no meaning, because the axis name is defined in the channel configuration (P-CHAN-00006).

The axis designations must begin with the letters A, B, C, U, V, W, X, Y, Z or Q. Subsequently, all the letters and digits are possible.

Variable name | Type | Permissible range | Dimension
bezeichnung | ACHS_NAME | String | ----

ACHS_NAME consist of the following array:

Variable name | Type | Index | Dimension
zeichen[m] | SGN08 | m = 0 ... [ACHS_NAME_LAENGE - 1] | ----

Value ACHS_NAME_LAENGE | Significance
application-dependent | Maximum length of axis designation


Multiple instantiation of an axis (P-AXIS-00101, P-AXIS-00040)

To command without axis change the same drive by two different channels (one after the other) following elements in the axis list are available:

q Link interpolator output to a specific physical axis (link_to).

q Take parameter data of a given axis as default values
and modify parts of it (clone_of).

Figure 2-1: Configuration of physical/ logical axes

The parameter link_to requests a link between the logical axis of the interpolator to the axis of the position controller (drive). If more than one logical axis is tried to link to the same drive, the other axes are waiting till by commanding this link is temporary interupted and released for a new connection.

Variable name | Type | Permissible range | Axis type | Dimension
link_to | UNS16 | 0 < link_to < MAX(UNS16) | T, R | ----

For easier configuration an axis could be a clone_of another axis. This means, during initialization of the axis the clone just uses the data of its master as template. The clone just has to specify the differences to its master in the parameter list.

Variable name | Type | Permissible range | Axis type | Dimension
clone_of | UNS16 | 0 < clone_of < MAX(UNS16) | T, R | ----


General axis data (kenngr.*)

In this chapter, the axis-specific data multiple required in NC-channel have been put together.

More:

button Drive type and axis type


Drive type and axis type

More:

button Drive type (P-AXIS-00020)

button Axis type (P-AXIS-00018)

button Operating mode of an axis (P-AXIS-00015)


Drive type (P-AXIS-00020)

The drive type of the respective axis is determined through the parameter "kenngr.antr_typ". For every axis a selection between the following drive types can be made:

Variable name | Type | Permissible range | Axis type | Dimension
antr_typ | UNS16 | 0x0001  0x0020 | T, R | ----

Value | Significance
0x0001 | Conventional drive interface (ANTR_TYP_KONV)
0x0002 | Drive Interface SERCOS (ANTR_TYP_SERCOS)
0x0003 | Drive Interface PROFIDRIVE MC (ANTR_TYP_PROFIDRIVE)
0x0004 | Drive Simulation (ANTR_TYP_SIMU)
0x0005 | Drive Interface Beckhoff Lightbus (ANTR_TYP_LIGHTBUS)
0x0006 | Drive Interface +-10V via field bus (ANTR_TYP_TERM)
0x0007 | Drive Interface Realtime (RT)-Ethernet (ANTR_TYP_ETHERNET)
0x0008 | Drive Interface CANopen (ANTR_TYP_CANOPEN)
0x0010 | Virtual axis (ANTR_TYP_VIRTUELL)
0x0020 | CAN-Bus (ANTR_TYP_CAN)

Table 3-1: Overview of drive types

This entry is not taken over when the axis parameters list is actualized, to change the entry a reboot is necessary.

The data of axis parameters list can be classified into drive type-dependent and drive type-independent parameters.


Axis type (P-AXIS-00018)

With the parameter "kenngr.achs_typ " the axis type of an axis is specified.

In this documentation, for determining the dimension of the parameters, firstly, a differentiation is made between translatory axes (T) and rotational axes ®.

In the case of rotational axes, a farther differentiation is made between:

q Spindles and

q Rotary Axes

In the case of translatory axes, only

q Linear axes are possible (Figure 3-1)

This entry is not taken over when the axis parameters list is actualized, to change the entry a reboot is necessary.

Figure 3-1: Overview of axis types

The data of axis parameters list can be classified into axis type-dependent and axis type-independent parameters ( Figure 3-2 ).

Figure 3-2: Relationship between axis type and axis data

As seen in Figure 3-2 , it is evident, for rotary axes, as against translatory axes, additional special parameters in axis parameters list should be allocated.

For spindles, as against rotary axes, additional settings in axis parameters list are necessary.

The assignment of axes to the interpolators takes place via the channel parameters [CHAN] or by NC-commands [PROG]. The following assignments between the axis type and the interpolator type are possible:

Possible assignments between axis type and interpolator type | Translatory axes | Rotational axis
 | Linear axis ACHSTYP_ TRANSLATOR | Rotary axis ACHSTYP_ ROTATOR | Spindle ACHSTYP_ SPINDEL
Path interpolation | X | X | X
Spindle interpolation |  |  | X

Axes of the types "ACHSTYP_TRANSLATOR" and "ACHSTYP_ROTATOR" are not allowed to be assigned to a spindle interpolator. ACHSTYP_SPINDEL for an axis does not mean that this must obligatorily be interpolated in a spindle interpolator! E.g., in case of lathe machining, a spindle can be interpolated as a rotatory axis in path interpolator.

Variable name | Type | Permissible range | Axis type | Dimension
achs_typ | UNS16 | 0x0001  0x0004 | T, R | ----

Value | Significance
0x0001 | Linear axis ( ACHSTYP_TRANSLATOR)
0x0002 | Rotary axis ( ACHSTYP_ROTATOR)
0x0004 | Spindle ( ACHSTYP_SPINDEL)

Depending on the axis type that is set, special functionality is addressed in the NC kernel.

Example:

q Modulo calculation for rotary axes,

q Rotational rate monitoring for spindles


Operating mode of an axis (P-AXIS-00015)

Axes can be traversed in different operating modes:

Variable name | Type | Permissible range | Axis type | Dimension
achs_mode | UNS32 | 0x00000001 - 0x80000000 | T, R | ----

Following operation modes can be set:*

Value | Significance |  | Axis | Interpolator type
 | Description | ACHSMODE_ | type | Path | Spindle
0x00000001 | The axis is driven like a linear axis; no modulo calculation follows. E.g. rotary axis with restricted traverse distance; has also to be initialized for translatory axes. | ..LINEAR* | T, R | X |
0x00000004 | A modulo calculation shall be done only after the attaining of the target position. Irrespective of the chosen operating mode for rotational axes a modulo calculation always takes place in position controler. Thus, if necessary, a modulo circle compensation can be carried out. | ..MODULO* | R | X | X
0x00000040 | Axis is used as a face turning axis (turning functions). | ..PLANDREHEN | T | X |
0x00000080 | Axis is used as a longitudinal turning axis (turning functions). | ..LAENGSDREHEN | T | X |
0x00000100 | For a spindle an automatic homing before positioning the spindle can be pre-vented. Of course, this is only relevant, if for the axis no homing was done. | ..KEINE_AUTO_RPF | R |  | X
0x00000200 | Axis can be used for the kinematics "C-axis" transformation. | ..CAX | R | X | X
0x00000400 | Modulo calculation for linear axis. (E.g. a conveyor belt with drive, where the position on the belt shall be programmed in mm). | ..MODULO_LINEAR | R | X |
0x00000800 | Axis is clampable by PLC. | ..CLAMPABLE** | T, R | X |
0x00001000 | Axis carries a rotary workpiece table. | ..ROT_TABLE | T, R | X |
0x00008000 | Monitoring of axis collision. | ..COLL_CHECK | T | X |
0x00010000 | Master axis of gantry link. | ..GANTRY_MASTER | T, R | X |
0x00020000 | Slave axis of gantry link. | ..GANTRY_SLAVE | T, R | X |
0x00040000 | Open loop controlled spindle. | ..SPINDLE_EXT_CTRL | R |  | X
0x00080000 | Axis is input axis for additional external position command values (e.g. distance control). | ..EXT_CTRL_INPUT | T | X |
0x00100000 | Pure encoder axis, only for displaying of current values (e.g. conveyor belt). | ..COUNTER | T, R | X | X
0x00200000 | Lead axis in combination with a single feed axis and G194. | ..LEAD_AXIS **** | T, R | X |
0x00400000 | The resolution (wegaufz/wegaufn) of this axis can be changed. | ..ALLOW_RESOLUTION_CHANGE *** | T, R | X | X
0x00800000 | Path dependend dynamic weighting for this axis is enabled. | ..DYNAMIC_WEIGHTING | T, R | X |

**** nicht allgemein freigegeben, geschützter kundenspezifischer Parameter für WAFIOS!!!

* One of the following two axis modes must always be defined:

- ACHSMODE_LINEAR or
- ACHSMODE_MODULO

All other bits of the parameter achs_mode are supplementary specifications.
E.g. the bit ACHSMODE_MODULO_LINEAR is only useful combined with bit ACHSMODE_MODULO.

** For TwinCAT-Systems this axis mode is not available.

*** Changing of some certain axes parameters during a running control, e.g. resolution of measurement system, can be dangerous. Therefore the possibility to change this parameters can be enabled by setting the bit ALLOW_RESOLUTION_CHANGE in the operation mode of the axis. Otherwise this parameters ( P-AXIS-00234, P-AXIS-00233) can not be changed after start-up of control.

The bit ALLOW_RESOLUTION_CHANGE is also used for the check of change permission of other critical parameters of an axis, if this axis is actually interpolated. If it is moved, this parameter update is rejected.


Special settings for rotary axes

In this chapter, the elements in the axis parameters list are described, which must only be assigned for rotary axes.

The terminology "Rotational axis" includes rotary axes and spindles.

For spindles, additionally, the parameters described in chapter 4.1.3 must be assigned.

More:

button Overview of axis parameter

button Settings for modulo calculation for rotational axis

button Special settings for spindles

button Settings for turning functionality


Overview of axis parameter

Depending on the chosen operating mode of a rotational axis, the following parameters should be allocated:

kenngr.achs_mode | 0x0001 (ACHSMODE_LINEAR) | 0x0004 (ACHSMODE_MODULO)
kenngr.vorz_richtung |  | X (spindle axis only)
kenngr.beweg_richt |  | X (spindle axis only)
getriebe[i].moduloo | X | X
getriebe[i].modulou | X | X
getriebe[i].modulo_umdreh | X | X
getriebe[i].modulo_fehler | X | X
lr_param.mod_komp |  | X
kenngr.vb_prozent |  | X
getriebe[i].achs_position[j] |  | X
getriebe[i].vb_regelgrenze |  | X
getriebe[i].vb_min_null |  | X
getriebe[i].reverse |  | X


Settings for modulo calculation for rotational axis

More:

button Upper modulo limit (P-AXIS-00126)

button Lower modulo limit (P-AXIS-00127)

button Number of rotations in case of modulo error (P-AXIS-00125)

button Error in modulo circle (P-AXIS-00124)

button Activation of modulo compensation (P-AXIS-00120)


Upper modulo limit (P-AXIS-00126)

For modulo calculation for rotational axes, an upper modulo limit" (e.g. 360°) should be set.

Modulo calculation is automatically activated in position controler for axis type definition "ACHSTYP_SPINDEL" and "ACHSTYP_ROTATOR".

Variable name | Type | Permissible range | Axis type | Dimension
moduloo | SGN32 | modulou < moduloo < MAX(SGN32) | R | 0,0001°


Lower modulo limit (P-AXIS-00127)

For modulo calculation for rotational axes, a "lower modulo limit" (e.g. 0°) should be set.

Modulo calculation is automatically activated in position controler for type definition "ACHSTYP_SPINDEL" and "ACHSTYP_ROTATOR".

Variable name | Type | Permissible range | Axis type | Dimension
modulou | SGN32 | MIN(SGN32) < modulou < moduloo | R | 0,0001°


Number of rotations in case of modulo error (P-AXIS-00125)

During the operation of a rotary axis, under certain circumstances, the modulo circle of the command variable cannot be converted error-free into modulo circle of the increments. The modulo circle of the increments is smaller by the rounding error. This is balanced with the modulo compensation in such a manner in position controler, that in the machine data P-AXIS-00124 (getriebe[i].modulo_fehler) the missing increments for every "getriebe[i].modulo_umdreh" can be preset in integer.

The activation of this function takes place through the parameter P-AXIS-00120 .

Variable name | Type | Permissible range | Axis type | Dimension
modulo_umdreh | SGN16 | 0 < modulo_umdreh < MAX(SGN16) | R | ----


Error in modulo circle (P-AXIS-00124)

See P-AXIS-00125

Variable name | Type | Permissible Range | Axis type | Dimension
modulo_fehler | SGN16 | MIN(SGN16) ... MAX(SGN16) | R | Incr.


Activation of modulo compensation (P-AXIS-00120)

The modulo compensation in position controler is activated with "lr_param.mod_komp = TRUE".

Variable name | Type | Permissible range | Axis type | Dimension
mod_komp | BOOLEAN | 0 / 1 | R | ----


Special settings for spindles

The parameter described in this chapter will be required for axes of axis- type "ACHSTYP_SPINDEL" interpolated by a spindel interpolator.

More:

button Restriction of direction of rotation (P-AXIS-00224)

button Definition of preferred direction of rotation (P-AXIS-00031)

button "Speed-value attained" - tolerance band (P-AXIS-00217)

button Special axis positions (P-AXIS-00017)

button Limiting velocity for the measuring system (P-AXIS-00220)

button Limit for spindle speed "zero" (P-AXIS-00216)

button Reverse of sign for setpoint and actual value (P-AXIS-00159)

button Switch to velocity controlled mode (P-AXIS-00265)

button Switch back to position control (P-AXIS-00266)


Restriction of direction of rotation (P-AXIS-00224)

If a spindle may be operated only in one direction, then the parameter "kenngr.vorz_richtung" should be set to "TRUE":

Variable name | Type | Permissible range | Axis type | Dimension
vorz_richtung | BOOLEAN | 0 / 1 | R | ----


Definition of preferred direction of rotation (P-AXIS-00031)

If for spindles only one direction of rotation is permissible ("kenngr.vorz_richtung = TRUE"), then the direction of rotation is defined with the parameter "kenngr.beweg_richt":

Variable name | Type | Permissible range | Axis type | Dimension
beweg_richt | BOOLEAN | 0 / 1 | R | ----

0 | Negative direction of rotation
1 | Positive direction of rotation

Positive direction of rotation signifies that coordinate values increase. Negative direction of rotation signifies that coordinate values decrease.

This parameter is only used when the parameter "kenngr.vorz_richt" has been allocated with "TRUE".


"Speed-value attained" - tolerance band (P-AXIS-00217)

TwinCAT CNC: Overview

"Speed-value attained"  tolerance band (P-AXIS-00217)

Through the parameter "kenngr.vb_prozent" it is defined from which actual speed value the status "speed-value attained" will be declared.

Variable name | Type | Permissible range | Axis type | Dimension
vb_prozent | UNS16 | 0 ... LR_DZ_100_PROZENT | R | 1 / LR_DZ_100_PROZENT

Value | Significance
1000 | Definition of dimension of "vb_prozent"

EXAMPLE: For "kenngr.vb_prozent = 100" the message "speed-value attained" appears when "1,1 * commanded speed > actual speed-value > 0,9 * commanded speed ".


Special axis positions (P-AXIS-00017)

The approaching of special axis positions is not available at the moment for the spindles.

Approaching of special axis positions cannot be programmed in the NC program at the moment.

Variable name | Type | Permissible range | Axis type | Dimension
achs_position[j] | SGN32 | swe_neg < achs_position[j] < swe_pos | R | 0,0001°
j | UNS16 | 0 ... [ACHS_MAXPOS - 1]

Value ACHS_MAXPOS | Significance
application -dependent | Number of axis positions


Limiting velocity for the measuring system (P-AXIS-00220)

Especially in the case of spindles, at higher rotational speeds, the limit from which point onwards the measuring system starts giving erroneous signals can be exceeded. The parameter "getriebe[i].vb_regelgrenze" describes from which velocity value position controler has to changeover to the open-loop controlled operation mode.

Variable name | Type | Permissible range | Axis type | Dimension
vb_regelgrenze | UNS32 | 0 < vb_regelgrenze < MAX(UNS32) | R | 0,001°/s


Limit for spindle speed "zero" (P-AXIS-00216)

Especially in the case of spindles the barrier "getriebe[i].vb_min_null" should be given, below which the rotational speed monitoring in position controler shows the state "speed zero".

Variable name | Type | Permissible range | Axis type | Dimension
vb_min_null | UNS32 | 0 < vb_min_null < MAX(UNS32) | R | 0,001°/s


Reverse of sign for setpoint and actual value (P-AXIS-00159)

The turning sense of a spindle is defined in the parameter getriebe[i].reverse. If reverse is TRUE the signs of the output and input data are changed.

Variable name | Type | Permissible range | Axis type | Dimension
Reverse | BOOLEAN | 0 / 1 | R | ----


Switch to velocity controlled mode (P-AXIS-00265)

If any spindle revolution higher than the given limit is commanded, automatically the operation mode is switched to velocity control.

Variable name | Type | Permissible range | Axis type | Dimension
velocity_position_control_on | SGN32 | 0 < P-AXIS-00265 < 1000000000 | R | 0,001°/s


Switch back to position control (P-AXIS-00266)

If the actual revolution during any positioning via M19 is higher than the given limit, the spindle first is decelerated to the limit. Afterwards the operation mode is switched back to position control.

Variable name | Type | Permissible range | Axis type | Dimension
velocity_position_control_off | SGN32 | 0 < P-AXIS-00266 < 1000000000 | R | 0,001°/s


Settings for turning functionality

The diameter programming and the turning functionality is described in greater detail in [PROG] .

Due to supplementing of the NC with the turning functionality - diameter programming, the input of diameter values for face turning axis is to be facilitated. Here, the diameter can be programmed to be absolute or relative.

More:

button Absolute diameter programming (P-AXIS-00058)

button Relative diameter programming (P-AXIS-00059)


Absolute diameter programming (P-AXIS-00058)

If the diameter programming is to be take place with absolute programming (G90) switched on, durchm_prog_abs must be set to TRUE.

Variable name | Type | Permissible range | Axis type | Dimension
durchm_prog_abs | BOOLEAN | 0 / 1 | T | ----


Relative diameter programming (P-AXIS-00059)

If diameter programming is to take place with incremental programming (G91) switched on, durchm_prog_rel must be set to TRUE.

Variable name | Type | Permissible range | Axis type | Dimension
durchm_prog_rel | BOOLEAN | 0 / 1 | T | ----


Settings for homing

More:

button Preferred direction of axis for homing (P-AXIS-00158)

button Homing without cam (P-AXIS-00156)

button Homing without reverting (P-AXIS-00157)

button Position of the reference point (P-AXIS-00152)

button Maximum homing velocity (P-AXIS-00219)

button Minimum homing velocity (P-AXIS-00218)

button Homing only with cam (without zero pulse) (P-AXIS-00084)

button Slow / fast movement away from cam (P-AXIS-00064)

button Maximum velocity for unreferenced axes (P-AXIS-00268)

button Moving of unreferenced axes (P-AXIS-00277)

button Modes for setting the homing position (P-AXIS-00278)

button Offset to the homing position (P-AXIS-00279)

button Homing method 'evaluation of encoder overflow'

button Acceleration during homing (P-AXIS-00285)

button Ramptime during homing (P-AXIS-00286)

button Homing type (P-AXIS-00299)

button Gantry monitoring during drive controlled homing (P-AXIS-00298)

button Input for reference cam signal (P-AXIS-00321)

button Use of hardware limit switch as reference switch (P-AXIS-00329)

button Maximum distance for zero pulse search (P-AXIS-00404)

button Distance monitoring during homing (P-AXIS-00412)

button Homing on a fixed stop

button Reference monitoring (antr.reference_check.*)


Preferred direction of axis for homing (P-AXIS-00158)

By the parameter P-AXIS-00158 the specifying of direction of travel takes place, if the axis does not remain on a cam.

The declaration of the signal level while actuated reference switch is done by axis parameter P-AXIS-00038.

Variable name | Type | Permissible range | Axis type | Dimension
ref_richt | BOOLEAN | 0 / 1 | T, R | ----

0 | Negative direction
1 | Positive direction

Positive Direction signifies that the coordinate values increase.

Negative direction signifies that the coordinate values decrease.


Homing without cam (P-AXIS-00156)

A changeover of homing strategy can be done, so that homing is done without cam (e.g. only with zero pulse). I.e. without reverting. In this case the parameter P-AXIS-00156 should be set to "TRUE".

Variable name | Type | Permissible range | Axis type | Dimension
ref_ohne_nocken | BOOLEAN | 0 / 1 | T, R | ----


Homing without reverting (P-AXIS-00157)

Via the parameter P-AXIS-00157 a restriction of homing can occur that will prohibit any reverting.

Variable name | Type | Permissible range | Axis type | Dimension
ref_ohne_rev | BOOLEAN | 0 / 1 | T, R | ----


Position of the reference point (P-AXIS-00152)

If homing is completed the value from the parameter P-AXIS-00152 is taken as the absolute position for the axis.

Variable name | Type | Permissible range | Axis type | Dimension
pos_refpkt | SGN32 | swe_neg < pos_refpkt < swe_pos | T | 0,1µm
 |  |  | R | 0,0001°


Maximum homing velocity (P-AXIS-00219)

If at the start of homing the axis is not on the cam, then the travel on the cam takes place with the velocity P-AXIS-00219.

Variable name | Type | Permissible range | Axis type | Dimension
vb_refmax | UNS32 | P-AXIS-00218 < vb_refmax < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Minimum homing velocity (P-AXIS-00218)

Not only the traverse downwards of cam but also the traverse on cam with homing takes place with the velocity P-AXIS-00218.

Variable name | Type | Permissible range | Axis type | Dimension
vb_reflow | UNS32 | 1 < vb_reflow < P-AXIS-00219 | T | µm/s
 |  |  | R | 0,001°/s


Homing only with cam (without zero pulse) (P-AXIS-00084)

Variable name | Type | Permissible range | Axis type | Dimension
homing_without_zero_pulse | BOOLEAN | 0 / 1 | T, R | ----

0 | Homing with zero pulse of rotary transducer (default - value)
1 | Homing without zero pulse of rotary transducer (low accuracy )


Slow / fast movement away from cam (P-AXIS-00064)

Variable name | Type | Permissible range | Axis type | Dimension
fast_from_cam | BOOLEAN | 0 / 1 | T, R | ----

0 | Slow movement away from cam
1 | Fast movement away from cam (Default)

For further hardware specific parameters and adjustment see chapter parameters of digital input-interface for homing-cam.


Maximum velocity for unreferenced axes (P-AXIS-00268)

This parameter defines the maximum velocity of unreferenced axes for relative and endless movements.

Variable name | Type | Permissible range | Axis type | Dimension
vb_not_referenced | UNS32 | 0 P-AXIS-00212 | T | µm/s
 |  |  | R | 0.001 ° /s


Moving of unreferenced axes (P-AXIS-00277)

This parameter defines, wether an axis can be moved without preceding homing.

Variable name | Type | Permissible range | Axis type | Dimension
prog_move_requires_homing | BOOLEAN | 0 / 1 | T | ----

0 | Moving of the axis is possible without preceding homing. (Default)
1 | Before a programmed movement the axis has to be homed. If an axis shall be moved unreferenced, an error message is output.


Modes for setting the homing position (P-AXIS-00278)

With control unit MCControlBoolUnit_SetReferencePosition it is possible to trigger the overtaking of an axis position as a homing position. See also documentation [HLI].

There are two possibilities how the axis position to overtake can be calculated. After overtaking the homing position the axis is considered as referenced.

Setting the reference position is triggerd at the rising edge of the command element of control unit MCControlBoolUnit_SetReferencePosition (see also [HLI]. The reference position is calcaluted from the values of the involved axis parameters or control units at that instance.

Variable name | Type | Permissible range | Axis type | Dimension
set_refpos_mode | ISG_CHAR | See strings at following table | ---- | ----

String | Significance
ABSOLUT | Axis position will be set on position defined in P-AXIS-00152 .
OFFSET | New axis position is encoder position + P-AXIS-00279 .
PLC | Reference position of the axis is set to the value of the axis specific control unit MCControlSGN32Unit_ReferencePosition. Sea also [HLI] .
PLC_OFFSET | New axis position is encoder position + value of the axis specific control unit MCControlSGN32Unit_ReferencePosition. See also [HLI] .

The modes OFFSET and PLC_OFFSET are only reasonable if the encoder delivers an absolute position.

Overtaking the homing position is only possible if no program is active. Overtaking the homing position while a program is active causes an error message with ID 70194 ausgegeben.


Offset to the homing position (P-AXIS-00279)

If mode for overtaking the homing position is set to OFFSET in parameter P-AXIS-00278, this parameter has to be set to the offset between encoder position and homing position. The homing position to be set is calculated by:

Homing position (axis position) = Encoder position + P-AXIS-00279

Setting the reference position is triggerd at a rising edge of the command element of control unit MCControlBoolUnit_SetReferencePosition. The value of P-AXIS-00279 at this instance is used to calculate the reference position.

Variable name | Type | Permissible range | Axis type | Dimension
set_refpos_offset | SGN32 | MIN(SGN32) < set_refpos_offset < MAX(SGN32) | ---- | 0,1 μ m

Usage of this parameter is only reasonable if the encoder delivers an absolute position.


Homing method 'evaluation of encoder overflow'

TwinCAT CNC: Overview

Homing method evaluation of encoder overflow

For encoder types that dont provide a zero pulse but provide within an certain range an absolute positition, resolvers for example, it is possible to use the overflow of the encoder position value as zero pulse replacement. In this case the axis is homed as soon as an over- or underflow of the encoder position is recognized.

An overflow of the position value occurs when the position delivererd by the encoder while moving in positve direction jumps from the maximum value (e. g. 65535) to zero. Analogous an underflow occurs when the encoder position value of the axis moving in negative direction jumps from zero to the maximum value (e. g. 65535). An over- resp. underflow of the encoder position values is handled automatically by the NC-kernel.

More:

button Selection of the homing method (P-AXIS-00294)

button Shifting of encoder overflow (P-AXIS-00354)

button Number of bits for evaluation of encoder overflow (P-AXIS-00355)


Selection of the homing method (P-AXIS-00294)

This homing method is selected with the parameter P-AXIS-00294.To use this option parameter P-AXIS-00084 must be set to zero.

This homing method does lead only to a repeatable homing position of the axis when the encoder overflow occurs everytime at the same mechanical positon of the axis. This is true from example for resolver-encoders.

Variable name | Type | Permissible range | Axis type | Dimension
homing_overflow_evaluation | BOOLEAN | 0 / 1 | T, R | ----

0 | No evaluation of encoder overflow (Default).
1 | Evaluation of encoder overflow.


Shifting of encoder overflow (P-AXIS-00354)

At homing with encoder overflow with this parameter the reference position can be shifted. A positive values for P-AXIS-00354 will shift the reference position in the positive movement direction of the axis.

The reference position can only be shifted within one encoder revolution. If P-AXIS-00354 is set to a value bigger than one encoder revolution the error message P-ERR-70310 is output an the value of P-AXIS-00354 is set to zero.

Variable name | Type | Permissible range | Axis type | Dimension
encoder_overflow_offset | SGN32 | application-dependent | T, R | 0,1 um


Number of bits for evaluation of encoder overflow (P-AXIS-00355)

At homing on encoder overflow this parameter defines the number of bits of the drives actual position value that are taken into accout for the detection of the encoder overflow.

The drive systems actual position is AND-combined with the value (2**P-AXIS-00355  1) and the over- resp. underflow of the resulting value is considered as encoder overflow.

Variable name | Type | Permissible range | Axis type | Dimension
encoder_bit_range | UNS08 | [1, 31] | T, R | ----


Acceleration during homing (P-AXIS-00285)

The parameter "getriebe[i].a_ref" includes the axis acceleration during CNC controlled homing procedure. If the parameter is unassigned, the values of the parameters P-AXIS-00005 or P-AXIS-00006 are transferred.

Variable name | Type | Permissible range | Axis type | Dimension
a_ref | UNS32 | 0 ≤ a_ref ≤ P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2


Ramptime during homing (P-AXIS-00286)

The parameter "getriebe[i].tr_ref" includes the axis acceleration during CNC controlled homing procedure and active non-linear slope profile (see P-AXIS-00270). If the parameter is unassigned, the value of P-AXIS-00201(tr_min) is transferred.

Variable name | Type | Permissible range | Axis type | Dimension
tr_ref | UNS32 | P-AXIS-00201 ≤ tr_ref ≤ MAX(UNS32) | T, R | µs


Homing type (P-AXIS-00299)

There are two different homing methods:

1. NC-controlled homig

2. Drive controlled homing

At NC-controlled homing the generation of the command values for the drive and the sequence control (evaluation of reference cams and zero pulses) are handled in the CNC, at drive controlled homing this is done in the drive.

For drive types for which both homing methods are implemented with this parameter the homing method can be set up.

Variable name | Type | Permissible range | Axis type | Dimension
homing_type | ISG_CHAR | See strings at following table | T, R | ----

String | Significance
CNC_CONTROLLED | CNC controlled homing is done.
DRIVE_CONTROLLED | Drive controlled homing is done..

If a homing method is set up which is not supported by the drive type an error message P-ERR-110384 is issued and P-AXIS-00299 is corrected automatically.

If this entry is not present in the parameter list the default homing type is set according to the drive types default homing type.

Drive type | CNC_CONTROLLED | DRIVE_CONTROLLED
Simulation | X* |
SERCOS | X | X*
Terminal | X* |
Lightbus | X* |
RT-Ethernet | X* |
PROFIDRIVE | X* |
CANopen | X* | X

* Default homing type


Gantry monitoring during drive controlled homing (P-AXIS-00298)

If for a gantry configuration gantry distance monitoring before homing is activated (P-AXIS-00249) a gantry error occurs during drive guided homing (e. G. for SERCOS drives) when the drive sets its actual position to the reference position at the end of the homing cycle. In this case the gantry error occurs near the reference position of either the master or the slave drive.

In order to activate gantry distance monitoring during homing it is possible to suppress this gantry error and to trigger a new calculation of the offset between master and slave axis if a gantry error occurs within a certain range around the reference position. This range of tolerance can be set up with this parameter.

Variable name | Type | Permissible range | Axis type | Dimension
max_reference_position_offset | SGN32 | 0 MAX(SGN32) | T, R | 0,1 µm

The definition of P-AXIS-00298 is only useful for SERCOS drives.


Input for reference cam signal (P-AXIS-00321)

At CNC controlled homing the reference cam signal is read by default from the PLC interface (se also [HLI]).

For some drive types it is possible to use the drive digital inputs as reference cam input. In this case the appropriate input has to be configured in P-AXIS-00321.

If this parameter is not set the reference cam signal is red from the PLC interface.

If the drives digital inputs are used they have to be set up with the drive manufacturers setup tool.

Also the transmission of the digital inputs in the cyclic telegram has to be configured.

Dependent on the drive type the following different names for the digital inputs are possible.

Variable name | Type | Permissible range | Axis type | Dimension
reference_cam_signal | ISG_CHAR | See strings at following table | T, R | ----

Drive type | String | Significance
SERCOS (1) | PLC | Read reference cam signal from PLC (Default).
 | RT_STATUS_BIT_1 | Read reference cam signal from real time status bit 1.
 | RT_STATUS_BIT_2 | Read reference cam signal from real time status bit 2
CANopen (2) | PLC | Read reference cam signal from PLC (Default).
 | DIG_INPUT_1 | Read reference cam signal from digital input 1
 | DIG_INPUT_2 | Read reference cam signal from digital input 2
 | DIG_INPUT_3 | Read reference cam signal from digital input 3
 | DIG_INPUT_4 | Read reference cam signal from digital input 4
Lightbus/RT-Ethernet (3) | PLC | Read reference cam signal from PLC (Default)
 | DIG_INPUT_1 | Read reference cam signal from digital input 1
 | DIG_INPUT_2 | Read reference cam signal from digital input 2
 | DIG_INPUT_3 | Read reference cam signal from digital input 3
 | DIG_INPUT_4 | Read reference cam signal from digital input 4

(1) Usage of the real time status bits is possible only in combination with NC controlled homing, see also [CMS].

(2) For the transmission of the digital inputs in the cyclic telegram the latch state word has to be configured. If it is not configured an error message with error code P-ERR-70292 is output.

(3) For the transmission of the digital inputs they have to be configured in the cyclic telegram . If these are not configured an error message with error code P-ERR-70292 is output.


Use of hardware limit switch as reference switch (P-AXIS-00329)

If a hardware limit switch of an axis shall be used as reference switch this parameter has to be set to 1.

The state of the limit switch can be transmitted to the CNC either via the PLC interface (see [HLI]) or by reading the drive digital inputs directly if the used drive type supports this (see also P-AXIS-00321).

Variable name | Type | Permissible range | Axis type | Dimension
ref_cam_is_limit_switch | BOOLEAN | 0 / 1 | T, R | ----

Using a hardware limit switch as reference switch is only possible if the drive amplifier does not go into an error state if the hardware limit switch is actuated.

If the hardware limit switch is actuated the drive stops independently and accepts only setpoint values that move the drive away from the hardware limit switch. The deceleration the drive uses to stop has to be set up in the drive amplifier. Because the drive follows the CNC only conditionally if the limit switch is actuated, position lag monitoring and window monitoring are disabled during homing.

The procedure during homing is as follows:

1. Drive on limit switch

2. Reverse movement

3. Referencing the axis either on the falling edge of the limit switch or the falling edge of the limit switch followed by the zero pulse of the encoder (see also P-AXIS-00084).

Homing on hardware limit switch for gantry axes:

Homing on hardware limit switches for gantry axes is only possible if the switching position of all switches is at the mechanically same position.

In other words: If the gantry system would travel on the limit switches these would have to be actuated simultanuosly.

In contrast to the NC controlled homing on reference cams a relative movement between the axes occurs already during the homing sequence. The reason is that the axes stop independently and do no longer follow the setpoint values of the CNC. The relative movement between the axis is proportional to the position difference of the switching positions of the limit switches.

For each axis of a gantry system the homing procedure described above is executed. Additionally at the end of homing the gantry system is moved away from the limit switches until all switches are not actuated.


Maximum distance for zero pulse search (P-AXIS-00404)

With this parameter the maximum movement distance that can be moved during zero pulse search can be defined. If within the set up distance no zero pulse is latched, homing is aborted and an error message (P-ERR-70380) is output.

If this parameter is not present or set to zero this monitoring is not active.

This parameter can also be used with homing on encoder overflow (see P-AXIS-00294).

Variable name | Type | Permissible range | Axis type | Dimension
zero_pulse_search_max_dist | UNS32 | 0 < zero_pulse_search_max_dist < MAX(UNS32) | T | 0,1 µm
 |  |  | R | 0,0001°


Distance monitoring during homing (P-AXIS-00412)

With this parameter a maximum movement distance during homing can be set up for spindles and rotatory axes. If the maximum permissible distance for homing is exceeded, homing is aborted and error message P-ERR-70394 is output.

By setting this parameter it can be achieved that homing is aborted if for example, the reference cam is not recognized due to a wiring error.

This parameter works only for spindles and rotatory axes, see P-AXIS-00018.

If this parameter is set for linear axes to a value other than zero error P-ERR-110545 is output and the parameter is set to zero.

A value of zero disables distance monitoring during homing.

Variable name | Type | Permissible range | Axis type | Dimension
homing_max_movement_dist | UNS32 | 0 < homing_max_movement_dist < MAX(UNS32) | T | 0,1 µm
 |  |  | R | 0,0001°

This parameter has to be set to a value which is at least equal to the modulo range of the axis in order to complete homing successfully.


Homing on a fixed stop

More:

button Velocity (P-AXIS-00333)

button Acceleration (P-AXIS-00334)

button Jerk (P-AXIS-00335)

button Torque limit value (P-AXIS-00342)

button Torque limit for detection (P-AXIS-00343)

button Minimum distance (P-AXIS-00344)

button Maximum distance (P-AXIS-00345)

button Direction (P-AXIS-00346)

button Velocity limit value (P-AXIS-00347)

button Retraction distance (P-AXIS-00348)

button Reference position (P-AXIS-00349)

button Minimum time (P-AXIS-00350)


Velocity (P-AXIS-00333)

This parameter specifies the velocity of the homing travel during the search for the fixed stop.

Variable name | Type | Permissible range | Axis type | Dimension
torq_move_velocity | UNS32 | 1 < torq_move_velocity < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001 °/s


Acceleration (P-AXIS-00334)

This parameter specifies the acceleration of the homing travel during the search for the fixed stop.

Variable name | Type | Permissible range | Axis type | Dimension
torq_move_acceleration | UNS32 | 1 < torq_move_acceleration < P-AXIS-00008 | T | mm/s²
 |  |  | R | °/s²


Jerk (P-AXIS-00335)

This parameter specifies the jerk of the homing travel during the search for the fixed stop.

Variable name | Type | Permissible range | Axis type | Dimension
torq_move_jerk | UNS32 | 1 < torq_move_jerk < ( P-AXIS-00008 / P-AXIS-00196 ) | T | mm/s³
 |  |  | R | °/s³


Torque limit value (P-AXIS-00342)

This parameter specifies the percentage torque limit value of the homing travel during the search for the fixed stop.

Variable name | Type | Permissible range | Axis type | Dimension
torq_move_torque_limit | UNS32 | 0 < torq_move_torque_limit < 1000 | T, R | 0,1 %


Torque limit for detection (P-AXIS-00343)

This parameter specifies the percentage torque limit with reference to P-AXIS-00342 for the detection of the stationary axis at the fixed stop.

Variable name | Type | Permissible range | Axis type | Dimension
torq_detect_torque_limit | UNS32 | 0 < torq_detect_torque_limit < 1000 | T, R | 0,1 %


Minimum distance (P-AXIS-00344)

This parameter specifies the minimum distance up to the detection of the reference position (fixed stop).

Variable name | Type | Permissible range | Axis type | Dimension
torq_min_distance | SGN32 | 0 < torq_min_distance < P-AXIS-00345 | T, R | 0,1 µm


Maximum distance (P-AXIS-00345)

This parameter specifies the maximum distance up to the detection of the reference position (fixed stop).

Variable name | Type | Permissible range | Axis type | Dimension
torq_max_distance | SGN32 | 0 < torq_max_distance < MAX(SGN32) | T, R | 0,1 µm


Direction (P-AXIS-00346)

This parameter specifies the direction of the homing travel during the search for the fixed stop.

Variable name | Type | Permissible range | Axis type | Dimension
torq_homing_dir | ISG_CHAR | see strings mentioned below | T, R | ----

String | Significance
NEGATIVE | Negative direction
POSITIVE | Positive direction


Velocity limit value (P-AXIS-00347)

This parameter specifies the velocity limit value for the detection of the reference position (fixed stop).

Variable name | Type | Permissible range | Axis type | Dimension
torq_detect_velocity_limit | UNS32 | 0 < torq_detect_velocity_limit < 1000 | T, R | 0,1 %


Retraction distance (P-AXIS-00348)

This parameter specifies the retraction distance after detection of the reference position (fixed stop).

Variable name | Type | Permissible range | Axis type | Dimension
torq_retraction_distance | SGN32 | 0 < torq_retraction_distance < MAX(SGN32) | T, R | 0,1 µm


Reference position (P-AXIS-00349)

This parameter specifies the reference position (fixed stop).

Variable name | Type | Permissible range | Axis type | Dimension
torq_homing_position | SGN32 | 0 < torq_homing_position < MAX(SGN32) | T, R | 0,1 µm


Minimum time (P-AXIS-00350)

This parameter specifies the minimum time for exceeding the torque limit, so the reference position (fixed stop) can be detected.

Variable name | Type | Permissible range | Axis type | Dimension
torq_detect_time | UNS32 | 0 < torq_detect_time < MAX(UNS32) | T, R | µs


Reference monitoring (antr.reference_check.*)

More:

button Bit number (P-AXIS-00425)

button Element name (P-AXIS-00426)


Bit number (P-AXIS-00425)

In this parameter the number of the bit is entered, which is used for transmission of the reference signal during active reference monitoring.

The least significant bit has bit number 0.

The maximum value depends on the length of the configured telegram element, which is used for the transmission.

If an invalid bit number is set up error message P-ERR-110549 is output.

Variable name | Type | Permissible range | Axis type | Dimension
bit_nr | SGN16 | 0 < bit_nr < Max. Bitnummer | T, R | ----

length of telegram element | Max. Bit number
-1 | No reference monitoring (default).
2 | 15
4 | 31

At the moment this parameter is supported for drive type SERCOS only.


Element name (P-AXIS-00426)

In this parameter the name of the element of the cyclic input process data which is used for transmission of the reference signal from the drive, is entered.

Reference monitoring is activated by assigning a value to this parameter. If reference monitoring is activated, P-AXIS-00425 must also be set up on a valid value.

If the value set up in P-AXIS-00426 is not found in the cyclic process data of the drive, error message P-ERR-70401 is output.

When the SERCOS state word is used for transmission of the reference signal, this paramete has to be set to S-0-0135, otherwise to the name of a telegram element configured in the cyclic input process data.

Variable name | Type | Permissible range | Axis type | Dimension
element_name | ISG_CHAR | see strings mentioned below | T, R | ----

String | Significance
<empty_string> | Reference monitoring is disabled
S-0-0135 | When the SERCOS state word is used for transmission of the reference signal, the parameter has to be set to S-0-0135"
<telegram_element_name> |  , otherwise to the name of a telegram element, configured in the cyclic input process data.

At the moment this parameter is supported for drive type SERCOS only.

Changing this parameter by a list update is not possible ( P-ERR-110550 ).


Settings for software limit switch monitoring

A differentiation is made between the command-value and the actual-value software limit switch monitoring.

The command-value software limit switch monitoring takes place in automatic operating mode in the BF BAVO and in manual operating mode in BF BAHN.

The actual value software limit switch monitoring is done in position controler. In Figure 4-1 the parameters for the software limit switch monitoring are shown.

Figure 4-1: Monitoring of set- and actual value for software-limit-switches.

More:

button Tolerance range for software limit switch (P-AXIS-00179)

button Positive software limit switch (P-AXIS-00178)

button Negative software limit switch (P-AXIS-00177)


Tolerance range for software limit switch (P-AXIS-00179)

In order to prevent the actual-value software limit switch monitoring in the position controler from responding under a slight oscillation of an axis (e.g. programmed command position = position of positive software limit switch, actual position > position of positive software limit switch), the software limit switch range in the positive and the negative directions is extended respectively by the parameter "kenngr.swe_toleranz". The actual positions must lie within this extended range.

Variable name | Type | Permissible range | Axis type | Dimension
swe_toleranz | UNS32 | 0 < swe_toleranz < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Positive software limit switch (P-AXIS-00178)

With the parameter "kenngr.swe_pos" the possible traverse range in the positive direction is defined (positive software limit switch position). The programmed command positions are always checked on "kenngr.swe_pos", the actual positions on "kenngr.swe_pos + kenngr.swe_toleranz" (see Figure 4-1).

Variable name | Type | Permissible range | Axis type | Dimension
swe_pos | SGN32 | P-AXIS-00177 < swe_pos < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º


Negative software limit switch (P-AXIS-00177)

With the parameter "kenngr.swe_neg" the possible traverse range in the negative direction is defined (negative software limit switch position). The programmed command positions are always checked on "kenngr.swe_neg", the actual positions on "kenngr.swe_neg - kenngr.swe_toleranz" (see Figure 4-1).

Variable name | Type | Permissible range | Axis type | Dimension
swe_neg | SGN32 | MIN(SGN32) < swe_neg < P-AXIS-00178 | T | 0,1µm
 |  |  | R | 0,0001º


Settings for measurement

In this chapter the axis-specific parameters for measurement have been put together.

The parameters for the measurement are used application-dependent. The measurement functions have been described in greater detail in [PROG] .

More:

button Measurement axis (P-AXIS-00118)

button Range for probe (P-AXIS-00086)

button Measurement speed (P-AXIS-00215)

button Measurement travel offset (P-AXIS-00114)

button Measurement methods

button Abortion of measuring order at reset (P-AXIS-00378)


Measurement axis (P-AXIS-00118)

The element "kenngr.messachse" must be assigned to TRUE for all axes that are participant in a measurement traverse.

Variable name | Type | Permissible range | Axis type | Dimension
messachse | BOOLEAN | 0 / 1 | T,R | ----


Range for probe (P-AXIS-00086)

Some types of mechanical probes have a limited range. After activating the probe the axis is moving further the breaking distance which depends on the axis speed and the allowed axis decceleration. In order to avoid damages of the probe the maximal permissible range of the probe can be parametrized. When using the measure types 2 and 4 the measurement speed is limitied in such a way the the braking distance is less than the probe range. If measurement speed correction is done an warning is output.

Variable name | Type | Permissible range | Axis type | Dimension
hub_messtaster | UNS32 | 0 < hub_messtaster < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Measurement speed (P-AXIS-00215)

Application dependent, measurement travel does not take place with the programmed feed, but with the feed defined with the parameter "kenngr.vb_messen" .

This parameter is used only for measurement type 2 [PROG] , [CHAN] .

Variable name | Type | Permissible range | Axis type | Dimension
vb_messen | UNS32 | 1 < vb_messen < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Measurement travel offset (P-AXIS-00114)

The measurement travel offset "kenngr.mess_offset" states by how much further distance the programmed target position is allowed to be traversed, if the probe up to the programmed point of time had not yet been actuated.

This parameter is used only for certain applications [PROG] , [CHAN] .

Variable name | Type | Permissible range | Axis type | Dimension
mess_offset | UNS32 | 0 < mess_offset < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Measurement methods

For providing of measurement signals one of the following measurement methods can be defined:

q The signal of a measurement probe will be read in via the hardware-interface of the NC-kernel (ordinary method),

q The SERCOS-interface gives a message when the measurement interrupt arrives,

q A bit of the axis specific control-bitfield of position controler will be set,

q The signal of a measurement probe will be read in via a special HLI control unit.

q An internal measurement signal is generated, if the given position lag limit is exceeded (fixed stop).

If one measurement method is selected all other measurement methods have to be deselected!

More:

button Measurement signal from hardware-interface (P-AXIS-00117)

button Edge of measurement signal (P-AXIS-00113)

button Measurement with SERCOS-drives (P-AXIS-00116)

button Measurement signal via axis specific control bit mask (P-AXIS-00115)

button Measurement signal via HLI Control Unit (P-AXIS-00257)

button Measurement signal from drive (P-AXIS-00269)

button Measurement with movement on a fixed stop (P-AXIS-00330)


Measurement signal from hardware-interface (P-AXIS-00117)

The use of the NC kernel's hardware interface will be defined by the flag kenngr.mess_signal_taster.

Variable name | Type | Permissible range | Axis type | Dimension
mess_signal_taster | BOOLEAN | 0 / 1 | T, R | ----


Edge of measurement signal (P-AXIS-00113)

Setting of edge for measurement signal. The edge defines the latch point for the actual value counter.

Variable name | Type | Permissible range | Axis type | Dimension
mess_neg_flanke | BOOLEAN | 0 / 1 | T, R | ----

0 | Latch at positive edge of pulse
1 | Latch at negative edge of pulse


Measurement with SERCOS-drives (P-AXIS-00116)

Measurement with SERCOS-drives can be performed with two different methods:

q Usage of the measurement function supplied by the drive (SERCOS-Measurement) or

q Request from a measurement probe.

The flag kenngr.mess_signal_sercos defines the measurement signal to be read in via the SERCOS-interface.

Variable name | Type | Permissible range | Axis type | Dimension
mess_signal_sercos | BOOLEAN | 0 / 1 | T, R | ----

More:

button SERCOS-status bit for measurement (P-AXIS-00106)

button SERCOS-status/control bit for measurement (P-AXIS-00060)


SERCOS-status bit for measurement (P-AXIS-00106)

This bit coded parameter (f. e. 0x40) defines the status bit for SERCOS-measurement, which monitors the status of measuring probe activated/ not activated).

Variable name | Type | Permissible range | Axis type | Dimension
mask_mess_1 | UNS16 | 0x40: Status bit 1 0x80: Status bit 2 | T, R | ----


SERCOS-status/control bit for measurement (P-AXIS-00060)

This entry defines the realtime state/control bits used for probing.

Variable name | Type | Permissible range | Axis type | Dimension
echtzeit_bit_nr | UNS16 | 0 < echtzeit_bit_nr < 2 | T, R | ----

The assignment is according to the following table:

P-AXIS-00060 | Controlbits | Statusbits
 | Measurement Enable | Measuring done | Measuring probe activated
0, no entry | 1 | P-AXIS-00106 | 2
1 | 1 | 1 | 2
2 | 2 | 2 | 1

It is recommended to set P-AXIS-00060 to either 1 or 2. The value 0 is just for backward compatibility with older versions of the NC-kernel and requires additional settings (P-AXIS-00106).

If P-AXIS-00060 has a value of 1 or 2, the value in P-AXIS-00106 is not used.


Measurement signal via axis specific control bit mask (P-AXIS-00115)

To consider also external measurement signals, a bit of the axis specific control bit mask is used for. This possibility is defined by the parameter kenngr.-mess_signal_steuer.

Variable name | Type | Permissible range | Axis type | Dimension
mess_signal_achs_steuer | BOOLEAN | 0 / 1 | T, R | ----


Measurement signal via HLI Control Unit (P-AXIS-00257)

With this parameter it is possible to determine that the probing signal is read from the HLI via the control unit MCControlBoolUnit_ProbingSignal and not via the cyclic drive interface. See also [HLI]. The probing value is the actual value at the moment of the occurrence of the probing signal.

Variable name | Type | Permissible range | Axis type | Dimension
probing_signal_via_plc | BOOLEAN | 0 / 1 | T, R | ----

Caused by the scanning of the probing signal in the cycle time of the PLC the accuracy of the probed value is less than the accuracy achieved by using drive internal probing latches.

Dependend on the drive types following measurement methods are possible:

 | Measurement methods
 | mess_signal_taster mess_signal_achs_steuer probing_signal_via_plc | mess_signal_sercos
Drive simulation (A NTR_TYP_SIMU) | X | -
Conventional drive interface ( ANTR_TYP_KONV) | X | -
SERCOS drive inteface ( ANTR_TYP_SERCOS) | X | X


Measurement signal from drive (P-AXIS-00269)

This parameter determines if the measurement signal is provided by the drive.

Variable name | Type | Permissible range | Axis type | Dimension
meas_signal_drive | BOOLEAN | 0 / 1 | T, R | ----


Measurement with movement on a fixed stop (P-AXIS-00330)

With this parameter the measurement signal source "Fixed stop" is enabled.

Variable name | Type | Permissible range | Axis type | Dimension
meas_signal_fixed_stop | BOOLEAN | 0 / 1 | T, R | ----

The user has to ensure, that during the movement on a fixed stop in the drives involved a torque limitation is active and that the velocity is low enough.

All other measurement signal sources (e.g. P-AXIS-00116 (kenngr.mess_signal _sercos)) have to be deselected.

More:

button Limit for position lag (P-AXIS-00331)

button Number of position control cycles (P-AXIS-00332)


Limit for position lag (P-AXIS-00331)

This parameter specifies the limit for the position lag. After exceeding this limit the fixed stop is detected and the measuring position is taken over.

Variable name | Type | Permissible range | Axis type | Dimension
fixed_stop_pos_lag_limit | UNS32 | 0 < fixed_stop_pos_lag_limit < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Number of position control cycles (P-AXIS-00332)

This parameter defines the number of position control cycles for the waiting time after exceeding of the given position lag limit P-AXIS-00331, before the measurement value is determined. The counting is started again, if during this time the limit is fallen below.

Variable name | Type | Permissible range | Axis type | Dimension
fixed_stop_nbr_cycles | UNS32 | 0 < fixed_stop_nbr_cycles < MAX(UNS32) | T, R | ----


Abortion of measuring order at reset (P-AXIS-00378)

This parameter defines, if a measurement order is aborted (e.g. MC_TouchProbe) at reset. By motion control platform on a PLC cold starting always all open measurement orders are aborted (MC_AbortTrigger).

Variable name | Type | Permissible range | Axis type | Dimension
keep_tp_over_reset | BOOLEAN | 0 / 1 | T, R | ----


Activation of edge banding (P-AXIS-00098)

The element "kenngr.kasto_achse" serves as a flag to mark physical measurement axes for usage of the functionality "edge banding" in freely defined coordinate systems.

This parameter is used only for certain applications [PROG] .

Variable name | Type | Permissible range | Axis type | Dimension
kasto_achse | BOOLEAN | 0 / 1 | T, R | ----


Gantry operation

For gantry axes special functions for the monitoring of the deviation of the axes positions and special procedures for the compensation of this deviations are active. The static (or mechanical) gantry operation is defined by the configuration, because based on the construction of the machine the axes are fixed coupled. The dynamic (or programmable) gantry operation is defined within the part program. The axis parameters listed in the following table must be set dependent on the gantry operation type:

Parameter | Required for static gantry operation * | Required for dynamic gantry operation
gantry_ax_nr | X |
gantry_max_diff_resetable | X | X
gantry_max_diff_reset_locked | X | X
gantry_offset | X |
gantry_vb_korr | X | X
gantry_diff_check_without_homing | X |
gantry_synchronous_slave_homing (only for SERCOS-drives) | X |
cnc_controlled_stop_after_error | X |
gantry_deskew_trigger | X |
gantry_max_homing_dist | X |
gantry_slave_no_homing | X |
gantry_slave_relative_homing | X |

*For static gantry operation for the master- and slave axes additionally the corresponding axis mode bit must be set (see also chapter 3.1.3)

More:

button Axis number of master axis (P-AXIS-00070)

button Resetable path distance (P-AXIS-00072)

button Maximum path distance (P-AXIS-00071)

button Static offset (P-AXIS-00073)

button Velocity of correction (P-AXIS-00075)

button Gantry difference monitoring before homing (P-AXIS-00249)

button Drive controlled homing of gantry axis (SERCOS) (P-AXIS-00253)

button CNC-controlled error reaction (P-AXIS-00254)

button Edge detection GantryOn-signal (P-AXIS-00261)

button Maximum path for a gantry slave axis during homing (P-AXIS-00284)

button Suppress homing for gantry slave axis (P-AXIS-00074)

button Home gantry slave axis relative to encoder overflow (P-AXIS-00393)


Axis number of master axis (P-AXIS-00070)

In the axis parameters list of the slave axis for this parameter the logical axis number of their master axis must be entered. If this parameter is defined unequal to zero, a fixed link between master- and slave axes is executed during startup of the control. This so called static gantry coupling exists exclusively on position controler level. In the NC-channel the slave axis is unknown. A movement is only executed by the programming of their master axis.

Variable name | Type | Permissible range | Axis type | Dimension
gantry_ax_nr | UNS16 | 1 < gantry_ax_nr < MAX (UNS16) | T, R | ----

This entry is not taken over when the axis parameters list is actualized, to change the entry a reboot is necessary.


Resetable path distance (P-AXIS-00072)

Maximum permissible path distance between master- and slave gantry axis. If path distance exceeds parameter value gantry_max_diff_resetable an error occurs which is resetable. Typical value : 160 µm

Variable name | Type | Permissible range | Axis type | Dimension
gantry_max_diff_resetable | UNS32 | 0 < gantry_max_diff_resetable < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Maximum path distance (P-AXIS-00071)

Maximum permissible path distance between master- and slave gantry axis. If path distance exceeds parameter value gantry_max_diff_reset_locked an error occurs which is not resetable.

Typical value : 2600 µm

Variable name | Type | Permissible range | Axis type | Dimension
gantry_max_diff_reset_locked | UNS32 | 0 < gantry_max_diff_resetable < gantry_ max_diff_reset_locked < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Static offset (P-AXIS-00073)

Static offset between master- and slave axis because of difference in measurement systems of master- and slave axis. The offset sign results from the calculation instruction: OFFSET = SLAVE  MASTER

Variable name | Type | Permissible range | Axis type | Dimension
gantry_offset | SGN32 | MIN(SGN32 < gantry_offset < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Velocity of correction (P-AXIS-00075)

Correction of slave axis position is done with velocity gantry_vb_korr until distance between master and slave is smaller than gantry_offset.

Variable name | Type | Permissible range | Axis type | Dimension
gantry_vb_korr | UNS32 | 0 < gantry_vb_korr < P-AXIS-00212 | T | 1 µm/s
 |  |  | R | 0,001°/s


Gantry difference monitoring before homing (P-AXIS-00249)

By default position difference monitoring is active only after homing of gantry master and slave axis.

With this parameter it is possible to activate gantry difference monitoring before homing (gantry_diff_check_without_homing = 1). In this monitoring mode the axis parameters P-AXIS-00072 and P-AXIS-00071 are taken as limits. The position difference at startup of the control is taken as offset instead of P-AXIS-00073. After homing is succeeded P-AXIS-00073 is used as position offset for monitoring.

Variable name | Type | Permissible range | Axis type | Dimension
gantry_diff_check_without_homing | BOOLEAN | 0 / 1 | T, R | ----


Drive controlled homing of gantry axis (SERCOS) (P-AXIS-00253)

For drive controlled homing (digital drives, SERCOS) the homing procedure is started synchronous for alle gantry axes.

Der Anwender muss zusätzlich sicherstellen, dass die Parametrierung der Referenzfahrt in allen Antrieben identisch ist und die Referenzpunktfahrt somit gleich abläuft.

Variable name | Type | Permissible range | Axis type | Dimension
gantry_synchronous_slave_homing | BOOLEAN | 0 / 1 | T, R | ----

It must be ensured that the drive controlled homing ist done identically by all drives (z.B. without cam shafts, spacing coded measurement system). This must be initiated by respective parameters.

For security reasons a limitation of the torque during homing procedure can be done.


CNC-controlled error reaction (P-AXIS-00254)

Most in error case an intelligent drive executes an error reaction by itself and reports this to the CNC. Then the CNC can stop the other related axis.

For gantry axes it is not allowed, that one axis of the gantry system stops independently. For this reason in case of an axis error the CNC can execute a controlled stop of the complete gantry system. The function must be adjusted for the master and the slave axes. It is checked, if the settings for master and slave axes are identical and if necessary corrected in the slave axes.

Variable name | Type | Permissible range | Axis type | Dimension
cnc_controlled_stop_after_error | BOOLEAN | 0 / 1 | T, R | ----

0 | Drive internal error reaction
1 | CNC controlled error reaction

During CNC controlled errror reaction it is stopped with the defined emergency deceleration P-AXIS-00003 (a_emergency).

This parameter is used only for SERCOS-axes.

Additional the drive must be parametrized in the way, that no respectively a delayed errror reaction is executed (see EcoDrive P-0-0117).


Edge detection GantryOn-signal (P-AXIS-00261)

With parameter P-AXIS-00261 an edge detection can be activated for HLI-signal MCControlBoolUnit_GantryOn. Further information about MCControlBoolUnit_GantryOn can be taken from [HLI]

When P-AXIS-00261 is assigned a value of 1 driving out the gantry difference is done only after a rising edge of MCControlBoolUnit_GantryOn, independently from the value of the correction speed P-AXIS-00075. Driving out the gantry difference after a CNC reset is also suppressed.

Variable name | Type | Permissible range | Axis type | Dimension
gantry_deskew_trigger | BOOLEAN | 0 / 1 | T, R | ----


Maximum path for a gantry slave axis during homing (P-AXIS-00284)

With this parameter the permissible movement range of a gantry slave axis can be limitied during homing. This parameter defines the maximum movement distance of the axis in positive and negative direction relatively to the axis position at the start of the axis homing cycle. If the permissible range is exceeded homing is aborted and an error message with ID P-ERR-70229 is shown.

Setting this value to zero deactivates distance monitoring (default setting).

Variable name | Type | Permissible range | Axis type | Dimension
gantry_max_homing_dist | SGN32 | 0 < gantry_max_homing_dist < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º


Suppress homing for gantry slave axis (P-AXIS-00074)

With this parameter the homing of gantry slave axis can be suppressed. When homing of the master axis succeeded the axis positions from the gantry slave axis paramter lists are take over, too and the monitoring of the gantry difference is started.

Variable name | Type | Permissible range | Axis type | Dimension
gantry_slave_no_homing | BOOLEAN | 0 / 1 | T, R | ----


Home gantry slave axis relative to encoder overflow (P-AXIS-00393)

When this parameter is set a gantry slave axis is homed with the following method: At the moment when the master axis position is set the offset of the slave axis relatively to the encoder overflow is deteremined and the slave axis position is set to P-AXIS-00152 + distance to encoder overflow. No homing movement is done for this axis.

The mechanical axis position of the slave axis can be shifted by P-AXIS-00354.

Variable name | Type | Permissible range | Axis type | Dimension
gantry_slave_relative_homing | BOOLEAN | 0 / 1 | T, R | ----

This parameter can only be used if the following conditions are fullfilled:

· The slave axis encoder delivers an absolute position within one motor revolution.

· The slave axis can never be moved more than half a motor revolution in positve or negative direction with respect to the master axis.

If this conditions are not fullfilled the machine can be damaged!


Monitoring of axes collision

More:

button Logical axis identifier (P-AXIS-00043)

button Security distance (P-AXIS-00045)

button Stopping in all channels (P-AXIS-00044)

button Inverting of moving direction (P-AXIS-00262)

button Offset of zero positions (P-AXIS-00263)

button Valid deceleration (P-AXIS-00267)


Logical axis identifier (P-AXIS-00043)

Logical axis number of the axis to be monitored. For this axis the axis mode bit 0x8000 must be set (see also chapter 3.1.3)

Variable name | Type | Permisible range | Axis type | Dimension
coll_check_ax_nr | UNS32 | 1 < coll_check_ax_nr < MAX(UNS32) | T | ----


Security distance (P-AXIS-00045)

Minimum distance between two collision axes.

Variable name | Type | Permissible range | Axis type | Dimension
coll_offset | UNS32 | 1< coll_offset < MAX(UNS32) | T | 0,1µm


Stopping in all channels (P-AXIS-00044)

If collision axes are assigned to different channels, a stop in all channels by this parameter can be forced, if one collision axis reports a drive error.

This ensures, that an error in the measurement system of an axis does not result in an axis collision.

Variable name | Type | Permissible range | Axis type | Dimension
coll_decelerate_chan | BOOLEAN | 0 / 1 | T | ----


Inverting of moving direction (P-AXIS-00262)

When the axes of a collision pair at a programmed movement in the same direction move mechanically in different directions this parameter must be set to 1.

Variable name | Type | Permissible range | Axis type | Dimension
coll_moving_dir_inverted | BOOLEAN | 0 / 1 | T | ----


Offset of zero positions (P-AXIS-00263)

In this axis parameter a eventual present offset between the zero positions of the collision pair has to be inserted. The value of this parameter are the coordinates of the zero position of the second axis (the collision partner) in the axis coordinates of the first axis (the master axis).

Variable name | Type | Permissible range | Axis type | Dimension
coll_zero_position_offset | SGN32 | MIN(SGN32)<coll_zero_position_offset<MAX(SGN32) | T | 0,1µm


Valid deceleration (P-AXIS-00267)

As default for collision monitoring P-AXIS-00008 (a_max) is used to calculate the braking distance and to decelerate the axis if a collision is detected. With parameter P-AXIS-00267 it can be determined that collision monitoring is to be done with P-AXIS-00003 (a_emergency).

Variable name | Type | Permissible range | Axis type | Dimension
coll_use_a_emergency | BOOLEAN | 0 / 1 | T | ----


Tracking operation

More:

button Maximum feed of compensation movement after deselection (P-AXIS-00208)

button Maximum difference after deactivation (P-AXIS-00056)

button Keep position offset after tracking (P-AXIS-00258)


Maximum feed of compensation movement after deselection (P-AXIS-00208)

During active tracking, the axis can be moved out of its command position manually. This leads to a difference between the original command position and the current position. If the axis should be moved back to the stored position after switching off the tracking mode, this can be performed jump like (vb_corr_tracking = 0) or with interpolation (vb_corr_tracking != 0). This movement on deselection can be suppressed with parameter P-AXIS-00258.

Variable name | Type | Permissible range | Axis type | Dimension
vb_corr_tracking | UNS32 | 0 < vb_corr_tracking < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001 °/s


Maximum difference after deactivation (P-AXIS-00056)

After deactivation of the tracking mode, the actual position deviates from the stored original command position normally. With the parameter diff_pos_tracking an upper limit for this deviation is defined. Exceeding this limit leads to an error message while lower deviation enables moving back to the stored command position (see P-AXIS-00208).

Variable name | Type | Permissible range | Axis type | Dimension
diff_pos_tracking | UNS32 | 0 < diff_pos_tracking < MAX(UNS32) | T | 0.1 µm
 |  |  | R | 0,0001 °


Keep position offset after tracking (P-AXIS-00258)

If tracking is activated and deacivated while executing a program or while manual mode is active the axis is moved back to the position where tracking was selected. This movement can be suppressed with parameter P-AXIS-00258.

Variable name | Type |  | Permissible range | Axis type | Dimension
tracking_offset_remain |  | BOOLEAN | 0 / 1 | T, R | ----


Gear data

The data of axis parameters list can be classified into gear step-dependent and gear step-independent data.

In this chapter the parameters for the definition of the gear steps and the gear change positions have been described.

More:

button Default gear step number (P-AXIS-00079)

button Default gear step number for C-axis mode (P-AXIS-00052)


Default gear step number (P-AXIS-00079)

In parameter "kenngr.getriebe_stufe" the gear step number is defined which is supposed to be active at the time of start up of control.

Variable name | Type | Permissible range | Axis type | Dimension
getriebe_stufe | UNS16 | 1 < getriebe_stufe < MAX(UNS16) | T, R | ----


Default gear step number for C-axis mode (P-AXIS-00052)

In parameter "kenngr.def_cax_gear_st" the gear step number for the c-axis mode is defined. In the C-axis mode the axis changes from the spindle interpolator into the path interpolator. In the path interpolator the gear step for the axis changes automatically to the kenngr. def_cax_gear_st.

Variable name | Type | Permissible range | Axis type | Dimension
def_cax_gear_st | UNS16 | 1 < def_cax_gear_st < MAX(UNS16) | R | ----


Settings for SAI (Single Axis Interpolation)

The following parameters are only necessary, if the axis should be operated as SAI-axis.

More:

button Configuration of a SAI-axis (P-AXIS-00250)

button Requesting of a SAI-axis at RESET (P-AXIS-00251)

button Moving to a target position after reversal of direction (P-AXIS-00252)

button Switching off superimposed interpolator (P-AXIS-00287)

button Camming/Gearing (cam_gear.*)


Configuration of a SAI-axis (P-AXIS-00250)

For the PLC-open specific axis characteristic the SAI must not only be configured for spindle axes, but also for translatory and rotatory axes. For this the flag configure_sai must be TRUE.

Variable name | Type | Permissible range | Axis type | Dimension
configure_sai | BOOLEAN | 0 / 1 | T, R | ----


Requesting of a SAI-axis at RESET (P-AXIS-00251)

A SAI (respectively a spindle) can be commanded via a channel to release its axis ("PUTAX"). If the SAI receives from the same channel a RESET and it has no axis under control, this SAI requests automatically its axis again.

Variable name | Type | Permissible range | Axis type | Dimension
auto_call_ax | BOOLEAN | 0 / 1 | T, R | ----


Moving to a target position after reversal of direction (P-AXIS-00252)

For PLCopen axes this parameters defines the mode of movement to a new target position after reversal of direction.

Variable name | Type | Permissible range | Axis type | Dimension
consider_total_brake_dist | BOOLEAN | 0 / 1 | T, R | ----

0 | Determining of the new target position by modulo calculation after reversal of direction.
1 | At reversal of turning direction the target position is reached by driving back the whole braking distance and then moving to the target position.


Switching off superimposed interpolator (P-AXIS-00287)

For PLCOpen functionality superimposed movement in a Single Axis Interpolator a second is supplied for the superimposed movement. If this functionality is not needed the second interpolator can be disabled in order to save calculation time. By default the second interpolator is switched off.

Variable name | Type | Permissible range | Axis type | Dimension
disable_super_imposed | BOOLEAN | 0 / 1 | T, R | ----


Camming/Gearing (cam_gear.*)

At camming/gearing a movment synchronisation between two axes is established. The movement relation between the two axes is defined either by a constant factor (gearing) or by a table which holds the slave axis positions dependent on the master axis positions (camming).

To generate this synchronous movement at first a speed synchronization of the axes is necessary. With the following parameters the conditions, when the speed synchronization is finished, can be defined.

More:

button Define axis as Camming/Gearing -Master (P-AXIS-00288)

button Velocity tolerance range (P-AXIS-00289)

button Minimum time in tolerance range for speed synchronisation (P-AXIS-00290)

button Maximum time for velocity synchronisation (P-AXIS-00291)

button Average value filter for current master velocity (P-AXIS-00300)

button Number of scanning cycles for average value filter (P-AXIS-00301)

button Delay time on gearing with current master velocity (P-AXIS-00302)

button Maximum commanded velocity for slave axis (P-AXIS-00303)

button Maximum commanded acceleration for slave axis (P-AXIS-00304)

button Velocity for phase synchronization (P-AXIS-00305)

button Acceleration for phase synchronization (P-AXIS-00306)

button Deceleration for phase synchronization (P-AXIS-00307)

button Jerk for phase synchronization (P-AXIS-00376)

button Jerk for velocity synchronization (P-AXIS-00377)

button Coupling behaviour on error from position control (P-AXIS-00308)

button Coupling behaviour on feed enable drop (P-AXIS-00309)

button Permissible acceleration of master actual position (P-AXIS-00437)


Define axis as Camming/Gearing -Master (P-AXIS-00288)

TwinCAT CNC: Overview

Define axis as Camming/Gearing Master (P-AXIS-00288)

If the spindle respectively the SAI shall be used as master axis of a synchronous movement this parameter has to be set to 1.

Variable name | Type | Permissible range | Axis type | Dimension
is_master | BOOLEAN | 0 / 1 | T, R | ----

0 | Axis is no master
1 | Axis is master


Velocity tolerance range (P-AXIS-00289)

With this parameter the permissible velocity difference for considering the axes as synchronous in velocity is defined.

Variable name | Type | Permissible range | Axis type | Dimension
v_diff_percent | UNS16 | 0 ... 1000 | T, R | 0,1 %


Minimum time in tolerance range for speed synchronisation (P-AXIS-00290)

Time the axis has to be in the tolerance range defined in P-AXIS-00289 untill it is considered speed synchronous.

Variable name | Type | Permissible range | Axis type | Dimension
time_in_window | UNS32 | 0 ... MAX(UNS32) | T, R | µs


Maximum time for velocity synchronisation (P-AXIS-00291)

Maximum permissible time for synchronisation. If synchronisation is not reached within the time set up in this parameter, synchronization is stopped and an error message is shown.

Variable name | Type | Permissible range | Axis type | Dimension
time_out_in_window | UNS32 | 0 ... MAX(UNS32) | T, R | µs


Average value filter for current master velocity (P-AXIS-00300)

Arithmetic average value filter for current master velocity on (1) / off (0). This parameter is used for gearing with the current master velocity.

Variable name | Type | Permissible range | Axis type | Dimension
mv_type | UNS16 | 0 / 1 | T, R | ----


Number of scanning cycles for average value filter (P-AXIS-00301)

Number of scanning cycles for filtering of the current master velocity. This parameter is used for gearing with the current master velocity.

Variable name | Type | Permissible range | Axis type | Dimension
mv_nbr_cycles | UNS32 | 1 100 | T, R | ----


Delay time on gearing with current master velocity (P-AXIS-00302)

Parameter of delay time compensation for gearing with current master velocity. The determination of this parameter has to be done system specific, because it depends from axis filters and delay times in the (digital) drive. This parameter is used for gearing with the current master velocity.

Variable name | Type | Permissible range | Axis type | Dimension
delay_time | UNS32 | 0 - 1E+7 | T, R | µs


Maximum commanded velocity for slave axis (P-AXIS-00303)

Limit of commanded velocity for a slave axis during velocity synchronization (for camming and gearing) and during synchronous camming.

Variable name | Type | Permissible range | Axis type | Dimension
v_max_slave | UNS32 | 1 ... MAX(UNS32) | T, R | µm/s


Maximum commanded acceleration for slave axis (P-AXIS-00304)

Limit of commanded acceleration for a slave axis during synchronous gearing.

Variable name | Type | Permissible range | Axis type | Dimension
a_max_slave | UNS32 | 1 ... MAX(UNS32) | T, R | mm/s2


Velocity for phase synchronization (P-AXIS-00305)

Velocity for phase synchronization at camming.

Variable name | Type | Permissible range | Axis type | Dimension
v_phasing | UNS32 | 1 ... P-AXIS-00212 / 2 | T, R | µm/s


Acceleration for phase synchronization (P-AXIS-00306)

Acceleration for phase synchronization at camming.

Variable name | Type | Permissible range | Axis type | Dimension
a_phasing | UNS32 | 1 ... P-AXIS-00008 / 2 | T, R | mm/s2


Deceleration for phase synchronization (P-AXIS-00307)

Deceleration for phase synchronization at camming.

Variable name | Type | Permissible range | Axis type | Dimension
d_phasing | UNS32 | 1 ... P-AXIS-00008 / 2 | T, R | mm/s2


Jerk for phase synchronization (P-AXIS-00376)

Jerk for phase synchronization at camming.

Variable name | Type | Permissible range | Axis type | Dimension
j_phasing | UNS32 | 1 ... ( ( P-AXIS-00008 / 2) / P-AXIS-00201 ) | T, R | mm/s3


Jerk for velocity synchronization (P-AXIS-00377)

Jerk for velocity synchronization at camming.

Variable name | Type | Permissible range | Axis type | Dimension
j_vel_sync | UNS32 | 1 ... ( ( P-AXIS-00008 / 2) / P-AXIS-00201 ) | T, R | mm/s3


Coupling behaviour on error from position control (P-AXIS-00308)

Handling of camming/gearing coupling on emergency stop.

Variable name | Type | Permissible range | Axis type | Dimension
keep_coupling_on_lr_error | BOOLEAN | 0 / 1 | T, R | ---

0 | The camming/gearing coupling is detached in the slave axis on emergency stop. The axis is decelerated with the emergency stop parameter.
1 | The camming/gearing coupling is detached in the slave axis on emergency stop. The axis is decelerated with the emergency stop parameter.


Coupling behaviour on feed enable drop (P-AXIS-00309)

Handling of camming/gearing coupling when feed enable drops.

Variable name | Type | Permissible range | Axis type | Dimension
keep_coupling_on_fe_drop | BOOLEAN | 0 / 1 | T, R | ---

0 | The camming/gearing coupling is detached in the slave axis when feed enable drops. The axis is decelerated with the emergency stop parameter and switched to error state
1 | The camming/gearing coupling is maintained in the slave axis when feed enable drops. The safety state has to be reached by stopping the master axis.


Permissible acceleration of master actual position (P-AXIS-00437)

This parameter specifies the permissible acceleration limit for a gear coupling based on actual values (MC_GearIn, s. ). The master actual position is extrapolated, if the given acceleration is exceeded. The acceleration limit is specified for the slave axis as a factor related to its maximum axis acceleration (s. P-AXIS-00008). The default value is 1500 (150 %).

Variable name | Type | Permissible range | Axis type | Dimension
fact_a_max_correction | UNS32 | 0 < fact_a_max_correction < MAX(UNS32) Default value: 1500 (150%) | T, R, S | 0,1 %


Velocity monitoring

More:

button Monitoring of current velocity (P-AXIS-00311)

button Activation of speed monitoring (P-AXIS-00312)

button Activation of feed enable via PLC (P-AXIS-00313)

button Speed monitoring during torque limitation (P-AXIS-00314)


Monitoring of current velocity (P-AXIS-00311)

If monitoring of velocity is activated via P-AXIS-00312 (enable_speed_monitoring), then the current velocity of rotator axes is monitored with this limit. Translator axes are monitored according to EN775 with a fixed limit of 250 mm/s. If the parameter is 0 or does not exist, then monitoring is done with P-AXIS-00268 (vb_not_referenced).

Variable name | Type | Permissible range | Axis type | Dimension
vb_monitor | UNS32 | 1 < vb_ monitor < MAX(UNS32) | R | 0,001 °/s


Activation of speed monitoring (P-AXIS-00312)

Monitoring of current speed can be activated with this parameter. The maximum permissible speed is set with P-AXIS-00311 (vb_monitor).

Variable name | Type | Permissible range | Axis type | Dimension
enable_speed_monitoring | BOOLEAN | 0 / 1 | T, R | ----


Activation of feed enable via PLC (P-AXIS-00313)

If feed enable shall be controlled via PLC, then this parameter must be activated. If this parameter is set, the feed enable watchdog of the PLC-interface is checked. If this watchdog is not triggered, the interpolator stops on the path via feedhold.

Variable name | Type | Permissible range | Axis type | Dimension
enable_feed_enable | BOOLEAN | 0 / 1 | T, R | ----


Speed monitoring during torque limitation (P-AXIS-00314)

In torque limit mode the current velocity is monitored with this parameter. If the parameter is 0 or does not exist, then monitoring is done with P-AXIS-00212 (vb_max).

Variable name | Type | Permissible range | Axis type | Dimension
vb_torq_limit_max | UNS32 | 1 < vb_torq_ limit_max < MAX(UNS32) | T | µm/s
 |  |  | R | 0,001 °/s


Behaviour when enabling the drive controller

More:

button Max. permissible position difference when enabling drive controller (P-AXIS-00108)

button Relieve position difference when enabling drive controller (P-AXIS-00327)

button No stop of position correction at feedhold after enabling drive controller (P-AXIS-00356)


Max. permissible position difference when enabling drive controller (P-AXIS-00108)

When enabling the drive controller the axis gets a new command value. If this command value differs from the actual value abrupt stimulation of the drive occurs. In order to limit the resulting axis movement the position difference is monitored concerning to a limit.

If the actual difference between command- and actual position is greater than the specified value when enabling the drive, an error message is created. The position difference is not driven out.

Variable name | Type | Permissible range | Axis type | Dimension
max_diff_soll_ist | UNS32 | 0 < max_diff_soll_ist < MAX_SGN32 | T | 0,1 µm
 |  |  | R | 0,0001 °


Relieve position difference when enabling drive controller (P-AXIS-00327)

If a drive is enabled it moves from its actual position to the command position. If the difference between actual and command position is less than P-AXIS-00108 this position difference is driven out in one single step. With Parameter P-AXIS-00327 it can be achived that the positon difference is driven out with a linear slope profile.

Here the following dynamic parameters are used:

Velocity of the movement | P-AXIS-00208
Acceleration of the movement | P-AXIS-00011

A reset during the correction movement aborts this movement in compliance with the dynamic parameters mentioned above.

A channel specific feedhold leads to a stopp of the correction movement, if the axis is attached to a channel. If the axis is not attached to a channel, an axis specific feedhold or an axis specific override zero leads to an interruption of the correction movement.

Program start resp. continuation of a program is done after the correction movement is finished.

This functionality is supported only by SERCOS, CAN and DSE drives. From version V263 also PROFIDRIVE is supported.

Variable name | Type | Permissible range | Axis type | Dimension
pos_corr_drive_enable | BOOLEAN | 0 / 1 | T | ----


No stop of position correction at feedhold after enabling drive controller (P-AXIS-00356)

This parameter determines if a position correction after drive enable (see also P-AXIS-00327) can be interrupted with axis or channel specific feedhold.

By default this parameter has the value 0.

If this parameter has the value 1 a position correction can not be stopped with feedhold.

Variable name | Type | Permissible range | Axis type | Dimension
pos_corr_ignore_feedhold | BOOLEAN | 0 / 1 | T, R | ----


Tolerance window for axis filter (P-AXIS-00351)

This parameter defines the position tolerance, within the axis filters are treated as position reached:

| unfiltered command value  filtered command value | < filter_position_window

If axis filters are activated the CNC waits during reset, position request or exact stop for the filters to reach the tolerance window.

Variable name | Type | Permissible range | Axis type | Dimension
filter_position_window | REAL64 | 0.01 < filter_position_window | T | 0,1µm
 |  |  | R | 0,0001°


Override limits

More:

button Maximum permissible velocity override (P-AXIS-00109)


Maximum permissible velocity override (P-AXIS-00109)

This parameter is used for axis specific override limitation. He is used for independent axis and for spindles.

Variable name | Type | Permissible range | Axis type | Dimension
max_vb_override | UNS16 | 1 < max_vb_override < MAX_VB_OVERRIDE | T, R | 0,1%

Value MAX_VB_OVERRIDE | Significance
application-dependent | Pre-selection of maximum velocity override in axis (Plausibility Limit)


Reduced speed

For safety functionalities or setup operations the PLC can command a switchover to a reduced axis feed to the CNC.

More:

button Reduced maximum speed at active G01 (P-AXIS-00214)

button Reduced maximum speed at active G00 (P-AXIS-00155)

button Reduced maximum speed in security zone


Reduced maximum speed at active G01 (P-AXIS-00214)

By control signal REDUCED_SPEED the PLC can command a switchover to the reduced axis feed vb_max_red to the CNC. The CNC reacts in realtime, after an eventually necessary deceleration none of the axes moves faster than vb_max_red.

Variablename | Type | Permissible range | Axis type | Dimension
vb_max_red | UNS32 | 0 < vb_max_red < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Reduced maximum speed at active G00 (P-AXIS-00155)

By control signal REDUCED_SPEED the PLC can command a switchover to a reduced axis rapid feed rapid_speed_red to the CNC. The CNC reacts in realtime, after an eventually necessary deceleration none of the axes moves faster than rapid_speed_red.

Variablename | Type | Permissible range | Axis type | Dimension
rapid_speed_red | UNS32 | 0 < rapid_speed_red < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Reduced maximum speed in security zone

In combination with the security zone of an axis the PLC can command a switchover to a reduced maximum path feed to the CNC. The security zone is defined inside of an upper and lower limit of the axis position. The reduced speed functionality gets active with PLC signal, if one axis is inside the security zone or moves into this zone. The CNC reacts in realtime, that means that after an eventually necessary deceleration phase none of the axes moves faster than vb_max_red_zone. This value is independent of current active moving mode (G00 or G01). For each axis two security zones can be defined. This zones can overlap each other.

More:

button Upper limit of security zone 1 (P-AXIS-00085)

button Lower limit of security zone 1 (P-AXIS-00093)

button Upper limit of security zone 2 (P-AXIS-00097)

button Lower limit of security zone 2 (P-AXIS-00105)

button Maximum permissible axis velocity in security zone (P-AXIS-00030)


Upper limit of security zone 1 (P-AXIS-00085)

With the parameter "red_speed_zone_pos" the upper limit of security zone 1 is defined.

Variablename | Type | Permissible range | Axis type | Dimension
red_speed_zone_pos | SGN32 | swe_neg < red_speed_zone_pos < swe_pos red_speed_zone_pos > red_speed_zone_neg | T | 0,1µm
 |  |  | R | 0,0001º


Lower limit of security zone 1 (P-AXIS-00093)

With the parameter "red_speed_zone_neg" the lower limit of security zone 1 is defined.

Variablename | Type | Permissible range | Axis type | Dimension
red_speed_zone_neg | SGN32 | swe_neg < red_speed_zone_neg < swe_pos red_speed_zone_neg < red_speed_zone_pos | T | 0,1µm
 |  |  | R | 0,0001º


Upper limit of security zone 2 (P-AXIS-00097)

With the parameter "red_speed_zone_2_pos" the upper limit of security zone 2 is defined.

Variablename | Type | Permissible range | Axis type | Dimension
red_speed_zone_2_pos | SGN32 | swe_neg < red_speed_zone_pos < swe_pos red_speed_zone_2_pos > red_speed_zone_2_neg | T | 0,1µm
 |  |  | R | 0,0001º


Lower limit of security zone 2 (P-AXIS-00105)

With the parameter "red_speed_zone_2_neg" the lower limit of security zone 2 is defined.

Variablename | Type | Permissible range | Axis type | Dimension
red_speed_zone_2_neg | SGN32 | swe_neg < red_speed_zone_neg < swe_pos red_speed_zone_2_neg < red_speed_zone_2_pos | T | 0,1µm
 |  |  | R | 0,0001º


Maximum permissible axis velocity in security zone (P-AXIS-00030)

The value vb_max_red_zone defines the maximum permissible axis velocity inside the security zones 1 and 2 if control signal REDUCED_SPEED_ZONE respectively REDUCED_SPEED_2_ZONE to interpolator is active.

Variablename | Type | Permissible range | Axis type | Dimension
vb_max_red_zone | UNS32 | 0 < vb_max_red_zone < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Selection of fine interpolation (P-AXIS-00066)

With the parameter "kenngr.feininterpolation" fine interpolation can be selected.

Variable name | Type | Permissible Range | Axis type | Dimension
feininterpolation | BOOLEAN | 0 / 1 | T, R | ----


Torque configuration

More:

button Torque offset (P-AXIS-00324)

button Numerator scaling factor for torque (P-AXIS-00325)

button Denominator scaling factor for torque (P-AXIS-00326)


Torque offset (P-AXIS-00324)

If this function is supported by the used drive, it is possible to output statically an additive torque command value by the CNC. It is added to the drive internal current command value of the speed controller at the input of the current controller. By this additive torque command value for example a weight compensation can be achieved.

The definition of the additive torque command value is done in 0.1 % of the motor torque (see also P-AXIS-00325, P-AXIS-00326).

Variable name | Type | Permissible range | Axis type | Dimension
torque_offset | SGN16 | 0 < torque_offset < 1000 | T, R | 0,1 %

The output of an additive torque command value is not supported by all drive types. If this parameter has a value unequal to 0 and the drive does not support this function, an error message with the ID number P-ERR-110464 is output (see also [DIAG] ).


Numerator scaling factor for torque (P-AXIS-00325)

Numerator of the scaling factor for the commanded torque to the drive. The factor is specified as a quotient. This quotient is the value, which has to be output to the motor for reaching the nominal torque.

Variable name | Type | Permissible range | Axis type | Dimension
torque_scale_num | UNS32 | 0 < torque_scale_num < MAX(UNS32) | T, R | ----


Denominator scaling factor for torque (P-AXIS-00326)

Denominator of the scaling factor for the commanded torque to the drive. The factor is specified as a quotient. This quotient is the value, which has to be output to the motor for reaching the nominal torque.

Variable name | Type | Permissible range | Axis type | Dimension
torque_scale_denom | UNS32 | 1 < torque_scale_denom < MAX(UNS32) | T, R | ----

If the value 0 is set for P-AXIS-00326, an error message with the ID number P-ERR-110465 is output and the internal scaling factor is set on 0. In this case no output of the additive torque command value to the drive is done (see also [DIAG] ).


Gear couplings

More:

button Axis specific definition (kenngr.multi_link[i].*)

button Foreward mapping of drive position (P-AXIS-00436)


Axis specific definition (kenngr.multi_link[i].*)

The parameters of this structure offers the possibility to define axis specific gear couplings. The settings always are assigned to the axis to be coupled. The maximum allowable number of couplings per axis is 10.

Variable name | Type | Permissible range | Axis type | Dimension
multi_link[i] | ---- | 0 < i < 10 | T, R | ----

More:

button Lead or master axis (P-AXIS-00383)

button Numerator of coupling factor (P-AXIS-00384)

button Denominator of coupling factor (P-AXIS-00385)


Lead or master axis (P-AXIS-00383)

Logical axis number of the lead axis to which the coupling axis is linked by the coupling factor.

Variable name | Type | Permissible range | Axis type | Dimension
lead_axis | UNS16 | 1 < lead_axis < MAX_UNS16 | T, R | ----

The relative position of the coupling axis results from the multiplication of the coupling factor with the relative position of the lead axis. The coupling factor itself results from the definition of signed even numerator and denominator.


Numerator of coupling factor (P-AXIS-00384)

Numerator of the coupling factor.

Variable name | Type | Permissible range | Axis type | Dimension
factor_numerator | SGN32 | MIN(SGN32) < factor_numerator < MAX(SGN32) | T, R | ----


Denominator of coupling factor (P-AXIS-00385)

Denominator of the coupling factor.

Variable name | Type | Permissible range | Axis type | Dimension
factor_denominator | SGN32 | MIN(SGN32) < factor_denominator < MAX(SGN32) | T, R | ----

Example: 1:1 coupling to the lead axis with the logical axis number 1

kenngr.multi_link[0].lead_axis 1

kenngr.multi_link[0].factor_numerator 1

kenngr.multi_link[0].factor_denominator 1


Foreward mapping of drive position (P-AXIS-00436)

TwinCAT CNC: Overview

Foreward mapping of drive position (P-AXIS-004 36 )

Corresponding to the coupling instructions on drive level an active gear coupling leads to a offset of the axes positions to the programmed command positions in NC channel.

Gear coupling can be activated either by configuration in the axis parameters (see chapter 4.18.1) or via the HLI (see [FCT-A9]).

The axes positions and program coordinates are newly initialized at restart of program or by an explicitly programmed position request (#CHANNEL INIT [CMDPOS]). The parameter must be set to 1, if the input coordinates of the gear coupling (e.g. absolute program coordinates) should be recalculated by a foreward mapping.

Variable name | Type | Permissible range | Axis type | Dimension
recalc_link_main_input_position | BOOLEAN | 0 / 1 | ---- | ----

0 | No foreward mapping of drive position (default).
1 | Foreward mapping is executed.

Example: 1:2 foreward mapping is active during gear coupling

kenngr.multi_link[0].lead_axis 4

kenngr.multi_link[0].factor_numerator 1

kenngr.multi_link[0].factor_denominator 2

kenngr.recalc_link_main_input_position 1

Example: 1:3-Forward mapping with active gear coupling via the HLI

kenngr.recalc_link_main_input_position 1


Position output of coupled axes on inserted blocks (P-AXIS-00427)

In NC program for the motion in corner areas the active TRC generates new additional motion blocks. If in the corners also motions of (several) coupled axes are programmed, with active parameter P-AXIS-00427 the motions of this coupled axes can be executed in combination with new inserted motion blocks.

Variable name | Type | Permissible range | Axis type | Dimension
cax_output_with_generated_nc_block | BOOLEAN | 0 / 1 | T, R | ----

Excerpt from NC program:

N20 G26

N20 G41 (TRC selection)

...

N110 G01 X100

N120 G01 C90

N130 G01 Y0

...

N200 G40 (TRC deselection)

Figure 4-2: Schematic motion shown for a C axis

Programming example

Case 1:

N100 X100

N110 C90

N120 B50

N130 C180

N150 Y0

Case 2:

N100 X100

N110 C90 B100 A23

N150 Y0

Case 3:

N100 X100

N120 B50

N130 C90

N150 Y0

Case 4:

N100 X100

N110 C90

N120 B50

N150 Y0

Case 5:

N90 Z0

N100 X100

N110 C90

N120 Z50 (relevant motion)

N150 Y0

Case 6:

N90 Z50

N100 X100

N110 C90

N120 Z50 (non relevant)

(motion)

N150 Y0

Case 7:

N90 Z0

N100 X100

N110 Z50 (relevant motion)

N120 C90

N150 Y0


Gear step dependent parameters (getriebe[i].*)

In this structure all gear step dependent parameters are defined.

Variable name | Type | Permissible range | Axis type | Dimension
getriebe[i] | UNS16 | 0 < getriebe[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 [ANZ_GETR_STUFEN - 1]

Value ANZ_GETR_STUFEN | Significance
application-dependent | Number of gear steps

More:

button Gear step number (P-AXIS-00135)

button Gear change position (P-AXIS-00078)

button Number of selected hardware specific parameter set (P-AXIS-00054)

button Load inerta (P-AXIS-00391)

button Dynamic characteristic values

button Permissible axis dynamics (getriebe[i].dynamik.*)

button Characteristic curve-controlled acceleration (getriebe[i].beschl_kennlinie.*)


Gear step number (P-AXIS-00135)

The gear step-specific machine data are identified with the help of gear number "getriebe[i].nummer".

At the time of start up of control, the gear is active with the number P-AXIS-00079 (kenngr.getriebe_stufe).

Variable name | Type | Permissible range | Axis type | Dimension
nummer | UNS16 | 1 < nummer < MAX(UNS16) | T, R | ----


Gear change position (P-AXIS-00078)

For every gear step, the gear change position in "getriebe[i].getr_schalt_pos" is given.

The definition of this parameter will become significant when several gear steps are present.

Variable name | Type | Permissible range | Axis type | Dimension
getr_schalt_pos | SGN32 | P-AXIS-00177 < getr_schalt_pos < P-AXIS-00178 | T | 0,1µm
 |  |  | R | 0,0001°


Number of selected hardware specific parameter set (P-AXIS-00054)

A hardware specific parameter set can be selected for all gear steps. With this parameter f. e. the rotary transducer of spindle axis can be selected because of different necessary resolutions caused by different maximum velocities in modes endless turning and position controlled moving of spindle. The parameter getriebe[i].default_lr_hw_nbr refers to the selected hardware specific parameter set lr_hw[i].

Variable name | Type | Permissible range | Axis type | Dimension
default_lr_hw_nbr | UNS16 | 0 < default_lr_hw_nbr < ANZ_LR_HW_NBR | T, R | ----

Value ANZ_LR_HW_NBR | Significance
application-dependent | Number of hardwarespecific parameter sets


Load inerta (P-AXIS-00391)

To set up acceleration feedforward with additive torque command value the total load inerta of the motor has to be configured here. The total load inerta is the inerta of the motor itself and the inerta of the load related to the motor shaft. In case of a translatory moved axis the moved masses have to be converted in an equivalent inerta related to the motor shaft.

Variable name | Type | Permissible range | Axis type | Dimension
load | REAL64 | 0 < load < MAX(REAL64) | T | kg
 |  | Default value: 1*10-6 | R | kg*m2


Dynamic characteristic values

In this chapter the parameters for the acceleration and deceleration profile of the axes as well as the maximum axis velocities and axis accelerations are described.

More:

button Parameter for linear velocity profile (getriebe[i].lslope_profil.*)

button Parameter for non-linear velocity profile (getriebe[i].slope_profil.*)

button Effective acceleration profile (P-AXIS-00270)

button Rapid mode velocity (P-AXIS-00209)


Parameter for linear velocity profile (getriebe[i].lslope_profil.*)

In this structure the parameters for linear velocity profile have been put together.

In Figure 5-1 the parameters of the acceleration profile ar shown.

Figure 5-1: Linear Velocity Profile

More:

button Acceleration/ deceleration of step 1 (P-AXIS-00011)

button Acceleration/ deceleration of step 2 (P-AXIS-00012)

button Changeover speed (P-AXIS-00221)

button Acceleration/ deceleration of step 1 in rapid mode (P-AXIS-00005)

button Acceleration/ deceleration of step 2 in rapid mode (P-AXIS-00006)

button Changeover speed in rapid mode (P-AXIS-00211)

button Deceleration for feed hold (P-AXIS-00024)

button SAI deceleration of step 1 (P-AXIS-00282)

button SAI deceleration of step 2 (P-AXIS-00283)

button SAI limit deceleration of step 1 (P-AXIS-00280)

button SAI limit deceleration of step 2 (P-AXIS-00281)


Acceleration/ deceleration of step 1 (P-AXIS-00011)

The parameter getriebe[i].lslope_profil.a_stufe_1 becomes active during the acceleration and deceleration phases. The acceleration in the step 1 is defined thus.

Variable name | Type | Permissible range | Axis type | Dimension
a_stufe_1 | UNS32 | 1 < a_stufe_1 < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2

The acceleration ramps can be changed in the NC program. These commands have been described in greater detail in [PROG] .


Acceleration/ deceleration of step 2 (P-AXIS-00012)

The parameter " getriebe[i].lslope_profil.a_stufe_2" becomes active during the acceleration and the deceleration phases. The acceleration in step 2 is preset thus.

Variable name | Type | Permissible range | Axis type | Dimension
a_stufe_2 | UNS32 | 1 < a_stufe_2 < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2

The acceleration ramps can be changed in the NC program. These commands have been described in greater detail in [PROG] .


Changeover speed (P-AXIS-00221)

The parameter "getriebe[i].lslope_profil.vb_stufe_1_2" becomes active during the acceleration and deceleration phases. The changeover speed between velocity-ramp 1 getriebe[i]. lslope_profil.a_stufe_1 and velocity-ramp 2 getriebe[i].lslope_profil.a_stufe_2 is obtained thus.

Variable name | Type | Permissible range | Axis type | Dimension
vb_stufe_1_2 | UNS32 | 1 < vb_stufe_1_2 < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Acceleration/ deceleration of step 1 in rapid mode (P-AXIS-00005)

For positioning in the rapid mode (G00), often, ramps steeper than for the linear and circular interpolation (G01, G02, G03) are chosen. The parameter getriebe[i].Islope. profil.a_grenz_stufe_1 defines the acceleration of step 1 for this case.

Variable name | Type | Permissible range | Axis type | Dimension
a_grenz_stufe_1 | UNS32 | 1 < a_grenz_stufe_1 < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2

The acceleration ramps can be changed in the NC program. These commands have been described in greater detail in [PROG] .


Acceleration/ deceleration of step 2 in rapid mode (P-AXIS-00006)

For positioning in the rapid mode (G00), often, ramps steeper than for the linear and circular interpolation (G01, G02, G03) are chosen. The parameter "getriebe[i]. Islope_profil.a_grenz_stufe_2" defines the acceleration of step 2 for thise case.

Variable name | Type | Permissible range | Axis type | Dimension
a_grenz_stufe_2 | UNS32 | 1 < a_grenz_stufe_2 < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2

The acceleration ramps can be changed in the NC program. These commands have been described in greater detail in [PROG] .


Changeover speed in rapid mode (P-AXIS-00211)

For positioning in the rapid mode (G00), often, ramps steeper than for the linear and circular interpolation (G01, G02, G03) are chosen. The parameter "getriebe[i]. lslope_profil.a_grenz_stufe_2" defines the acceleration of step 2 for this case.

The parameter "getriebe[i].lslope_profil.vb_grenz_stufe_1_2 becomes active for this case during the acceleration and deceleration phase. The change over speed between ramp 1 ("getriebe[i].lslope_profil.a_grenz_stufe_1") and ramp 2 ("getriebe[i].lslope_profil. a_grenz_ stufe_2") are specified thus.

Variable name | Type | Permissible range | Axis type | Dimension
vb_grenz_stufe_1_2 | UNS32 | 1 < vb_grenz_stufe_1_2 < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Deceleration for feed hold (P-AXIS-00024)

With active feed hold because of user reaction, measurement movement or homing, often, ramps steeper than for rapid mode (G00) or workpiece machining (e.g. G01, G02, G03) are chosen. The parameter "getriebe[i].lslope_profil. a_feedh" defines the deceleration value for these cases. With missing entry the same deceleration like for G00 movement is used (P-AXIS-00005 ff).

Variable name | Type | Permissible range | Axis type | Dimension
a_feedh | UNS32 | 1 < a_feedh < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2

P-AXIS-00024 is only used if parameter P-CHAN-00097 in the channel parameter list is 1.


SAI deceleration of step 1 (P-AXIS-00282)

During the deceleration phase the parameter "getriebe[i].lslope_profil.d_stufe_1" becomes only active for axes in the Single Axis Interpolator (SAI). This paramater is not used for axes, interpolated in the channel. Herewith the deceleration of step 1 is defined. Initializing with value 0 automaticallly the value of P-AXIS-00011 is used, which is limited to the maximum acceleration P-AXIS-00008 (a_max.

The parameter becomes effective with assignment of the axis by means of an NC channel. With assignment of the axis by means of a PLC (via HLI) it can be declared inside the control unit, wether the deceleration is used from the axis parameters list [AXIS] or from the control unit itself. The value inside the control unit is only valid for this single assignment. This means, the parameter of the axis parameters list is not overwritten and can be used again in a following assignment. The control unit defines only one unique deceleration value for the initialization of the deceleration ramps 1 and 2.

Variable name | Type | Permissible range | Axis type | Dimension
d_stufe_1 | UNS32 | 1 < d_stufe_1 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

The deceleration ramp 1 for the SAI can not be modified via NC program. It is predefined in each movement order during the assignment via PLCopen.


SAI deceleration of step 2 (P-AXIS-00283)

During the deceleration phase the parameter "getriebe[i].lslope_profil.d_stufe_2" becomes only active for axes in the Single Axis Interpolator (SAI). This paramater is not used for axes, interpolated in the channel. Herewith the deceleration of step 2 is defined. Initializing with value 0 automaticallly the value of P-AXIS-00012 is used, which is limited to the maximum acceleration P-AXIS-00008 (a_max.

The parameter becomes effective with assignment of the axis by means of an NC channel. With assignment of the axis by means of a PLC (via HLI) it can be declared inside the control unit, wether the deceleration is used from the axis parameters list [AXIS] or from the control unit itself. The value inside the control unit is only valid for this single assignment. This means, the parameter of the axis parameters list is not overwritten and can be used again in a following assignment. The control unit defines only one unique deceleration value for the initialization of the deceleration ramps 1 and 2.

Variable name | Type | Permissible range | Axis type | Dimension
d_stufe_2 | UNS32 | 1 < d_stufe_2 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

The deceleration ramp 2 for the SAI can not be modified via NC program. It is predefined in each movement order during the assignment via PLCopen.


SAI limit deceleration of step 1 (P-AXIS-00280)

The parameter "getriebe[i].lslope_profil.d_grenz_stufe_1" becomes only active during the deceleration phase of an emergency stop (e.g. violation of software limit switches). It is only used for axes in the Single Axis Interpolator (SAI). Initializing with value 0 automaticallly the value of P-AXIS-00005 is used, which is limited to the maximum acceleration P-AXIS-00008 (a_max.

The parameter can not be modified, neither with assignment of the axis by means of an NC channel nor with assignment of the axis by means of a PLC.

Variable name | Type | Permissible range | Axis type | Dimension
d_grenz_stufe_1 | UNS32 | 1 < d_grenz_stufe_1 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

The limit deceleration ramp 1 can not be modified, neither by means of an NC program nor by means of PLCopen.


SAI limit deceleration of step 2 (P-AXIS-00281)

The parameter "getriebe[i].lslope_profil.d_grenz_stufe_2" becomes only active during the deceleration phase of an emergency stop (e.g. violation of software limit switches). It is only used for axes in the Single Axis Interpolator (SAI). Initializing with value 0 automaticallly the value of P-AXIS-00006 is used, which is limited to the maximum acceleration P-AXIS-00008 (a_max.

The parameter can not be modified, neither with assignment of the axis by means of an NC channel nor with assignment of the axis by means of a PLC.

Variable name | Type | Permissible range | Axis type | Dimension
d_grenz_stufe_2 | UNS32 | 1 < d_grenz_stufe_2 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

The limit deceleration ramp 2 can not be modified, neither by means of an NC program nor by means of PLCopen.


Parameter for non-linear velocity profile (getriebe[i].slope_profil.*)

In this structure the parameters for non-linear velocity profile are put together. As shown in Figure 5-2 the parameters of non-linear velocity profiles can be described with 7 phases.

Figure 5-2: Non-linear velocity profile

The corresponding parameter values to this phases are:

1. trbeschl, zu in this time interval the acceleration increases from value 0 to value abeschl

2. abeschl in this time interval the acceleration is constant value abeschl

3. trbeschl, ab in this time interval the acceleration decreases from value abeschl to value 0

4. vbprog In this time interval the acceleration is 0 (commanded velocity reached and constant).

5. trbrems, zu in this time interval the absolute value of deceleration increases from value 0 to value a brems

6. abrems in this time interval the absolute value of deceleration is constant value abrems.

7. trbrems, ab in this time interval the absolute value of deceleration decreases from value abrems to value 0

The parameters in phases 1..3 and 5..7 determines the axis jerk generated by the velocity profile. The axis jerk in this phases can be calculated as r = a / tr.

More:

button Acceleration at machining feed (P-AXIS-00001)

button Deceleration at machining feed (P-AXIS-00002)

button Ramp time for acceleration up-gradation (P-AXIS-00196)

button Ramp time for acceleration down-gradation (P-AXIS-00195)

button Ramp time for deceleration up-gradation (P-AXIS-00198)

button Ramp time for deceleration down-gradation (P-AXIS-00197)

button Acceleration at rapid movement (P-AXIS-00004)

button Ramp time at rapid movement (P-AXIS-00200)

button Deceleration at feed hold (P-AXIS-00053)

button Ramp time at feed hold (P-AXIS-00081)


Acceleration at machining feed (P-AXIS-00001)

The parameter "getriebe[i].slope_profil.a_beschl" represents the axis acceleration with increasing velocity.

Variable name | Type | Permissible range | Axis type | Dimension
a_beschl | UNS32 | 1 < a_beschl < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2

The acceleration ramps can be changed in the NC program. The appropriate NC commands are described in detail in [PROG] .


Deceleration at machining feed (P-AXIS-00002)

The parameter "getriebe[i].slope_profil.a_brems" represents the axis deceleration with decreasing velocity.

Variable name | Type | Permissible range | Axis type | Dimension
a_brems | UNS32 | 1 < a_brems < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2

The acceleration ramps can be changed in the NC program. The appropriate NC commands are described in detail in [PROG] .


Ramp time for acceleration up-gradation (P-AXIS-00196)

The parameter "getriebe[i].slope_profil.tr_beschl_zu" defines the acceleration ramp time for the up-gradation of the acceleration "getriebe[i]. slope_profil.a_beschl".

Variable name | Type | Permissible range | Axis type | Dimension
tr_beschl_zu | UNS32 | P-AXIS-00201 < tr_beschl_zu < MAX(UNS32) | T, R | µs


Ramp time for acceleration down-gradation (P-AXIS-00195)

The parameter "getriebe[i].slope_profil.tr_beschl_ab" defines the acceleration ramp time for the down-gradation of acceleration "getriebe[i]. slope_profil.a_beschl".

Variable name | Type | Permissible range | Axis type | Dimension
tr_beschl_ab | UNS32 | P-AXIS-00201 < tr_beschl_ab < MAX(UNS32) | T, R | µs

The acceleration ramps can be changed in the NC program. The appropriate NC commands are described in detail in [PROG] .


Ramp time for deceleration up-gradation (P-AXIS-00198)

The parameter "getriebe[i].slope_profil.tr_brems_zu" defines the acceleration ramp time for the up-gradation of deceleration "getriebe[i]. slope_profil.a_brems".

Variable name | Type | Permissible range | Axis type | Dimension
tr_brems_zu | UNS32 | P-AXIS-00201 < tr_brems_zu < MAX(UNS32) | T, R | µs


Ramp time for deceleration down-gradation (P-AXIS-00197)

The parameter "getriebe[i].slope_profil.tr_brems_ab" defines the acceleration ramp time for the down-gradation of deceleration "getriebe[i]. slope_profil.a_brems".

Variable name | Type | Permissible range | Axis type | Dimension
tr_brems_ab | UNS32 | P-AXIS-00201 < tr_brems_ab < MAX(UNS32) | T, R | µs


Acceleration at rapid movement (P-AXIS-00004)

This acceleration parameter is active at programmed rapid movement (G00) in CNC.

Variable name | Type | Permissible range | Axis type | Dimension
a_grenz | UNS32 | 1 < a_grenz < P-AXIS-00008 | T, R | mm/s 2


Ramp time at rapid movement (P-AXIS-00200)

This ramp time parameter is active at programmed rapid movement (G00) in CNC.

Variable name | Type | Permissible range | Axis type | Dimension
tr_grenz | UNS32 | P-AXIS-00201 < tr_grenz < MAX(UNS32) | T, R | µs


Deceleration at feed hold (P-AXIS-00053)

With active Feed hold because of user reaction, measurement movement or homing, often, ramps steeper than for rapid mode (G00) or workpiece machining (e.g. G01, G02, G03) are chosen. The parameter "getriebe[i].slope_profil. a_feedh" defines the deceleration value for these cases.

With missing entry the same deceleration like for G00 movement is used (P-AXIS-00005 ff).

Variable name | Type | Permissible range | Axis type | Dimension
a_feedh | UNS32 | 1 < a_feedh < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2


Ramp time at feed hold (P-AXIS-00081)

With active Feed hold because of user reaction, measurement movement or homing, often, ramps steeper than for rapid mode (G00) or workpiece machining (e.g. G01, G02, G03) are chosen. The parameter "getriebe[i].slope_profil.tr_feedh" defines the ramp time value for these cases.

With missing entry the current limit values which are used with G00 movement are default values for deceleration (P-AXIS-00005 ff).

Variable name | Type | Permissible range | Axis type | Dimension
tr_feedh | UNS32 | P-AXIS-00201 < tr_feedh < MAX(UNS32) | T,R | µs


Effective acceleration profile (P-AXIS-00270)

The parameter P-AXIS-00270 determines the effective acceleration profile. It is valid for:

1. Path axes during CNC-controlled homing

2. Spindle axes

Variable name | Type | Permissible range | Axis type | Dimension
slope_type | UNS32 | 0 ≤ slope_type ≤ 2 0: Step shaped acceleration profile 1: Trapezoidal shaped acceleration profile 2: Sine quadratic shaped acceleration profile | T, R, S | ----


Rapid mode velocity (P-AXIS-00209)

For positioning in the rapid mode (G00) the rapid mode velocity is specified.

Variable name | Type | Permissible range | Axis type | Dimension
vb_eilgang | UNS32 | 1 < vb_eilgang < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Permissible axis dynamics (getriebe[i].dynamik.*)

More:

button Maximum permissible axis velocity (P-AXIS-00212)

button Maximum permissible axis acceleration (P-AXIS-00008)

button Deceleration for an emergency stop (P-AXIS-00003)

button Minimum permissible ramp time (P-AXIS-00201)

button Geometric ramp time (P-AXIS-00199)

button Weighting of acceleration at motion block transition (P-AXIS-00013)

button Weighting of jerk at block transition (P-AXIS-00154)

button Jerk at block transition (P-AXIS-00339/ P-AXIS-00340)

button Maximum permissible exceeding of acceleration (P-AXIS-00394)

button Maximum acceleration at weigthing (P-AXIS-00292)

button Minimum ramp time at weigthing (P-AXIS-00293)


Maximum permissible axis velocity (P-AXIS-00212)

Through the parameter "getriebe[i].dynamik.vb_max" the maximum permissible axis velocity is set.

In the case of axes of the type "ACHSTYP_TRANSLATOR" and "ACHSTYP_ROTATOR" it is presumed that while setting the maximum permissible axis velocity "getriebe[i].dynamik.vb_max" the resolution limits of the measuring system will also be taken into consideration.

In the case of axes of the type "ACHSTYP_SPINDEL" which are controled by a spindle interpolator, the limit, where the measuring system delivers no valid values, is set using the parameter "getriebe[i].vb_regelgrenze" .

Variable name | Type | Permissible range | Axis type | Dimension
vb_max | UNS32 | 1 < vb_max < SLOPE_VB_MAX | T | µm/s
 |  |  | R | 0,001°/s

Value SLOPE_VB_MAX | Significance
application -dependent | Presetting of maximum axis velocity (Plausibility Limit)


Maximum permissible axis acceleration (P-AXIS-00008)

Variable name | Type | Permissible range | Axis type | Dimension
a_max | UNS32 | 1 < a_max < SLOPE_BESCHL_MAX | T | mm/s2
 |  |  | R | °/s2

Value SLOPE_BESCHL_MAX | Significance
application-dependent | Presetting of maximum axis acceleration (Plausibility Limit)


Deceleration for an emergency stop (P-AXIS-00003)

Through the parameter "getriebe[i].dynamik.a_emergency" the used decelaration for an emergency stop is defined. For errors of the error reaction class 4 the NC stops axis specific by the use of this deceleration. During this the trajectory is failed!

Variable name | Type | Permissible range | Axis type | Dimension
a_emergency | UNS32 | 1 < a_emergency < SLOPE_BESCHL_MAX | T | mm/s2
 |  |  | R | °/s2

Value SLOPE_BESCHL_MAX | Significance
application-dependent | Definition of the maximum axis deceleration (Plausibility limit)


Minimum permissible ramp time (P-AXIS-00201)

Through the parameter "getriebe[i].dynamik.tr_min" , the minimum permissible ramp time of the drive is defined. This parameter limits the axis jerk arising due to velocity profile.

Variable name | Type | Permissible range | Axis type | Dimension
tr_min | UNS32 | TR_MIN < tr_min < MAX(UNS32) | T, R | µs

Value TR_MIN | Significance
application-dependent | Preset of minimum ramp time


Geometric ramp time (P-AXIS-00199)

With parameter "getriebe[i].dynamik.tr_geom" the permissible geometric ramp time is defined. This parameter limits axis jerk, caused by programmed contour.

Variable name | Type | Permissible range | Axis type | Dimension
tr_geom | UNS32 | TR_MIN < tr_geom < MAX(UNS32) | T, R | µs

Value TR_MIN | Significance
application-dependent | Definition of geometric ramp time


Weighting of acceleration at motion block transition (P-AXIS-00013)

With parameter "getriebe[i].dynamik.a_trans_weight" the permissible acceleration at a motion block transition is weighted.

This parameter is only considered if the non-linear slope is used and as soon as the contour has a kink angle.

In dependence of the trajectory velocity in the following example at the block transitions of N10  N20 because of the change of direction an acceleration is generated.

Figure 5- 3 : Acceleration of axis at block transition linear  linear

By the parameter a_trans_weight a factor can be defined, by which the maximum acceleration, and by this the velocity, at block transition can be weighted. The permissible acceleration at motion block transition depends on the active movement mode G00 or G01:

By default the acceleration is considered at the block transition. This means, by default the parameter is set to 0.

If set to zero (a_trans_weight = 0), then the weighting of the permissible acceleration is done with the factor cycle time / ramp time (default setting). Result is a very low speed at the motion block transition.

If higher speeds with an accordingly higher jerk at motion block transitions shall be driven, a_trans_weight is adjusted accordingly high. With an value of 1000 (upper limit) the acceleration at motion block transitions is kept but the jerk is bigger than the adjusted limits.

Figure 5- 4 : Range of factor for weigthing of acceleration at block transition

Maximum jerk for a_trans_weight = 1000:

Variable name | Type | Permissible range | Axis type | Dimension
a_trans_weight | UNS32 | 1 < a_trans_weight < 1000 If the value is not set in the parameter list, the default setting = 0 is valid. | T, R | 0,1%


Weighting of jerk at block transition (P-AXIS-00154)

At block transition from linear movement block to circular movement or versa vica a jump in acceleration occurs, even if there is a tangential transition.

This parameter is only considered if the non-linear slope is used and for circular  linear, circular  circular or linear - circular transitions.

Figure 5- 5 : Acceleration and jerk at block transition linear  circular

With parameter "getriebe[i].dynamik.r_trans_weight" the permissible jerk at such movement transition types is weighted.

Figure 5- 6 : Factor for weithing of jerk at block transition

The minimum value is defined by the weighting of the maximum acceleration at block transition P-AXIS-00013 (a_trans_weight).

If the adjustment shall not be limited, this can be set (from version 263) by channel parameter P-CHAN-00117 (mode_trans_jerk) on 1.

If set to 1000 the parameter has no influence. Result is that no speed reduction at block transition because of jerk will occur. Smaller value than 1000 leads to reduction of velocity because of jerk at block transition. Value 0 leads to velocity reduction depending on jerk setting of nonlinear slope (see parameters chapter 5.5.2).

By default the jerk is not considered at the block transition. If at the block transition the jerk shall be considered, this must be enabled by the channel parameter P-CHAN-00009 (corr_v_trans_jerk).

Variable name | Type | Permissible range | Axis type | Dimension
r_trans_weight | UNS32 | 0 < r_trans_weight < 1000 If the value is not set in the parameter list, the default setting = 0 is valid. | T, R | 0,1%

The permissible jerk at block transition is given by the active acceleration a depending on movement type (G0, G1), and maximum of ramp time tr:

(a_aktiv /tr_aktiv)* r_trans_weight / 1000.


Jerk at block transition (P-AXIS-00339/ P-AXIS-00340)

Alternative to the weighting of acceleration and jerk with the parameters P-AXIS-00013 and P-AXIS-00154 the jerk at block transition also can be adjusted directly with the parameters P-AXIS-00339 (getriebe[i].dynamik.j_trans_c0) and P-AXIS-00340 (getriebe[i].dynamik.j_trans_c1). For that the mode for jerk limiting at block transition has to be set on 2 in the channel parameter P-CHAN-00117 (mode_trans_jerk).

P-AXIS-00339 works at non-tangent continuous block transitions. This corresponds to the effect of P-AXIS-00013.

P-AXIS-00340 works at tangent continuous, non-curvature continuous block transitions. This corresponds to the effect of P-AXIS-00154.

Variable name | Type | Permissible range | Axis type | Dimension
j_trans_c0 | UNS32 | 0 < j_trans_c0 < MAX(UNS32) | T | m/s3
 |  |  | R | 1000°/s3

Variable name | Type | Permissible range | Axis type | Dimension
j_trans_c1 | UNS32 | 0 < j_trans_c1 < MAX(UNS32) | T | m/s3
 |  |  | R | 1000°/s3

The values P-AXIS-00339 and P-AXIS-00340 are limited internally to the permissible jerk. It is differentiated from the effective acceleration and the cycle time.


Maximum permissible exceeding of acceleration (P-AXIS-00394)

The parameter "getriebe[i].dynamic.a_overload_max" defines the maximum permissible exceeding of acceleration in connection with the weighting of the axis acceleration via the CNC function [PROG - chapter  Function-specific programmable acceleration overcharge] ( <Achsname>[DYNAMIC ] ).

The parameter P-AXIS-00394 is a overload factor, this means it is set greater or equal to 100 percent. An axis specific weighting of the acceleration by the CNC command is only effective in the range [100%, P-AXIS-00394].

Variable name | Type | Permissible range | Axis type | Dimension
a_overload_max | UNS32 | 1000 < a_overload_max < UNS32 Default: 1000 | T, R | 0,1 %


Maximum acceleration at weigthing (P-AXIS-00292)

With the parameter "getriebe[i].dynamik.a_w_max" the maximum acceleration for weigthing via G130, G131 is defined. Dependend on the selected slope type the value can not be defined smaller than the specific acceleration of feedrate blocks (G01, G02/G03) and not greater than the maximum permissible axis acceleration.

Non-linear slope:

Variable name | Type | Permissible Range | Axis type | Dimension
a_w_max | UNS32 | A_F < a_w_max < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Value A_F

MAX[ P-AXIS-00001 , P-AXIS-00002 ]

Linear slope:

Variable name | Type | Permissible Range | Axis type | Dimension
a_w_max | UNS32 | A_F < a_w_max < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Value A_F

MAX[ P-AXIS-00011 , P-AXIS-00012 ]


Minimum ramp time at weigthing (P-AXIS-00293)

With the parameter "getriebe[i].dynamik.tr_w_max" the minimum ramp time for weigthing via G132, G133 is defined. The value can not be defined smaller than the minimum permissible ramp time and not greater than the specific ramp times of feedrate blocks (G01, G02/G03).

Variable name | Type | Permissible Range | Axis type | Dimension
tr_w_min | UNS32 | P-AXIS-00201 < tr_w_min < TR_F | T, R | µs

Value TR_F

MIN[ P-AXIS-00195 , P-AXIS-00196 , P-AXIS-00197 , P-AXIS-00198 ]


Characteristic curve-controlled acceleration (getriebe[i].beschl_kennlinie.*)

The following parameters define a gear-step specific acceleration characteristic-curve.

The functionality " Characteristic curve-controlled acceleration" is only possible for axes of the type spindle at present.

For the use of the function the slope profile type 0 is mandatory (see P-AXIS-00270 ).

More:

button Type of the characteristic acceleration curve (P-AXIS-00202)


Type of the characteristic acceleration curve (P-AXIS-00202)

Variable name | Type | Permissible Range | Axis type | Dimension
typ | UNS32 | 0, 1, 2, 3 | R | ----

Value | Significance
0 | No characteristic curve acceleration is active, acceleration profile acc. to P-AXIS-00270
1 | Hyperbola
2 | Polynomial
3 | Asynchronous drive

More:

button Characteristic curve a(n) in polynomial- or hyperbola form

button Characteristic curve for asynchronous drives


Characteristic curve a(n) in polynomial- or hyperbola form

More:

button Limit speed from which onwards the acceleration is specified in a polynomial form (P-AXIS-00130)

button Constant acceleration in the range n<ngrenz (P-AXIS-00007)

button Minimum value of acceleration for high speed (P-AXIS-00010)

button Parameters of the a(n) Polynomial (P-AXIS-00026/-00027/-00028)


Limit speed from which onwards the acceleration is specified in a polynomial form (P-AXIS-00130)

Variable name | Type | Permissible Range | Axis type | Dimension
n_grenz | UNS32 | 0 < n_grenz < MAX(UNS32) | R | 10-3 °/s


Constant acceleration in the range n<ngrenz (P-AXIS-00007)

Variable name | Type | Permissible Range | Axis type | Dimension
a_konst | UNS32 | 0 < a_konst < MAX(UNS32) | R | °/s²


Minimum value of acceleration for high speed (P-AXIS-00010)

Variable name | Type | Permissible Range | Axis type | Dimension
a_min | UNS32 | 0 < a_min < MAX(UNS32) | R | °/s²


Parameters of the a(n) Polynomial (P-AXIS-00026/-00027/-00028)

Variable name | Type | Permissible Range | Axis type | Dimension
b1 | REAL64 | REAL64 range | R | 1/s

Variable name | Type | Permissible Range | Axis type | Dimension
b2 | REAL64 | REAL64 range | R | 1/°

Variable name | Type | Permissible Range | Axis type | Dimension
b3 | REAL64 | REAL64 range | R | s/ o ²

Example for Parameter setting

getriebe[0].beschl_kennlinie.typ 2 # Type identification

# 0: no curve

# 1: Hyperbola

# 2: Polynomial

getriebe[0].beschl_kennlinie.n_grenz 12000000 [10-3 ° /s]

getriebe[0].beschl_kennlinie.a_konst 16000 [ ° /s*s]

getriebe[0].beschl_kennlinie.a_min 2000 [ ° /s*s]

getriebe[0].beschl_kennlinie.b1 -0.88888888 [1/s]

getriebe[0].beschl_kennlinie.b2 2.08333333E-5 [1/Grad]

getriebe[0].beschl_kennlinie.b3 -1.92901234E-10 [s/Grad²]


Characteristic curve for asynchronous drives

For spindle drives often asynchronous motors are used. With the acceleration depending on speed characteristic curve a=f(n) shown in following figure the user can realize an optimized adaption to typical characteristic of such spindle drives.

In addition to maximal permissible acceleration a_max and speed N1 in constant range of acceleration curvature only setting to the speed N2 has to be done. Above speed value N1 the acceleration curve has a proportional characteristic to 1/n, above speed value N2 it is proportional to 1/n2.

More:

button Maximum acceleration (P-AXIS-00240)

button Minimum value of acceleration above speed limit 2 (P-AXIS-00010)

button Speed limit 1 (P-AXIS-00241)

button Speed limit 2 (P-AXIS-00242)


Maximum acceleration (P-AXIS-00240)

This acceleration value is used in constant range with n < N1.

Variable name | Type | Permissible range | Axis type | Dimension
a_max | UNS32 | 0 < a_max < MAX(UNS32) | R | °/s²


Minimum value of acceleration above speed limit 2 (P-AXIS-00010)

Variable name | Type | Permissible Range | Axis type | Dimension
a_min | UNS32 | 0 < a_min < MAX(UNS32) | R | °/s²


Speed limit 1 (P-AXIS-00241)

Upwards this speed the transition to curve characteristic proportional to 1/n occurs.

Variable name | Type | Permissible range | Axis type | Dimension
n1 | UNS32 | 0 < n1 < MAX(UNS32) | R | 10-3 °/s


Speed limit 2 (P-AXIS-00242)

Upwards this speed the transition to curve characteristic proportional to 1/n2 occurs.

Variable name | Type | Permissible range | Axis type | Dimension
n2 | UNS32 | 0 < n2 < MAX(UNS32) | R | 10-3 °/s

Example for Parameter setting

getriebe[0].beschl_kennlinie.typ 3 # type identification

# 3: asynchronous drive

getriebe[0].beschl_kennlinie.a_min 500 [°/s²]

getriebe[0].beschl_kennlinie.a_max 25000 [°/s²]

getriebe[0].beschl_kennlinie.n1 10000000 [10-3 °/s]

getriebe[0].beschl_kennlinie.n2 200000000 [10-3 °/s]


Parameters for position control

In this paragraph the hardware-independent parameters for position controler are described. The hardware-dependent parameters are described in the paragraph 7.

The following parameters are dependent on the set drive type "kenngr.antr_typ". The data are independent of the set axis type "kenngr.achs_typ". They must be allocated for all axis types.

More:

button Proportional factor kv for P-positional control (P-AXIS-00099)

button Control window (P-AXIS-00236)

button Activation of position controller-interfaces

button Settings for leadscrew error compensation

button Settings for backlash compensation

button Settings for temperature compensation

button Settings for following error monitoring

button Tendency Test (P-AXIS-00189)

button Settings for dynamic monitoring in position controller

button Adaptation of command values

button Measurement value adaptation

button Quantization of the measuring system increments (P-AXIS-00323)

button Traverse distance (P-AXIS-00237)

button Settings for axis compensations

button Settings for dynamic kv-adjustment (getriebe[i].dyn_kv.*)

button Parameter for distance controlled axes (spindle with touch probe)

button Position controller deadband (P-AXIS-00395)


Proportional factor kv for P-positional control (P-AXIS-00099)

The P-positional controller has the amplification factor kv

Variable name | Type | Permissible range | Axis type | Dimension
kv | UNS32 | 0 < kv < MAX(UNS32) | T, R | 0,01/s


Control window (P-AXIS-00236)

For the function "Accuracy Stop" (resp. NC command G60 is described in [PROG]), a range is defined in which the axis is assumed to be "in Position" (½window½ >= ½following error½). This monitoring is done in position controler if the axis is not interpolated.

Variable name | Type | Permissible range | Axis type | Dimension
window | SGN32 | 1 path increment < window < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Activation of position controller-interfaces

More:

button Activation of display function (P-AXIS-00023)

button Activation of (additional) interface for loading application-specific command values (P-AXIS-00091)

button Activation of (additional) interface for loading of command and actual values (P-AXIS-00141)

button Handling of the loaded position command values (P-AXIS-00322)

button Time constant of the PT2-Filter for the additive command value interface (P-AXIS-00438)

button Optimized bus access (P-AXIS-00276)


Activation of display function (P-AXIS-00023)

The element 'kenngr.anzeige' defines the number of calls of the single function (EF) between the call of the axis specific display function. At the moment this functionality is used in position controler.

Variable name | Type | Permissible range | Axis type | Dimension
anzeige | UNS08 | 0 < anzeige < MAX_DURCH_PRO_ANZEIGE | T, R | ----

Value MAX_DURCH_PRO_ANZEIGE | Significance
application-dependent | Maximum number of position control calls between every call of position controller display function


Activation of (additional) interface for loading application-specific command values (P-AXIS-00091)

If it should be possible to load additional position or velocity command values on the drive via the PLC, this parameter has to be TRUE. More information see [HLI - Chapter External commanding of an axis].

Variable name | Type | Permissible range | Axis type | Dimension
in_add_interface | BOOLEAN | 0 / 1 | T, R | ----


Activation of (additional) interface for loading of command and actual values (P-AXIS-00141)

Because of the possibility of an interpolator synchronous PLC task this parameter is not used. Therefore the value has to be FALSE.

Variable name | Type | Permissible range | Axis type | Dimension
out_add_interface | BOOLEAN | 0 / 1 | T, R | ----


Handling of the loaded position command values (P-AXIS-00322)

This parameter has to be TRUE, if the external position command values, set via the additional interface (P-AXIS-00091), should be treated like correction values (Offset, permanently active).

If the parameter is FALSE, the additional correction values are moved again at each internal channel synchronization (Program start, axes exchange, reset, requesting of command values )

Variable name | Type | Permissible range | Axis type | Dimension
in_add_interface_pos_as_offset | BOOLEAN | 0 / 1 | T, R | ----


Time constant of the PT2-Filter for the additive command value interface (P-AXIS-00438)

For the additive command value interface (s. P-AXIS-00091, [HLI - External commanding of an axis]) a PT2-filter can be used to smooth the commanded position values. This may be necessary e.g. if the PLC does not run in the interpolation cycle time of the CNC.

The time constant of the PT2 filter is given in the parameter kenngr.in_add_interface_filter_time (P-AXIS-00438) in microseconds. The filter is inactive, if the time constant is set to zero (default setting).

Variable name | Type | Permissible range | Axis type | Dimension
in_add_interface_filter_time | UNS32 | 0 < in_add_interface_filter_time < MAX(UNS32) Default: 0 -> PT2-Filter is inactive | T, R, S | µs

Due to the filter, the axis stop can be delayed a little bit, if the additive command value interface is deactivated (enable_w = FALSE). The axis stop can be checked in the movement flag pAC[axis_idx]^.addr^.StateLR_Data.X_IsMoved of the axis. (s. [HLI - Status information of an axis] ).

The time constant of the PT2 filter may only be actualized via parameter update if the axis is in standstill.


Optimized bus access (P-AXIS-00276)

To avoid the jitter of the command value output, normally the command value is output right at the beginning of the next cyle of the position controler. This especially is not necessary, if an subordinate driver ensures the synchronized access on the drive (e.g. at digital drives, SERCOS).

The element 'lr_param.field_bus_allows_optimized_schedule" defines, wether the access on the drive can be executed in such an optimized way. In this case in the same cycle the new command values are made available like the actual values of the axes are read in.

To ensure the consistence in time during the access on all axes, this adjustment must be activated for all axes to take effect. If this adjustment is not selected for at least one axis, it is deselected automatically for all axes!

Variable name | Type | Permissible range | Axis type | Dimension
field_bus_allows_optimized_schedule | BOOLEAN | 0 / 1 | T, R | ----


Settings for leadscrew error compensation

More:

button Activation of SSFK (P-AXIS-00175)


Activation of SSFK (P-AXIS-00175)

The leadscrew error compensation is activated with "lr_param.ssfk = TRUE" .

Variable name | Type | Permissible range | Axis type | Dimension
ssfk | BOOLEAN | 0 / 1 | T, R | ----


Settings for backlash compensation

More:

button Size of backlash (P-AXIS-00103)

button Selection of backlash compensation (P-AXIS-00021)

button Distribution of the backlash on multiple cycles (P-AXIS-00243)


Size of backlash (P-AXIS-00103)

Variable name | Type | Permissible range | Axis type | Dimension
lose | SGN16 | SGN16 range | T | 0,1µm
 |  |  | R | 0,0001°


Selection of backlash compensation (P-AXIS-00021)

The selection of backlash compensation is done using the element "lr_param.anwahl_losekomp".

The type of backlash (the backlash between the table and the drive or the backlash between the drive and the measuring system) depends on the mathematical sign of P-AXIS-00103 (getriebe[i].lose).

Variable name | Type | Permissible range | Axis type | Dimension
anwahl_losekomp | UNS16 | 0, 1, 2 | T, R | ----

Value | Significance
0 | No backlash compensation
1 | Backlash compensation acts in positive direction
2 | Backlash compensation acts in negative direction


Distribution of the backlash on multiple cycles (P-AXIS-00243)

The parameter "lr_param.n_backlash_cyc" defines a number of positions control cycles, on which the backlash is distributed. The distribution is done according to a sin2  function.

The parameter is also used for a bidirectional leadscrew error compensation, if a change of direction is executed.

Variable name | Type | Permissible range | Axis type | Dimension
n_backlash_cyc | UNS16 | 0 < n_backlash_cyc < 20 | T, R | ----

For the values 0 or 1 the output of the backlash to the drive is done abruptly within one cycle. A value larger than 1 creates a distribution according to the sin2  function.

The use of this feature avoids increasing errors at the workpiece, because for large backlash the machine exitation is reduced.


Settings for temperature compensation

More:

button Selection of temperature compensation (P-AXIS-00271)

button Parameters for temperature compensation (P-AXIS-00272/P-AXIS-273/P-AXIS-274)

button Distribution of the temperature compensation on several cycles (P-AXIS-00275)


Selection of temperature compensation (P-AXIS-00271)

The global selection of temperature compensation is done using the element temp_comp.

Variable name | Type | Permissible range | Axis type | Dimension
temp_comp | BOOLEAN | 0, 1 | T, R | ----


Parameters for temperature compensation (P-AXIS-00272/P-AXIS-273/P-AXIS-274)

The compensation values are approximated by a linear straight line. This straight line is defined by a basic position, an offset at this position and a geometrical pitch. Dependend on the temperature these parameters can be adjusted e.g. by the PLC.

Figure 6- 1 : Reference measuring at different temperatures

Basic position P-AXIS-00272:

Variable name | Type | Permissible range | Axis type | Dimension
temp_comp_position_0 | SGN32 | MIN(SGN32) < temp_comp_position_0 < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º

Offset P-AXIS-00273:

Variable name | Type | Permissible range | Axis type | Dimension
temp_comp_offset_0 | SGN32 | MIN(SGN32) < temp_comp_offset_0 < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º

Geometrical pitch P-AXIS-00274:

Variable name | Type | Permissible range | Axis type | Dimension
temp_comp_coefficient | SGN32 | MIN(SGN32) < temp_comp_coefficient < MAX(SGN32) | T | µm / m
 |  |  | R | 0,001º / °


Distribution of the temperature compensation on several cycles (P-AXIS-00275)

The compensation values are recalculated for each interpolation cycle. If the change per cycle exceeds the given maximum axis acceleration, this change can be filtered output via multiple cycles.

For this the number of cycles of the sin2 filter can be defined in the axis parameter list. The default value is set to one cycle.

Variable name | Type | Permissible range | Axis type | Dimension
temp_comp_n_cycles | UNS16 | 0 < temp_comp_n_cycles < 20 | T, R | ----


Settings for following error monitoring

More:

button Type of following error monitoring (P-AXIS-00172)

button Minimum following error (P-AXIS-00169)

button Maximum following error (P-AXIS-00168)

button Factor for dynamic following error monitoring (P-AXIS-00167)

button Remaining deviation for non linear following error monitoring (P-AXIS-00166)

button Maximum transient time (P-AXIS-00151)

button Time constant for position lag monitoring (P-AXIS-00170)

button Suppression of position lag (P-AXIS-00176)


Type of following error monitoring (P-AXIS-00172)

The parameter "getriebe[i].slep_ueberw_typ" defines the type of following error monitoring:

1 = Standard following error monitoring

2 = Linear following error monitoring

3 = Non linear following error monitoring

4 = Velocity independent following error monitoring

For all other values the following error monitoring is disabled.

Variable name | Type | Permissible range | Axis type | Dimension
slep_ueberw_typ | UNS32 | 0 < slep_ueberw_typ < MAX(UNS32) | T, R | ----


Minimum following error (P-AXIS-00169)

Variable name | Type | Permissible range | Axis type | Dimension
slep_min | SGN32 | 1 < slep_min < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001°

Standard following error monitoring

The parameter "getriebe[i].slep_min" is used for plausibility test for the dynamic following error monitoring.

Since in the case of non-high dynamic systems, under certain circumstances, large following errors can arise which, in rare cases, are recognized as following error even in the case of "getriebe[i].slep_dyn = 1023" (dynamic following error monitoring being as if switched off), a helpful value must be empirically determined in this case. The dynamic following error monitoring uses a digital filter which estimates the following error on the basis of the reference variable (command value). Usually, here, a value from some of a few "mm" or " ° " can be used.

Linear following error monitoring

The parameter "getriebe[i].slep_min" defines the maximum permissible following error on axis standstill.

Non linear following error monitoring

For this type of following error monitoring the parameter is without significance.

Velocity independent following error monitoring

The parameter defines the maximum permissible following error on axis standstill.


Maximum following error (P-AXIS-00168)

Variable name | Type | Permissible range | Axis type | Dimension
slep_max | SGN32 | MAX(UNS32) > slep_max > 10*position lag at P-AXIS-00212 | T | 0,1µm
 |  |  | R | 0,0001°

Standard following error monitoring

The parameter "getriebe[i].slep_max" is made use of for limiting the estimated following error in the position controler. Especially in the case of oscillating systems an internal range overshooting of the operating data in the position controler would be quite conceivable.

Linear following error monitoring

The parameter "getriebe[i].slep_max" defines the maximum permissible following error. By this a reaction of the following error monitoring (adhesive friction) can be avoided, for example, when the axis starts moving from standstill.

Non linear following error monitoring

For this type of following error monitoring the parameter is without significance.

Velocity independent following error monitoring

This parameter sets the following error limit when the axis is moving.


Factor for dynamic following error monitoring (P-AXIS-00167)

Standard following error monitoring

The factor "getriebe[i].slep_dyn" determines the time constant of an estimation filter for the dynamic following error monitoring in the position controler. This parameter must be determined empirically.

If the parameter is equal to "1024", then the following error monitoring is switched off.

Variable name | Type | Permissible range | Axis type | Dimension
slep_dyn | SGN16 | 700 < slep_dyn < 1024 | T, R | ----

Linear following error monitoring

The parameter defines the slope within the estimation of the dynamic following error using the following equation.

The following error monitoring is disabled if the parameter has the value "1024".

Variable name | Type | Permissible range | Axis type | Dimension
slep_dyn | SGN16 | 0 < slep_dyn < 1024 | T, R | ----

Non linear following error monitoring

The parameter defines the time-constant of an "estimation-filter" within the dynamic following error monitoring.This parameter must be determined empirically.

The following error monitoring is disabled if the parameter has the value "1024".

Variable name | Type | Permissible range | Axis type | Dimension
slep_dyn | SGN16 | 0 < slep_dyn < 1024 | T, R | ----


Remaining deviation for non linear following error monitoring (P-AXIS-00166)

The parameter defines the remaining deviation for non linear following error monitoring. This parameter must be determined empirically.

Variable name | Type | Permissible range | Axis type | Dimension
slep_abw | UNS32 | 0 < slep_abw < 1024 | T, R | ----


Maximum transient time (P-AXIS-00151)

The parameter defines the maximum permissible transient time in [ms]. If the window for accuracy stop has not been reached within this time an error message will be output.

With pos_einschw_zeit = 0 the time monitoring is disabled.

Variable name | Type | Permissible range | Axis type | Dimension
pos_einschw_zeit | UNS32 | 0 < pos_einschw_zeit < MAX(UNS32)/1000 | T, R | ms


Time constant for position lag monitoring (P-AXIS-00170)

This parameter defines the compensation of time delays during the feedback of the actual values. By this way the monitoring curve is shifted in time and so the real position lag can be monitored. This time constant is used for all types of position lag monitoring.

Variable name | Type | Permissible range | Axis type | Dimension
slep_time_const | UNS32 | 0 < slep_time_const < MAX(UNS32) | T, R | µs

Recommended setting: slep_time_const = 0


Suppression of position lag (P-AXIS-00176)

To adjust the position lag monitoring the creation of position lag errors can be suppressed. But the dynamical calculation continues. By this method it is possible to record position lag and position lag monitoring limits and to set the corresponding parameters.

Variable name | Type | Permissible range | Axis type | Dimension
suppress_pos_lag_error | BOOLEAN | 0 / 1 | T, R | ----

Recommended setting: suppress_pos_lag_error = 0

suppress_pos_lag_error = 1 suppresses the monitoring and output of an error message if the permissible position lag is exceeded. May only be TRUE during start-up.


Tendency Test (P-AXIS-00189)

For monitoring the mathematical sign of the command signal and the measuring encoder signal from a practical point of view the tendency test is activated during the start up ("kenngr.tendenz_pruef=TRUE").

Variable name | Type | Permissible range | Axis type | Dimension
tendenz_pruef | BOOLEAN | 0 / 1 | T, R | ----


Settings for dynamic monitoring in position controller

More:

button Factor for permissible axis velocity (P-AXIS-00407)


Factor for permissible axis velocity (P-AXIS-00407)

This parameter specifies the permissible exceedance of the maximum axis velocity (s. P-AXIS-00212) before the dynamic monitoring function in the position controller generates an error. The default value of the parameter is 1000 (100%) meaning axis velocities greater than 2 * P-AXIS-00212 generate an error. The velocity monitoring is disabled for gantry slave axes and axes with axis specific transformations (s. [AXIS - Parameters for axis specific transformation]).

Variable name | Type | Permissible range | Axis type | Dimension
dyn_monitoring_v_err | UNS32 | 0 < dyn_monitoring_v_err < MAX(UNS32) Defaultwert: 1000 (100%) | T, R | 0,1 %

Setting lr_param.dyn_monitoring_v_err = 0 turns the velocity monitoring function in the position controller off!


Adaptation of command values

More:

button Adaptation of command value of drive to the D/A-converter (P-AXIS-00129/ P-AXIS-00128)


Adaptation of command value of drive to the D/A-converter (P-AXIS-00129/ P-AXIS-00128)

The set velocity value calculated in the position controler must be matched to the D/A-format of the D/A-converter. The digital value at the D/A-converter input (getriebe[i].multi_gain_z/getriebe[i]. mulit_gain_n) must be given here, for which value the axis travels with the velocity of [1m/min] or. [1000°/min].

Variable name | Type | Permissible range | Axis type | Dimension
multi_gain_z | UNS32 | 1 < multi_gain_z < MAX(UNS32) | T, R | Bit

Variable name | Type | Permissible range | Axis type | Dimension
multi_gain_n | UNS32 | 1 < multi_gain_n < MAX(UNS32) | T, R | ----


Measurement value adaptation

More:

button Path resolution of the measuring system (P-AXIS-00234/ P-AXIS-00233)

button Identific. code for absolute path measurement system (P-AXIS-00014)


Path resolution of the measuring system (P-AXIS-00234/ P-AXIS-00233)

The path resolution of the measuring system is input in the dimension [increment/0,1µm] for translatory axes or [increment/0,0001°] for rotational axes. The number of increments shall be entered into "getriebe[i].wegaufz" (numerator) and the size of the traverse path into "getriebe[i].wegaufn" (denominator), in [0,1µm] for translatory axes or in [0,0001°] for rotational axes.

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
wegaufz | SGN32 | 1 < wegaufz < MAX(SGN32) | T, R | Incr.

Variable name | Type | Permissible range | Axis type | Dimension
wegaufn | SGN32 | 1 < wegaufn < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001°

Due to internal change in the format, the path resolution of the measuring system should be set to be less than or equal to one : wegaufz/wegaufn ≤ 1.

Note, when the resolution factor is greater than 1, the moving range is restricted on less than (-MAX(UNS32) ... +MAX(UNS32)) [µm/10-3 °].


Identific. code for absolute path measurement system (P-AXIS-00014)

If an absolute path measurement system is used, then "kenngr.abs_pos_gueltig" must be set to TRUE. So no homing is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
abs_pos_gueltig | BOOLEAN | 0 / 1 | T, R | ----


Quantization of the measuring system increments (P-AXIS-00323)

The control window (s. P-AXIS-00236) and the tolerance limits of the revolution monitoring function are converted in the control into the resolution of the measuring system. The parameter P-AXIS-00323 represents the minimal size of the tolerance region after this conversion (default value: 1 increment).

Variable name | Type | Permissible range | Axis type | Dimension
incr_quant | UNS32 | 1 < incr_quant < MAX(UNS32) | T, R | Incr.


Traverse distance (P-AXIS-00237)

For testing an exceeding of a traverse distance, an axis-specific data is introduced into the machine axis data block. This can be set differently for every specified gear.

In case the axis has, since the last lubrication pulse, once again covered the traverse distance getriebe[i].wsi_meldung , the announcement "triggering of lubrication pulse" is given out in the form of a PDU. If in the machine axis data block no path (wsi_meldung = 0) is specified, then no PDU is given out.

Variable name | Type | Permissible Range | Axis type | Dimension
wsi_meldung | UNS32 | 0 < wsi_meldung < MAX(UNS32) | T | mm
 |  |  | R | °(Deg.)
 |  |  | SPINDEL | Rev.

The resolution between the positions and WSI-units is determined through the following constants (spezif.inc), which the user can still adapt as desired. As default setting the following hold good:

Axis type | Specified in | Constant | Value
T | mm | WSI_AUFLOESUNG_TRANSLATOR | 10000 [0.1µm / mm]
R | ° (Degree) | WSI_AUFLOESUNG_ROTATOR | 10000 [0.0001° / °]
SPINDEL | Rev. | WSI_AUFLOESUNG_SPINDEL | 10000/360 [0.0001° / U]


Settings for axis compensations

More:

button Activation of cross compensation (P-AXIS-00047)

button Activation of plane compensation (P-AXIS-00174)


Activation of cross compensation (P-AXIS-00047)

The cross compensation is acitvated in position controler with parameter "lr_param.crosscomp = 1".

Variable name | Type | Permissible range | Axis type | Dimension
crosscomp | BOOLEAN | 0 / 1 | T | ----


Activation of plane compensation (P-AXIS-00174)

The plane compensation (2-dimensional cross compensation) is acitvated in position controler with parameter "lr_param.crosscomp2 = 1".

Variable name | Type | Permissible range | Axis type | Dimension
crosscomp2 | BOOLEAN | 0 / 1 | T | ----


Settings for dynamic kv-adjustment (getriebe[i].dyn_kv.*)

With dynamic kv adjustment the position controller gain can be altered dependent on the axis velocity.

The needed position loop controller gain for two axis velocities has to be defined. Position loop gain is linear interpolated between these two velocities. The following picture shows some examples for dependencies between position control loop gain and axis velocity.

Velocity dependent position loop gain adjustment is not possible for SERCOS-drives.

More:

button Activation of dynamic kv-adjustment (P-AXIS-00244)

button Parameters of dynamical kv-adjustment (P-AXIS-00245/P-AXIS-00246, P-AXIS-00247/P-AXIS-00248)


Activation of dynamic kv-adjustment (P-AXIS-00244)

Dynamic kv-adjustment is activated with parameter dyn_kv_active. Since this functionality is not available for SERCOS- and CANOPEN-drives a warning is output and the functionality is automatically deselected for these drives.

Variable name | Type | Permissible range | Axis type | Dimension
dyn_kv_active | BOOLEAN | 0 / 1 | T, R | ----


Parameters of dynamical kv-adjustment (P-AXIS-00245/P-AXIS-00246, P-AXIS-00247/P-AXIS-00248)

With active kv-adjustment position loop gain is altered linear between the values P-AXIS-00245 (kv1) and P-AXIS-00247 (kv2). In combination with the axis velocities P-AXIS-00246 (v1) and P-AXIS-00248 (v2) between the value pairs P-AXIS-00246/P-AXIS-00245 and P-AXIS-002448/P-AXIS-00247 a straight line is defined which is used to calculate the actual position control loop gain kv_act.

The following conditions for the parameters are active:

P-AXIS-00248 > P-AXIS-00246

For axis velocities < P-AXIS-00246 and > P-AXIS-00248:

kv_act_max = max(P-AXIS-00245, P-AXIS-00247)

kv_act_min = min(P-AXIS-00245, P-AXIS-00247)

Variable name | Type | Permissible range | Axis type | Dimension
kv1 | UNS32 | 1 < kv1 < MAX(UNS32) | T, R | 0,01/s

Variable name | Type | Permissible range | Axis type | Dimension
kv2 | UNS32 | 1 < kv2 < MAX(UNS32) | T, R | 0,01/s

Variable name | Type | Permissible range | Axis type | Dimension
v1 | UNS32 | 0 < v1 < MAX(UNS32) | T | µm/s
 |  |  | R | 0,001°/s

Variable name | Type | Permissible range | Axis type | Dimension
v2 | UNS32 | v1 < v2 < MAX(UNS32) | T | µm/s
 |  |  | R | 0,001°/s


Parameter for distance controlled axes (spindle with touch probe)

By the use of electronic probe systems or sensors the distance control (e.g. touching a curved surface of a plate) or height control (e.g. compensation for thickness tolerances of the workpiece) enables for example movements in a Z axis, that superimpose the axes' programmed positions during interpolation of an NC program.

Distance control currently is available for SERCOS, Profidrive or CANopen drives only.

Based on the following axis parameters the distance control relevant settings can be defined. Further informations are described in greater detail in [FCT-M3].

More:

button Enabling of distance control (P-AXIS-00328)

button Filtering of sensor values (P-AXIS-00413)

button Maximum position offset (P-AXIS-00414)

button Maximum velocity (P-AXIS-00415)

button Maximum acceleration (P-AXIS-00416)

button Maximum permissible change of the measured distance (P-AXIS-00417)

button Reference point offset for control measuring system (P-AXIS-00418)

button Upper limit for measuring system (P-AXIS-00419)

button Lower limit for measuring system (P-AXIS-00420)

button Tolerance band for limits (P-AXIS-00421)

button Consideration of distance control in software limit switch monitoring (P-AXIS-00428)


Enabling of distance control (P-AXIS-00328)

The distance control for a spindle with touch probe is enabled with the parameter "lr_param.distance_control_on = 1". The activation is done by a special command in the NC program [PROG - Chapter "Distance controlled axes"].

Variable name | Type | Permissible range | Axis type | Dimension
distance_control_on | BOOLEAN | 0 / 1 | T, R | ----


Filtering of sensor values (P-AXIS-00413)

In some cases, the sensor values are noisy. To keep excitation of the machine low, the setpoints for distance control can be smoothed via an average filter.

Variable name | Type | Permissible range | Axis type | Dimension
n_cycles | UNS32 | 0 < n_cycles < 10 Default value: 4 | T, R | ----


Maximum position offset (P-AXIS-00414)

The correction value of the axis that has been calculated via distance control may not exceed this machine data item.

An error message is issued if this value is exceeded. The correction value is limited.

Variable name | Type | Permissible range | Axis type | Dimension
max_deviation | UNS32 | 0 < max_deviation < MAX(UNS32) | T | 0,1 µm
 |  | Default value: 50000, is equivalent to 5 mm | R | 0,0001°


Maximum velocity (P-AXIS-00415)

The parameter defines the maximum speed at which a position offset is travelled out. Correction of the distance is limited dynamically with respect to the maximum speed to limit the resulting excitation.

Variable name | Type | Permissible range | Axis type | Dimension
v_max | UNS32 | 0 < v_max < MAX(UNS32) | T | 0,001 mm/s
 |  | Default value: 5000, is equivalent to 5 mm/s | R | 0,001°/s


Maximum acceleration (P-AXIS-00416)

The parameter defines the maximum acceleration at which a position offset is travelled out. Correction of the distance is limited dynamically with respect to the maximum acceleration to limit the resulting excitation. If no acceleration is specified, the maximum axis acceleration is used automatically (see P-AXIS-00008).

Variable name | Type | Permissible range | Axis type | Dimension
a_max | UNS32 | 0 < a_max < MAX(UNS32) | T | 1 mm/s2
 |  | Default value: the maximum axis acceleration is used (see P-AXIS-00008 ) | R | 1°/s2


Maximum permissible change of the measured distance (P-AXIS-00417)

The parameter defines the maximum permissible change of the measured distance within one cycle. After activation of distance control, the sensor's actual values are monitored for change. Actual value detection problems can be detected by setting a maximum value.

Variable name | Type | Permissible range | Axis type | Dimension
max_act_value_change | UNS32 | 0 < max_act_value_change < MAX(UNS32) | T | 0,1 µm
 |  | Default value: 5000, is equivalent to 0,5 mm | R | 0,0001°


Reference point offset for control measuring system (P-AXIS-00418)

The value range of the sensor measuring system can be moved by an offset via this machine data item. This is necessary in the case of absolute position sensors, for example, to define the reference point, i.e. the sensor position that sets in if the spindle touches the ideal workpiece surface.

Variable name | Type | Permissible range | Axis type | Dimension
ref_offset | UNS32 | 0 < ref_offset < MAX(UNS32) | T | 0,1 µm
 |  | Default value: 0, no position offset | R | 0,0001°


Upper limit for measuring system (P-AXIS-00419)

The following parameter defines the upper limit of the sensor. An error message is generated if it is exceeded while distance control is active.

Variable name | Type | Permissible range | Axis type | Dimension
max_pos | UNS32 | 0 < max_pos < MAX(UNS32) | T | 0,1 µm
 |  | Default value: 50000, is equivalent to 5 mm | R | 0,0001°


Lower limit for measuring system (P-AXIS-00420)

The following value defines the lower limit of the sensor. An error message is generated if it is exceeded while distance control is active.

Variablenname | Typ | Permissible range | Axis type | Dimension
min_pos | UNS32 | 0 < min_pos < MAX(UNS32) | T | 0,1 µm
 |  | Default value: -50000, is equivalent to - 5 mm | R | 0,0001°


Tolerance band for limits (P-AXIS-00421)

Recording of actual values always returns changing values. Due to the tolerance band, values are also permissible that might be outside the configured limits. An error message is not generated.

Variablenname | Typ | Permissible range | Axis type | Dimension
tolerance | UNS32 | 0 < tolerance < MAX(UNS32) | T | 0,1 µm
 |  | Default value: 0, is equivalent to 0 mm | R | 0,0001°


Consideration of distance control in software limit switch monitoring (P-AXIS-00428)

This parameter defines, whether the calculated offset of distance control is considered in software limit switch monitoring (see [FCT-A2]).

Variable name | Type | Permissible range | Axis type | Dimension
check_sw_limit_switch | BOOLEAN | 0 / 1 | T, R | ----

0 | Offset of distance control is not considered in software limit switch monitoring (default).
1 | Offset of distance control is considered in software limit switch monitoring.


Position controller deadband (P-AXIS-00395)

In order to prevent the position controller to continuosly output in standstill a setpoint value, with this parameter a minimal position lag can be defined, and if this limit is fallen below the output of a setpoint value is suppressed.

Variable name | Type | Permissible range | Axis type | Dimension
pos_control_deadband | UNS32 | [0 .. P-AXIS-00236 ] | T, R | 0.1 um

The deadband may not be bigger than the position window (P-AXIS-00236) set up for the axis (see also P-ERR-110528). With a value of zero (default) a setpoint value is output continuosly.

The value of P-AXIS-00395 scaled in encoder increments (see P-AXIS-00233, P-AXIS-00234) must be ≥ 1 (see also P-ERR-110529).

This parameter is only effective with CNC position control.


Axis peripheral interface parameters for position control (lr_hw[i].*)

In this chapter the axis peripheral interface parameters for position controler are described.

The hardware independent parameters for position controler are described in chapter 4.

The following parameters are dependent on the set drive type "kenngr.antr_typ". The data are independent of the set axis type "kenngr.achs_typ". They must be allocated for all axis types.

More:

button Value of degradation compensation (P-AXIS-00057)

button Sign reversal of command value (P-AXIS-00231)

button Sign reversal of actual value (P-AXIS-00230)

button Identifier for hardware specific parameter set (P-AXIS-00136)

button Numerator distance resolution of the sensor measuring system (P-AXIS-00422)

button Denominator distance resolution of the sensor measuring system (P-AXIS-00423)

button Definition of the sensor value range (P-AXIS-00424)

button Parameters for counter interface

button Parameters of D/A-interface

button Parameters of digital input interface for homing cams

button Encoder value range (P-AXIS-00296)


Value of degradation compensation (P-AXIS-00057)

The specifying of value for compensation of the D/A-converter-degradation is done with mathematical sign attached in "lr_hw[i].drift_wert".

Variable name | Type | Permissible range | Axis type | Dimension
drift_wert | SGN16 | MIN(SGN16) < drift_wert < MAX(SGN16) | T, R | Bit


Sign reversal of command value (P-AXIS-00231)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
vz_stellgr | BOOLEAN | 0 / 1 | T, R | ----


Sign reversal of actual value (P-AXIS-00230)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
vz_istw | BOOLEAN | 0 / 1 | T, R | ----


Identifier for hardware specific parameter set (P-AXIS-00136)

The hardware specific parameter sets has logical identifier "lr_hw[i].nummer" for identification which of the available hardware specific parameter lists is valid. The active parameter set is selected by gear specific parameter default_lr_hw_nbr in gear specific parameter set.

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
nummer | SGN16 | 1 < nummer < ANZ_LR_HW_NBR | T, R | ----

Value ANZ_LR_HW_NBR | Significance
application-dependent | Number of hardware-specific parameter sets


Numerator distance resolution of the sensor measuring system (P-AXIS-00422)

The sensor measuring system's distance resolution is specified as the quotient P-AXIS-00422/P-AXIS-00423 in the [increments/0.1 µm] dimension for translatory axes or [increments/10^-4°] for rotational axes. The number of sensor increments must be specified in P-AXIS-00422.

This entry is valid for "lr_hw[i].*" with i > 1!

The resolution of the motor sensor "lr_hw[0].*" is defined by P-AXIS-00233 and P-AXIS-00234 .

Variable name | Type | Permissible range | Axis type | Dimension
encoder_resolution_num | UNS32 | 0 < encoder_resolution_num < MAX(UNS32) Default value: 1 | T, R | Increments


Denominator distance resolution of the sensor measuring system (P-AXIS-00423)

The sensor measuring system's distance resolution is specified as the quotient P-AXIS-00422/P-AXIS-00423 in the [increments/0.1 µm] dimension for translatory axes or [increments/10^-4°] for rotational axes. The amount of the travel range must be specified in P-AXIS-00423.

This entry is valid for "lr_hw[i].*" with i > 1!

The resolution of the motor sensor "lr_hw[0].*" is defined by P-AXIS-00233 and P-AXIS-00234 .

Variable name | Typ | Permissible range | Axis type | Dimension
encoder_resolution_denom | UNS32 | 0 < encoder_resolution_denom < MAX(UNS32) | T | 0,1 µm
 |  | Default value 1 | R | 0,0001°


Definition of the sensor value range (P-AXIS-00424)

In this parameter you can define whether the sensor positions are to be considered as linear or modulo values. By default, it can be handled according to the axis type or an individual default can be defined. When sensor values are handling according to the set axis type (see P-AXIS-00018), values are considered in a linear fashion for the TRANSLATOR axis type, while modulo handling applies to the ROTATOR axis type

This entry is valid for "lr_hw[i].*" with i > 1!

The setting of the sensor value range for the motor sensor "lr_hw[0].*" is defined by P-AXIS-00122 .

Variable name | Type | Permissible range | Axis type | Dimension
mode_act_pos | BOOLEAN | 0, 1, 2 with: 0 : according to axis type (default) 1 : linear 2 : modulo | T, R | ----


Parameters for counter interface

For TwinCAT-Systems this interface is not available.

With the system-wide distinctive hardware name (name of I/O interface card) in CNC system cntr_hw_id_string and one channel identifier cntr_channel one physical counter channel is defined clearly. The selected hardware has to be defined in the configuration list of hardware.

More:

button Name of counter hardware (P-AXIS-00042)

button Channel identifier for counter (P-AXIS-00041)


Name of counter hardware (P-AXIS-00042)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
cntr_hw_id_string | ISG_CHAR | HARDWARE_ID_NBR_OF_CHAR | T, R | ----

The declared string for the hardware name must refer to the entry of the hardware name of a specific I/O-card of the hardware configuration list (Entry: device[i].name in hwconf.lis [HWCF]). Otherwise during initialization the position controler reports an error because it can not detect its hardware.


Channel identifier for counter (P-AXIS-00041)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
cntr_channel | UNS32 | 0 < cntr_channel < depending on hardware | T, R | ----


Parameters of D/A-interface

For TwinCAT-Systems this interface is not available.

With the system-wide distinctive name of hardware (name of I/O-interface card) da_hw_id_string and the channel number da_channel one physical analog channel (D/A-channel) is defined clearly. The selected hardware has to be defined in the configuration list of hardware [HWCF].

More:

button Name of D/A-hardware (P-AXIS-00049)

button D/A-channel number (P-AXIS-00048)


Name of D/A-hardware (P-AXIS-00049)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
da_hw_id_string | ISG_CHAR | HARDWARE_ID_NBR_OF_CHAR | T, R | ----

The declared string for the hardware name must refer to the entry of the hardware name of a specific I/O-card of the hardware configuration list (Entry: device[i].name in hwconf.lis [HWCF]). Otherwise during initialization the position controler reports an error because it can not detect its hardware.


D/A-channel number (P-AXIS-00048)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

Variable name | Type | Permissible range | Axis type | Dimension
da_channel | UNS32 | 0 < da_channel < depending on hardware | T, R | ----


Parameters of digital input interface for homing cams

With the system-wide distinctive name of hardware (name of I/O-interface card) cam_hw_id_string and the bit variable cam_mask one physical digital input is defined clearly. With cam_level the signal level is defined. The selected hardware has to be defined in the configuration list of hardware. Both parameters are important only, if direct access via driver functions is wished. In this case the parameter cam_direkt_access has to be set to value TRUE. In the other case the cam signals are read via PLC-interface (HLI-Interface or axis specific control interface of path interpolator) eingelesen.

More:

button Name of hardware (P-AXIS-00037)

button Bit variable for cam signals (P-AXIS-00039)

button Level of cam signals (P-AXIS-00038)

button Access to cam signals (P-AXIS-00036)


Name of hardware (P-AXIS-00037)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

For TwinCAT-Systems this parameter is not available.

Variable name | Type | Permissible range | Axis type | Dimension
cam_hw_id_string | ISG_CHAR | HARDWARE_ID_NBR_OF_CHAR | T, R | ----

The declared string for the hardware name must refer to the entry of the hardware name of a specific I/O-card of the hardware configuration list (Entry: device[i].name in hwconf.lis [HWCF]). Otherwise during initialization the position controler reports an error because it can not detect its hardware.


Bit variable for cam signals (P-AXIS-00039)

For TwinCAT-Systems this parameter is not available.

Variable name | Type | Permissible range | Axis type | Dimension
cam_mask | UNS16 | Bit coded, 0x ... | T, R | ----


Level of cam signals (P-AXIS-00038)

Variable name | Type | Permissible range | Axis type | Dimension
cam_level | BOOLEAN | 0 / 1 | T, R | ----

0 | 0-signal is active level. When the reference cam switch is actuated the value of the control unit element pAC[axis_idx]^.addr^.McControlLr_Data.MCControlBoolUnit_ReferenceCam.X_Command on the HLI is FALSE (see also [HLI] ).
1 | 1-signal is active level (Default). When the reference cam switch is actuated the value of the control unit element pAC[axis_idx]^.addr^.McControlLr_Data.MCControlBoolUnit_ReferenceCam.X_Command on the HLI is TRUE (see also [HLI] ).


Access to cam signals (P-AXIS-00036)

These entries are not taken over when the axis parameters list is actualized, to change them a reboot is necessary.

For TwinCAT-Systems this parameter is not available.

Variable name | Type | Permissible range | Axis type | Dimension
cam_direct_access | BOOLEAN | 0 / 1 | T, R | ----


Encoder value range (P-AXIS-00296)

This parameter is used only for EtherCAT drives.

By default EtherCAT drives deliver an absolute position as actual position. If an encoder is connected to the drive which delivers a modulo position, the NC has to handle the encoder overflow. To do this the encoder range (number of different positions delivered by the encoder) of the encoder has to be set up in this parameter.

If this parameter is not used, an encoder with 32 bit resolution is expected (default).

Variable name | Type | Permissible range | Axis type | Dimension
encoder_range | SGN32 | 512 MAX(SGN32) | T, R | ----

Example:

Encoder with 16 bit resolution

The encoder delivers 216 = 65356 different positions (0  65535), so the parameter encoder_range has to be set to 65536.

This parameter only has an effect, if for P-AXIS-00122 (mode_act_pos) the value 2 (modulo) is set.


Feedforward control mode (P-AXIS-00223)

With this parameter it is specified bitcoded which reference variables (velocity, acceleration and jerk) are to be active during feedforward control. The following settings are present:

Variable name | Type | Permissible range | Axis type | Dimension
vorsteuerung | UNS16 | 0 - 0x327 | T, R | ----

Value | Significance
0x0000 | No feedforward control
0x0001 | Velocity feedforward control
0x0002 | Acceleration feedforward control
0x0004 | Jerk feedforward control
0x0100 | PROFIdrive: At the Profidrive-telegramm 5 the calculated feedforward control value is considered as speed in the commanded speed value (NSOLL_B  Signal-Nr.7). If this flag is not selected, the feedforward control value is considered as position lag in the system deviation (XERR  Signal-Nr.25).
0x0200 | If acceleration feedforward is active the feedforward acceleration is output via an additional torque/current command value.

This function is available for all types of axes and types of drives.

Jerk feedforward is only available when a jerk limited velocity profile is used.

Further informations on the definition of the acceleration profile to use can be found in P-CHAN-00071 and [PROG - command #SET SLOPE PROFIL] .


Conventional feedforward control

In Figure 8-1 the block diagram for feedforward control is shown.

Figure 8-1: Block diagram of feedforward control

More:

button Equivalent time constant for feedforward control of acceleration(P-AXIS-00225/ P-AXIS-00226)

button Weighting factor for feedforward control (P-AXIS-00228/ P-AXIS-00229)

button Permanent activation of feedforward control (P-AXIS-00255)

button Permanent deactivation of feedforward control (P-AXIS-00256)

button Numerator of scaling factor for jerk feedforward (P-AXIS-00337)

button Denominator of scaling factor for jerk feedforward (P-AXIS-00338)

button Delay time for velocity feedforward (P-AXIS-00389)

button Delay time for acceleration feedforward (P-AXIS-00390)

button Parameters for PROFIDRIVE


Equivalent time constant for feedforward control of acceleration(P-AXIS-00225/ P-AXIS-00226)

TwinCAT CNC: Overview

Equivalent time constant for feedforward control of acceleration
(P-AXIS-00225/ P-AXIS-00226)

The acceleration reference variable is weighted with the mechanical time constant "vorsteuer.vs_a_faktor/ vorsteuer.vs_a _ nenner" of the drive. The drive is modeled here as a first-order time-delay element (Figure 8-1).

In the Laplace-range the following transfer function is obtained :

GAntrieb = 1 / [ 1 + Ta * s ]

with Ta = vs_a_faktor / vs_a_nenner

Variable name | Type | Permissible range | Axis type | Dimension
vs_a_faktor | SGN32 | 0 < vs_a_faktor < MAX(SGN32) | T, R | µs

Variable name | Type | Permissible range | Axis type | Dimension
vs_a_nenner | SGN32 | 0 < vs_a_nenner < MAX(SGN32) | T, R | 1


Weighting factor for feedforward control (P-AXIS-00228/ P-AXIS-00229)

TwinCAT CNC: Overview

Weighting factor for feedforward control
(P-AXIS-00228/ P-AXIS-00229)

This parameters describe the weighting factor for the velocity- and acceleration feedforward control:

Variable name | Type | Permissible range | Axis type | Dimension
vs_v_faktor | SGN32 | 0 < vs_v_faktor < MAX(SGN32) | T, R | ----

Variable name | Type | Permissible range | Axis type | Dimension
vs_v_nenner | SGN32 | 0 < vs_v_nenner < MAX(SGN32) | T, R | ----

We know from experience that the weighting factor should be in the range of 0.7  1. At values >1 the axis is ahead of and the accuracy of the contour is falling off.


Permanent activation of feedforward control (P-AXIS-00255)

With this parameter feedforward can be activated permanently for one axis. Feedforward is active all the time, even if G137 is active in the channel (resp. NC-program).

Variable name | Type | Permissible range | Axis type | Dimension
default_active | BOOLEAN | 0 / 1 | T, R | ----

This function is available for all types of axes and types of drives.


Permanent deactivation of feedforward control (P-AXIS-00256)

With this parameter feedforward can be deactivated permanently for one axis. Feedforward is not active all the time, even if G135 is active in the channel (resp. NC-program).

Variable name | Type | Permissible range | Axis type | Dimension
global_disable | BOOLEAN | 0 / 1 | T, R | ----

This function is available for all types of axes and types of drives.


Numerator of scaling factor for jerk feedforward (P-AXIS-00337)

With this parameter the numerator of the scaling factor for jerk feedforward is set. The scaling factor for jerk feedforward is defined as:

jerk_fact = P-AXIS-00337/P-AXIS-00038

The output of the jerk feedforward command value to the drive has to be activated by setting bit 0x04 in axis parameter P-AXIS-00223.

Jerk feedforward is only possible if a jerk limited acceleration profile is used. For non jerk limited acceleration profiles a jerk command value of 0 is output.

Further informations on the definition of the acceleration profile to use can be found in P-CHAN-00071 and [PROG - command #SET SLOPE PROFIL] .

Variable name | Type | Permissible range | Axis type | Dimension
jerk_fact_num | UNS32 | 0 < jerk_fact_num < MAX(UNS32) | T, R, S | ----


Denominator of scaling factor for jerk feedforward (P-AXIS-00338)

With this parameter the denominator of the scaling factor for jerk feedforward is is set. The scaling factor for jerk feedforward is defined as:

jerk_fact = P-AXIS-00337/P-AXIS-00038

The output of the jerk feedforward command value to the drive has to be activated by setting bit 0x04 in axis parameter P-AXIS-00223.

Jerk feedforward is only possible if a jerk limited acceleration profile is used. For non jerk limited acceleration profiles a jerk command value of 0 is output.

Further informations on the definition of the acceleration profile to use can be found in P-CHAN-00071 and [PROG - command #SET SLOPE PROFIL] .

A value of zero is inadmissible for this parameter. If zero is set up as value an error message with error-id 110473 is output and the parameter is set to its default value (100). See also [DIAG] .

Variable name | Type | Permissible range | Axis type | Dimension
jerk_fact_denom | UNS32 | 0 < jerk_fact_denom < MAX(UNS32) | T, R, S | ----


Delay time for velocity feedforward (P-AXIS-00389)

If velocity feedforward via an additive velocity command value is activated, with this parameter the output of the velocity feedforward value can be delayed with respect to the command position.

The dimension of the delay time is in us, the maximum delay is one interpolator cycle.

Variable name | Typ | Permissible range | Axis type | Dimension
velocity_delay_time | UNS16 | 0 < velocity_delay_time < Interpolator cycle time | T, R | µs

At the moment this parameter is supported only for SERCOS.


Delay time for acceleration feedforward (P-AXIS-00390)

If acceleration feedforward via an additive torque command value is activated, with this parameter the output of the acceleration feedforward value can be delayed with respect to the command position.

The dimension of the delay time is in us, the maximum delay is one interpolator cycle.

Variable name | Type | Permissible range | Axis type | Dimension
acceleration_delay_time | UNS16 | 0 < acceleration_delay_time < Interpolator cycle time | T, R | µs

At the moment this parameter is supported only for SERCOS.


Parameters for PROFIDRIVE

More:

button Time shift command value - feedforward values (P-AXIS-00165)

button Position controller increments per revolution (P-AXIS-00092)

button Timeconstant of command position filter for feedforward balancing (P-AXIS-00361)


Time shift command value - feedforward values (P-AXIS-00165)

With the parameter shift_time a time shift in NC-cycles between the output of the command values and the output of the calculated feedforward values can be defined. With a value > 0 the feedforward values are output before the according command values. With this parameter the behaviour of the fedforward axis can be optimized.

Variable name | Type | Permissible range | Axis type | Dimension
shift_time | UNS16 | 0 < shift_time < V_SATZ_ANZ -1 | T, R | Cycles


Position controller increments per revolution (P-AXIS-00092)

In this parameter the amount of position controller increments per revolution of the motor axis is entered. It must be the internally in the NC-kernel used value (value after scaling the bus transmitted value with the parameter feinaufloesung).

Variable name | Type | Permissible range | Axis type | Dimension
incr_per_rev | UNS32 | 0 < incr_per_rev < MAX(UNS32) | T, R | ----


Timeconstant of command position filter for feedforward balancing (P-AXIS-00361)

With this parameter the time constant of a command position filter for feedforward balancing is set. Setting this parameter to zero switches off feedforward balancing.

Feedforward balancing is only for Profidrive drives with absolute encoder available.

Variable name | Type | Permissible range | Axis type | Dimension
timeconst_sym_filter | UNS32 | 0 < timeconst_sym_filter < MAX(UNS32) | T, R | µs

7.2.5.3 Filtering of the command value (P-AXIS-00190)

When using PROFIDRIVES and feedforward with output of the calculated feedforward value as a speed command (usage of PROFIBUS telegram 5, DSC mode) the command value has to be filtered. The time constant of the filter has to be equal to the mechanical time constant of the axis and can be defined with this parameter.

Variable name | Type | Permissible range | Axis type | Dimension
timeconst_cmd_filter | UNS16 | 0 < timeconst_cmd_filter < MAX(UNS32) | T, R | µs

7.3 Adaptive feedforward control

7.3.1 Time shift command-/ actual values (P-AXIS-00055)

When using adaptive feedforward this parameter can be used to define the time shift between command and actual values due to the bus transmission times. With a value > 0 the feedforward values are calculated from the delayed command and actual values. With this parameter the axis behaviour can be optimized when using adaptive feedforward.

Variable name | Type | Permissible range | Axis type | Dimension
delay_time | UNS16 | 0 < delay_time < ADAPT_VOFI_DELAY -1 | T, R | Cycles

Value ADAPT_VOFI_DELAY | Significance
application-dependent | Maximum allowed time shift between command and actual values


Parameters for drives (antr.*)

In this structure there exists the possibility of defining union structures for the various drives.

The data described in the following are independent of the axis type "kenngr.achs_typ". They must be allocated for all axis types.

More:

button General drive parameters

button Drive type simulation (antr.simu.*)

button Drive type SERCOS (antr.sercos.*)

button Drive type PROFIdrive (antr.profibus.*)

button Drive type CANopen (antr.canopen.*)

button Drive type DSE (antr.dse.*)

button Parameters for drive functions (antr.function[i].*)


General drive parameters

More:

button Normalization of command and actual position (P-AXIS-00123/ P-AXIS-00122)

button Time base for normalization of velocity (P-AXIS-00207)

button Normalization of the velocity (Nominator/ Denominator) (P-AXIS-00206/ P-AXIS-00205)

button Delay between command value and actual value (P-AXIS-00191)

button Operation mode of an axis (P-AXIS-00320)

button Number of the latch input used for edge bending (P-AXIS-00353)

button Ignore unknown entries in drive telegram (P-AXIS-00358)

button Maximum time delay for disabling drive after a PLC watchdog error (P-AXIS-00367)

button Name of the EtherCAT master process (P-AXIS-00372)

button Encoders, used for homing (P-AXIS-00388)

button Scaling factor for acceleration feedforward (P-AXIS-00392)

button Encoder resolution via feed constant (Numerator/ Denominator) (P-AXIS-00362/ P-AXIS-00363)

button Offset between drive position and CNC position (P-AXIS-00403)

button Factor to coarse encoder resolution (P-AXIS-00405)

button EtherCAT-Fieldbus: Permissible telegram failures (P-AXIS-00406)

button Control of a DC brake (P-AXIS-00410)

button Number of probing input (P-AXIS-00430)


Normalization of command and actual position (P-AXIS-00123/ P-AXIS-00122)

Both command position and actual position of drive can be handled by CNC as drive with linear or modulo coordinate system. By default the processing can be done depending on axis type, or a specific presetting can be selected. For this purpose also settings which leads to mixed processing of command/actual position are possible:

q Default processing of values depending on selected axis type (TRANSLATOR -> linear processing of command/actual values, ROTATOR -> modulo-processsing of command/ actual values).

q Linear processing of values,

q Modulo processing of values.

Variable name | Type | Permissible range | Axis type | Dimension
mode_cmd_pos | UNS16 | 0 : depending on axis type 1 : linear 2 : modulo | T, R | ----

Variable name | Type | Permissible range | Axis type | Dimension
mode_act_pos | UNS16 | 0 : depending on axis type 1 : linear 2 : modulo | T, R | ----


Time base for normalization of velocity (P-AXIS-00207)

The time base for adaptation of velocity interface to used unit in drive can be given as value per minute, second or sample interval. If the normalizing per sample interval is selected, the output value changes proportional depending on CNC cylce time with contant velocity. This can be essential depending on drive.

Variable name | Type | Permissible range | Axis type | Dimension
v_time_base | UNS16 | 0 : per minute 1 : per second 2 : per sample interval | T, R | ----


Normalization of the velocity (Nominator/ Denominator) (P-AXIS-00206/ P-AXIS-00205)

The normalization of distance (path or revolution) in time interval is handled equal to the path resolution in transducer systems with setting of nominator and denominator of a quotient.

The nominator gives the number of increments, whereas the denominator gives the path in 1 μm or 0,001° .

P-AXIS-00206:

Variable name | Type | Permissible range | Axis type | Dimension
v_reso_num | UNS32 | 0 < v_reso_num < MAX(UNS32) | T, R | Increments

P-AXIS-00205:

Variable name | Type | Permissible range | Axis type | Dimension
v_reso_denom | UNS32 | 1 < v_reso_denom < MAX(UNS32) | T | 1µm
 |  |  | R | 0,001°

Example 1:

The motor provides 2 ^ 20 increments per revolution. The velocity interface should provide the increments per sample interval additionally with factor 2 ^ 8, so the following settings are necessary:

v_time_base = 2 // [cylce time]

v_reso_num = 268435456 // = 2 ^ 28 [Increments]

v_reso_denom = 360000 // [0.001 °]

Example 2:

The drive expects 10E-4 revolutions per minute on velocity interface.

v_time_base = 0 // [Minuten]

v_reso_num = 10000 // [Inkremente]

v_reso_denom = 360000 // [0.001 °]

Example 3:

The drive expects 10E-4 revolutions in mm per minute on velocity interface.

v_time_base = 0 // [Minuten]

v_reso_num = 1 // [Inkremente]

v_reso_denom = 1000 // [1 μm]


Delay between command value and actual value (P-AXIS-00191)

This parameter is only active for digital drives (e.g. SERCOS). It defines the number of cycles between the output of the command values and the read in of the actual values. The parameter is only used for the calculation of the position lag.

Variable name | Type | Permissible range | Axis type | Dimension
nbr_delay_cycles | UNS16 | 0 < nbr_delay_cycles < 5 (NBR_CMD_POS - 1) | T, R | ----


Operation mode of an axis (P-AXIS-00320)

This parameter determines the operation mode, which is used for an axis.

Variable name | Type | Permissible range | Axis type | Dimension
operation_mode | ISG_CHAR | See strings at following table | T, R | ----

String | Significance
DRIVE_DEFAULT | Default setting for all drive types. The used operation mode ( position control in the drive, position control in the numerical control, velocity control, etc. ) is determined automatically. It depends e.g. on the drive type P-AXIS-00020 and on the configured telegram.
DRIVE_POSITION_CONTROL | In this operation mode the position or velocity control is performed in the drive.
CNC_POSITION_CONTROL | The position control is performed in the CNC. For this operation mode therefore additionally the path resolution of the measuring system P-AXIS-00234 / P-AXIS-00233 , the proportional gain factor kvof the position control loop P-AXIS-00099 , and the scaling of the command value P-AXIS-00129 / P-AXIS-00128 must be parameterized.

The following operation modes are available from Version 263.

OPEN_POSITION_LOOP_MODE

Operation without position control (open loop mode). The command velocity calculated by the interpolator is output.

This operation mode is possible only for spindles.

The actual velocity value for velocity monitoring is choosen as follows:

If an actual position is configured, it is used for velocity monitoring.

If no actual position but an actual revolution is configured, this is used for velocity monitoring.

If neither an actual position nor an actual revolution is configured the command velocity is used for velocity monitoring (sensorless spindle)

Scaling of the command velocity output to the spindle is set up with parameters P-AXIS-00205 , P-AXIS-00206 and P-AXIS-00207 .

For PROFIDRIVE-drives parameter P-AXIS-00379 has to be used.

OPEN_POSITION_LOOP_POS

_FEEDBACK

Operation without position control (open loop mode). The command velocity calculated by the interpolator is output.

This operation mode is possible only for spindles.

The actual velocity is calculated from the actual position delivered from the spindle. If no actual position is configured an error message is output.

Scaling of the command velocity output to the spindle is set up with parameters P-AXIS-00205 , P-AXIS-00206 and P-AXIS-00207 .

For PROFIDRIVE-drives parameter P-AXIS-00379 has to be used.

OPEN_POSITION_LOOP_VEL

_FEEDBACK

Operation without position control (open loop mode). The command velocity calculated by the interpolator is output.

This operation mode is possible only for spindles.

The actual velocity is calculated from the actual revolution delivered from the spindle. If no actual revolution is configured an error message is output.

Scaling of the command velocity output to the spindle is set up with parameters P-AXIS-00205 , P-AXIS-00206 and P-AXIS-00207 .

For PROFIDRIVE-drives parameter P-AXIS-00379 has to be used.

OPEN_POSITION_LOOP_NO

_FEEDBACK

Operation without position control (open loop mode). The command velocity calculated by the interpolator is output.

This operation mode is possible only for spindles.

The actual velocity for velocity monitoring is calculated from the internal command velocity.

Scaling of the command velocity output to the spindle is set up with parameters P-AXIS-00205 , P-AXIS-00206 and P-AXIS-00207 .

For PROFIDRIVE-drives parameter P-AXIS-00379 has to be used.

For the position control in the numerical control (Operation mode CNC_POSITION_CONTROL) the active operation mode in the SERCOS drive must be velocity control. Furthermore command velocity and actual position must be configured and transmitted in the cyclic telegram.

In the operation mode CNC_POSITON_CONTROL only a NC-controlled homing without zero pulse search can be performed for SERCOS drives. The necessary parameter settings can be taken from [FCT-M1] .


Number of the latch input used for edge bending (P-AXIS-00353)

With this parameter the number of the drive latch input used for edge bending is set up.

Variable name | Type | Permissible range | Axis type | Dimension
edge_bending_input_nbr | UNS16 | depending on drive type | T, R | ----

This parameter is not supported for all drive types. If a latch input number not suitable for the used drive type ( P-AXIS-00020 ) is set up, an error message P-ERR-110489 is output and the value is corrected automatically. Valid values for P-AXIS-00353 for the different drive types are shown in the following table.

Drive type | P-AXIS-00020 | Valid values for P-AXIS-00353
Conventional (+-10 V) | 1 | 1
SERCOS | 2 | 1
PROFIDRIVE | 3 | 1, 2
Simulation | 4 | 1
Lightbus | 5 | 1
Terminal (+-10V via bus) | 6 | 1
Real time Ethernet | 7 | 1
CANopen | 8 | 1
Virtual | 16 | 1
CAN | 32 | 1


Ignore unknown entries in drive telegram (P-AXIS-00358)

By default unknown entries in the configuration of the cyclic drive telegram lead to an error message. With this parameter the error message can be suppressed.

At the moment this parameter only supports drives of the type PROFIDRIVE ( P-AXIS-00020 ).

Variable name | Type | Permissible range | Axis type | Dimension
ignore_unknown_telegram_elements | BOOLEAN | 0 / 1 | ---- | ----


Maximum time delay for disabling drive after a PLC watchdog error (P-AXIS-00367)

After a PLC-watchdog error the CNC stops the axes. If a time period greater zero is specified in this parameter, after a PLC-watchdog error the drive releases of the axis are removed in addition as soon as the axis has stopped, but not later than the specified time period.

If P-AXIS-00367 = 0 the CNC does not automatically remove the drive releases after a PLC watchdog error.

For a suspended axis it has to be ensured, that their brakes securely are locked after removal of drive releases.

Variable name | Type | Permissible range | Axis type | Dimension
plc_watchdog_disable_drive_delay_time | UNS32 | 0 ... MAX(UNS32) | T, R, S | µs


Name of the EtherCAT master process (P-AXIS-00372)

The name of the EtherCAT-Master process in the real-time operation system is dependent of the used network interface. The control needs the name in order to get access to the drive interface.

Variable name | Type | Permissible range | Axis type | Dimension
ethercat_master_name | ISG_CHAR | See strings at following table | T, R | ----

String | Significance
ECMeth0 | EtherCAT Master uses network device eth0
ECMeth1 | EtherCAT Master uses network device eth1

This parameter is only used for the real-time operation system INtime.


Encoders, used for homing (P-AXIS-00388)

Some drive types support the use of multiple encoders (motor encoder and external encoder). This parameter defines, which encoder shall be used for homing.

Variable name | Type | Permissible range | Axis type | Dimension
cnc_homing_encoder | UNS16 | 1, 2, 3 | T, R | ----

1 | The encoder used for homing is determined automatically, e. g. for SERCOS drives by reading parameter S-0-147.
2 | Motor encoder
3 | External encoder

At the moment this parameter is supported only for SERCOS.


Scaling factor for acceleration feedforward (P-AXIS-00392)

This parameter is used for the scaling of the additive torque command if acceleration feedforward with additive command values is used. It has to be entered the stall torque of the motor.

Variable name | Type | Permissible range | Axis type | Dimension
acc_reference_value | REAL64 | 0 < acc_reference_value < MAX(REAL64) | T | N
 |  | Default value: 1 | R | Nm


Encoder resolution via feed constant (Numerator/ Denominator) (P-AXIS-00362/ P-AXIS-00363)

With parameter P-AXIS-00362 and parameter P-AXIS-00363 an alternative posssibility for parametering of the encoder resolution is activated. If both parameters P-AXIS-00362 and P-AXIS-00363 are set on values unequal to 1 (default initialization), the encoder resolution is calculated based on the following formula:

With:

R: Resulting resolution (Inkremente / 0.1 µm).

rMotor: Encoder increments per motor revolution (P-AXIS-00092)

iGear: Gear transmission ratio (Revolutions gear input / Revolutions gear output(P-AXIS-00234/P-AXIS-00233)).

f: Feed constant (0.1 µm / revolution) (P-AXIS-00362/P-AXIS-00363).

P-AXIS-00362:

Variable name | Type | Permissible range | Axis type | Dimension
feed_const_num | UNS32 | 1 < feed_const_num < MAX(UNS32) | T, R | 0.1 µm

P-AXIS-00363:

Variable name | Type | Permissible range | Axis type | Dimension
feed_const_denom | UNS32 | 1 < feed_const_denom < MAX(UNS32) | T, R | U


Offset between drive position and CNC position (P-AXIS-00403)

For drives with absolute encoder with this parameter an offset between the position delivered from the drive and the internal CNC position can be introduced.

Using this parameter is only reasonable if the drive has an absolute encoder.

This parameter is only effective, when P-AXIS-00014 is set to 1.

The CNC position is given by:

As soon as the drive delivers valid positions, the CNC position is set according to the equation above and the axis is marked as referenced.

When occasionally, caused by external influences such as phase switching by the operator, the fieldbus or drive does not deliver valid actual positions the CNC position is reinitialized as soon as the drive delivers valid positions.

Variable name | Type | Permissible range | Axis type | Dimension
abs_pos_offset | SGN32 | MIN_SGN32 ≤ abs_pos_offset ≤ MAX_SGN32 | T | 0.1 µm
 |  |  | R | 0,0001°

When the used drive type does not support this parameter, a warning with number 110531 (see also [DIAG]) is outpout and P-AXIS-00403 is set to zero.

When the parameter is changed by updating the parameter list or with the #MACHINE DATA command, the changed offset is not effctive untill the next new initialisation of the CNC position.


Factor to coarse encoder resolution (P-AXIS-00405)

The parameter antr.encoder_coarsening_factor (P-AXIS-00405) can be used to coarse the encoder resolution of the drive. This can be necessary e.g. if the resolution of the measurement system (s. P-AXIS-00234/P-AXIS-00235) is greater than one, since these resolutions reduce the possible movement range in the CNC. The value of the parameter P-AXIS-00405 specifies the number of the lowest significant encoder bits, which are not accounted. An encoder with 2^20 increments and an encoder_coarsening_factor = 4 leads to an effective encoder resolution of 2^16 increments, meaning the path resolution is reduced by the factor of 16. The reduced encoder resolution (not the native encoder resolution!) must be used afterwards to set the path resolution (P-AXIS-00234/P-AXIS-00233) or to home with encoder overflow evaluation (P-AXIS-00355).

Variable name | Type | Permissible range | Axis type | Dimension
encoder_coarsening_factor | UNS16 | 0 < encoder_coarsening_factor < 20 | T, R | ----

Actually, coarsening of encoder resolution is only possible for SERCOS drives.


EtherCAT-Fieldbus: Permissible telegram failures (P-AXIS-00406)

The parameter antr.permissible_telegram_failures specifies how many drive telegrams can fail in sequence before the CNC considers an error in the drive bus. If the drive bus is interrupted the CNC removes the referenced flag of the axes without an absolute measurement system (s. P-AXIS-00014). In addition for interpolated axis an error message is generated.

The default setting is permissible_telegram_failures = 0, i. e. each lost telegram represents an error case.

Variable name | Type | Permissible range | Axis type | Dimension
permissible_-telegram_failures | UNS08 | 0 ≤ permissible_telegram_failures ≤ 10 | T, R | -

This parameter is only used for drives with EtherCAT field bus ( CANopen/SERCOS over EtherCAT)


Control of a DC brake (P-AXIS-00410)

With this parameter the control of a DC brake for spindles is assisted. A control bit that enables DC braking is transfered to the motor controller.

The value of the parameter describes the bit number of the drive control word that shall be used for transmission. A value of zero for this parameter means for example that bit zero (bitmask 0x0001) of the drive control word shall be used for transmission. A value of  1 for this parameter disables this function, no control bit for DC braking is transferred to the drive controller.

The control bit is zero when:

· The axis accelerates to their target velocity (in either positive or negative direction).

· The axis reverses its movement direction (M3 -> M4, or M4 -> M3).

In all other cases the control bit is set.

The real control of the DC brake (e. g. monitoring of minimum velocities and magnetisation times) has to be implemented in the drive controller.

Variable name | Type | Permissible range | Axis type | Dimension
dc_brake_control_bit_nr | SGN16 | -1 < dc_brake_control_bit_nr < 15 | R | ----

Drive type P-AXIS-00020 | Valid values for P-AXIS-00410 (bit number)
4 (Simulation) | -1 , 0 .. 15
3 (PROFIDRIVE) | -1, 8, 9, 13, 15

DC brake control is only implemented for drive types Simulation and PROFIDRIVE.


Number of probing input (P-AXIS-00430)

Number of the drives digital input which is used as probing input. The used input has to be also set up as probing input in the drive. See also [FCT-C4]. From CNC version V2.10.1505.26 this parameter can be used with Profidrive, CANopen and Sercos drives. If the parameter is set to zero, the following default settings are valid due to downward compatibility:

§ CANopen/Profidrive: Probing input 1

§ Sercos: Last configured probing value in the cyclic telegram

Variable name | Type | Permissible range | Axis type | Dimension
probing_input_nbr | UNS08 | 0, 1, 2 | T, R, S | ----


Drive type simulation (antr.simu.*)

For drive type Simulation(see parameter kenngr.antr_typ chapter 3.1.1) time response of the axis can be simulated with a filter which parameters are decribed in the following sections. Additionally the command values from the position controller can be delayed an adjustable number of interpolator cycles in order to simulate a dead time of the control path.

More:

button Drive time constant (Nominator/ Denominator) (P-AXIS-00239/ P-AXIS-00238)

button Drive damping (Nominator/ Denominator) (P-AXIS-00051/ P-AXIS-00050)

button Natural frequency of drive (Nominator/ Denominator) (P-AXIS-00062/ P-AXIS-00061)

button Dead time (P-AXIS-00194)

button Toolpath up to zero pulse during homing simulation (P-AXIS-00161)

button Set actual position equal to command position (P-AXIS-00096)


Drive time constant (Nominator/ Denominator) (P-AXIS-00239/ P-AXIS-00238)

Variable name | Type | Permissible range | Axis type | Dimension
zeitkonstante_z | UNS32 | MAX(UNS32) > zeitkonstante_z > 1 | T, R | s

Variable name | Type | Permissible range | Axis type | Dimension
zeitkonstante_n | UNS32 | MAX(UNS32) > zeitkonstante_n > 1 | T, R | 1


Drive damping (Nominator/ Denominator) (P-AXIS-00051/ P-AXIS-00050)

Variable name | Type | Permissible range | Axis type | Dimension
daempfung_z | UNS32 | MAX(UNS32) > daempfung_z > 1 | T, R | ----

Variable name | Type | Permissible range | Axis type | Dimension
daempfung_n | UNS32 | MAX(UNS32) > daempfung_n > 1 | T, R | ----


Natural frequency of drive (Nominator/ Denominator) (P-AXIS-00062/ P-AXIS-00061)

Variable name | Type | Permissible range | Axis type | Dimension
eigenfrequenz_z | UNS32 | MAX(UNS32) > eigenfrequenz_z > 1 | T, R | 1

Variable name | Type | Permissible range | Axis type | Dimension
eigenfrequenz_n | UNS32 | MAX(UNS32) > eigenfrequenz_n > 1 | T, R | s


Dead time (P-AXIS-00194)

Variable name | Type | Permissible range | Axis type | Dimension
totzeit | UNS32 | MAX_TOTZ > totzeit > 0 | T, R | TAb

Value MAX_TOTZ | Significance
application-dependent | Maximum possible dead time

The dead time is defined as a multiple of cycle time TAb of geometry data processing of the NC kernel.


Toolpath up to zero pulse during homing simulation (P-AXIS-00161)

Variable name | Type | Permissible range | Axis type | Dimension
rpf_weg_bis_nip | SGN32 | SGN32 range | T | 0,1µm
 |  |  | R | 0,0001°


Set actual position equal to command position (P-AXIS-00096)

With this parameter the axis simulation with a filter can be turned off by setting the actual value equal to the command value.

Caused by the internal execution order of axis simulation and position controller there will still be a position lag which is equal to the distance the axis moves within one interpolator cycle.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ist_gleich_soll | BOOLEAN | 0 / 1 | T, R | ----


Drive type SERCOS (antr.sercos.*)

The data are drive type dependent. These parameters must be allocated only when this axes is to be carried out as SERCOS-axis (see P-AXIS-00020).

The SERCOS-telegraphs are described in greater detail in [SERC-S2].

Under TwinCAT the user has to do no settings, because these data are defined and controlled by the system manager itself.

More:

button Telegraph type (P-AXIS-00188)

button Ring number (P-AXIS-00160)

button Drive addresse (P-AXIS-00019)

button MDT-Offset (P-AXIS-00111)

button Time slot calculation (P-AXIS-00063)

button Operation mode for velocity control (P-AXIS-00264)

button Drive supported execution of the CNC based homing (P-AXIS-00386)

button Assignment of control and status bits for CNC based homing (P-AXIS-00387)

button Master data telegram (antr.sercos.mdt[i].*)

button Drive telegram type 7 (antr.sercos.at[i].*)

button Index of ID (antr.sercos.ident[i].*)

button Time slot parameters (antr.sercos.times.*)


Telegraph type (P-AXIS-00188)

Here, the telegraph type is determined for the drive (see [SERC-S2//Master data telegramm]).

Variable name | Type | Permissible range | Axis type | Dimension
telegramm_typ | UNS16 | 0 < telegramm_typ < 7 | T, R | ----


Ring number (P-AXIS-00160)

The ring number indicates the SERCOS master modul which controls this axis.

Variable name | Type | Permissible range | Axis type | Dimension
ring_nr | UNS16 | 0, at the moment only one ring | T, R | ----


Drive addresse (P-AXIS-00019)

The drive address corespondes to the value which is choosen at the according slave drive system.

Variable name | Type | Permissible range | Axis type | Dimension
antr_adr | UNS16 | 1 < antr_adr < 254 | T, R | ----


MDT-Offset (P-AXIS-00111)

This value defines the length of the MDT part which referes to this axis. This value is especially valid for drive telegramm type 7. The value has to be assigned like : number of transmit data ( 16 Bit ) * 4. This parameter has to be defined now even the evaluation will be done in future.

Variable name | Type | Permissible range | Axis type | Dimension
mdt_offset | UNS16 | 0 < mdt_offset < 65535 | T, R | ----


Time slot calculation (P-AXIS-00063)

This value defines whether a time slot calculation is done or the values defined in axis machine data list are used directly. Possible settings are:

Variablen name | Type | Permissible range | Axis type | Dimension
eval_calc_slot | UNS16 | 0, 1, 2 | T, R | ----

0 | Parameter are calculated
1 | Parameter in machine data list are used
2 | Currently not used

The validity of the parameter P-AXIS-00063 depends on the setting of the parameter P-STUP-00005 ([STUP]).


Operation mode for velocity control (P-AXIS-00264)

This parameter defines the desired operation mode during switching to velocity control.

Variable name | Type | Permissible range | Axis type | Dimension
op_mode_for_velocity_control | UNS16 | 0 < P-AXIS-00264 < 3 | R | ----

0 | Main operation mode S-0-0032
1 | Auxiliary operation mode 1, S-0-0033
2 | Auxiliary operation mode 2, S-0-0034
3 | Auxiliary operation mode 3, S-0-0035


Drive supported execution of the CNC based homing (P-AXIS-00386)

By default CNC controlled homing for SERCOS drive is done completely in the control, the drive internal positions are not altered.

If the drive supports SERCOS command S-0-146 (CNC controlled homing) with this parameter can be activated that this command is used for CNC controlled homing. The advantage of this method is that after homing is finished the drive internal positions are referenced, too, so that for example drive internal software limit switches can be used.

The reference position used for homing is P-AXIS-00152, this value is transferred to the drive during homing.

Variable name | Type | Permissible range | Axis type | Dimension
drive_supports_cnc_homing | BOOLEAN | 0 / 1 | T, R | ----

This parameter is actually not supported for spindles.

Additionally to command S-0-146 the drive must support the following commands:

· S-0-171 (Calculate displacement)

· S-0-172 (Displacement to referenced system)

· S-0-191 (Cancel reference point procedure)

For further information please refer to the drive manufacturers documentation.


Assignment of control and status bits for CNC based homing (P-AXIS-00387)

To execute cnc controlled homing with drive support two control and status bits are necessary each. Its can be used the real time control and status bits in the drive control and status word or alternatively bits in the signal status and signal control word.

Variable name | Type | Permissible range | Axis type | Dimension
cnc_homing_rt_bit_layout | UNS16 | 1 < cnc_homing_rt_bit_layout <16 | T, R | ----

The follwing table shows the assignment from the values of P-AXIS-00387 to the possible bit combinations.

Value | Process data | Bit number | Significance | Ident
1 | Control word | Real time bit 1 (S-0-301) | Homing enable | S-0-407
 |  | Real time bit 2 (S-0-303) | Position setpoint referenced | S-0-404
 | Status word | Real time bit 1 (S-0-305) | Position marker pulse registered | S-0-408
 |  | Real time bit 2 (S-0-307) | Actual value referenced | S-0-403
2 | Signal control word | Bit 0 (S-0-27[0]) | Homing enable | S-0-407
 |  | Bit 1 (S-0-27[1]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 0 (S-0-26[0]) | Position marker pulse registered | S-0-408
 |  | Bit 1 (S-0-26[1]) | Actual value referenced | S-0-403
3 | Signal control word | Bit 1 (S-0-27[1]) | Homing enable | S-0-407
 |  | Bit 2 (S-0-27[2]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 1 (S-0-26[1]) | Position marker pulse registered | S-0-408
 |  | Bit 2 (S-0-26[2]) | Actual value referenced | S-0-403
4 | Signal control word | Bit 2 (S-0-27[2]) | Homing enable | S-0-407
 |  | Bit 3 (S-0-27[3]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 2 (S-0-26[2]) | Position marker pulse registered | S-0-408
 |  | Bit 3 (S-0-26[3]) | Actual value referenced | S-0-403
5 | Signal control word | Bit 3 (S-0-27[3]) | Homing enable | S-0-407
 |  | Bit 4 (S-0-27[4]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 3 (S-0-26[3]) | Position marker pulse registered | S-0-408
 |  | Bit 4 (S-0-26[4]) | Actual value referenced | S-0-403
6 | Signal control word | Bit 4 (S-0-27[4]) | Homing enable | S-0-407
 |  | Bit 5 (S-0-27[5]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 4 (S-0-26[4]) | Position marker pulse registered | S-0-408
 |  | Bit 5 (S-0-26[5]) | Actual value referenced | S-0-403
7 | Signal control word | Bit 5 (S-0-27[5]) | Homing enable | S-0-407
 |  | Bit 6 (S-0-27[6]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 5 (S-0-26[5]) | Position marker pulse registered | S-0-408
 |  | Bit 6 (S-0-26[6]) | Actual value referenced | S-0-403
8 | Signal control word | Bit 6 (S-0-27[6]) | Homing enable | S-0-407
 |  | Bit 7 (S-0-27[7]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 6 (S-0-26[6]) | Position marker pulse registered | S-0-408
 |  | Bit 7 (S-0-26[7]) | Actual value referenced | S-0-403
9 | Signal control word | Bit 7 (S-0-27[7]) | Homing enable | S-0-407
 |  | Bit 8 (S-0-27[8]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 7 (S-0-26[7]) | Position marker pulse registered | S-0-408
 |  | Bit 8 (S-0-26[8]) | Actual value referenced | S-0-403
10 | Signal control word | Bit 8 (S-0-27[8]) | Homing enable | S-0-407
 |  | Bit 9 (S-0-27[9]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 8 (S-0-26[8]) | Position marker pulse registered | S-0-408
 |  | Bit 9 (S-0-26[9]) | Actual value referenced | S-0-403
11 | Signal control word | Bit 9 (S-0-27[9]) | Homing enable | S-0-407
 |  | Bit 10 (S-0-27[10]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 9 (S-0-26[9]) | Position marker pulse registered | S-0-408
 |  | Bit 10 (S-0-26[10]) | Actual value referenced | S-0-403
12 | Signal control word | Bit 10 (S-0-27[10]) | Homing enable | S-0-407
 |  | Bit 11 (S-0-27[11]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 10 (S-0-26[10]) | Position marker pulse registered | S-0-408
 |  | Bit 11 (S-0-26[11]) | Actual value referenced | S-0-403
13 | Signal control word | Bit 11 (S-0-27[11]) | Homing enable | S-0-407
 |  | Bit 12 (S-0-27[1]2) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 11 (S-0-26[11]) | Position marker pulse registered | S-0-408
 |  | Bit 12 (S-0-26[1]2) | Actual value referenced | S-0-403
14 | Signal control word | Bit 12 (S-0-27[12]) | Homing enable | S-0-407
 |  | Bit 13 (S-0-27[13]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 12 (S-0-26[12]) | Position marker pulse registered | S-0-408
 |  | Bit 13 (S-0-26[13]) | Actual value referenced | S-0-403
15 | Signal control word | Bit 13 (S-0-27[13]) | Homing enable | S-0-407
 |  | Bit 14 (S-0-27[1]4) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 13 (S-0-26[13]) | Position marker pulse registered | S-0-408
 |  | Bit 14 (S-0-26[14]) | Actual value referenced | S-0-403
16 | Signal control word | Bit 14 (S-0-27[14]) | Homing enable | S-0-407
 |  | Bit 15 (S-0-27[15]) | Position setpoint referenced | S-0-404
 | Signal status word | Bit 14 (S-0-26[14]) | Position marker pulse registered | S-0-408
 |  | Bit 15 (S-0-26[15]) | Actual value referenced | S-0-403

When the status and control bits are transfered in the signal status and control words, these have to be configured in the cyclic process data, otherwise an error message with error id. 70295 will be output.


Master data telegram (antr.sercos.mdt[i].*)

Variable name | Type | Permissible range | Axis type | Dimension
mdt_id[i] | UNS16 | 0 < mdt_id[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 ... [MAX_ID_ANZ - 1]

Value MAX_ID_ANZ | Significance
8 | Telegraph size for SERCOS-Telegraphs

More:

button MDT-Ident number (P-AXIS-00090)

button Length of ID (P-AXIS-00088)

button Reference to NC-internal characteristics (P-AXIS-00132)


MDT-Ident number (P-AXIS-00090)

With the parameter ident_nr the SERCOS-Ident number of telegram entry is defined. The sequence in MDT-telegramm is defined.

Variable name | Type | Permissible range | Axis type | Dimension
ident_nr | UNS16 | According to SERCOS-specification and extensions | T, R | ----


Length of ID (P-AXIS-00088)

Variable name | Type | Permissible range | Axis type | Dimension
ident_len | UNS08 |  | T, R | Number of bytes


Reference to NC-internal characteristics (P-AXIS-00132)

With the variable nc_ref the SERCOS-Ident number is referenced to NC-internal sense. Currently the following references are supported:

Variable name | Type | Permissible range | Axis type | Dimension
nc_ref | ISG_CHAR | See strings at following table | T, R | ----

String | Significance
LAGESOLL_WERT | Command value absolute position
VB_WERT | Command value velocity
A_SOLL_WERT | Command value acceleration
MOMENT_SOLL_WERT | Command value torque
BSPLINE_VB_KOEFFIZIENT | Fine interpolation Bspline coeff. 1
BSPLINE_A_KOEFFIZIENT | Fine interpolation Bspline coeff. 2
BSPLINE_R_KOEFFIZIENT | Fine interpolation Bspline coeff. 3
LR_OUT_1_SGN32 | Binary Output data 1
LR_OUT_2_SGN32 | Binary Output data 2
LR_OUT_3_SGN32 | Binary Output data 3
LR_OUT_4_SGN32 | Binary Output data 4


Drive telegram type 7 (antr.sercos.at[i].*)

With this parameter the konfigurable telegram type number 7 of drive is defined (see [SERC-S2//Drive telegram AT]).

Variable name | Type | Permissible range | Axis type | Dimension
at_id[i] | UNS16 | 0 < at_id[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 ... [MAX_ID_ANZ - 1]

Value MAX_ID_ANZ | Significance
8 | Size of SERCOS-telegram

More:

button AT-Ident number (P-AXIS-00089)

button Length of ID (P-AXIS-00087)

button Reference to NC-internal characteristics (P-AXIS-00131)


AT-Ident number (P-AXIS-00089)

With the parameter ident_nr the SERCOS-Ident number of telegram entry is defined.

Variable name | Type | Permissible range | Axis type | Dimension
ident_nr | UNS16 | Depending on drives | T, R | ----


Length of ID (P-AXIS-00087)

Variable name | Type | Permissible range | Axis type | Dimension
ident_len | UNS08 | Defined with ident number | T, R | Number of bytes


Reference to NC-internal characteristics (P-AXIS-00131)

With the variable nc_ref the SERCOS-Ident number is referenced to NC-internal sense. Currently the following references are supported:

Variable name | Type | Permissible range | Axis type | Dimension
nc_ref | ISG_CHAR | See strings at following table | T, R | ----

String | Significance
LAGEIST_WERT | Actual value absolute position
STROMIST_WERT | Actual value current
VB_IST_WERT | Actual value velocity
A_IST_WERT | Actual value acceleration
RUCK_IST_WERT | Actual value jerk
MOMENT_IST_WERT | Actual value torque
SCHLEPPABSTAND | Position lag
MESSWERT1 | Measurement value 1
MESSWERT2 | Measurement value 2
MESSWERT_STATUS | Measurement value status
FEHLER_1 | Error 1
FEHLER_2 | Error 2
FEHLER_3 | Error 3
LR_IN_1_SGN32 | Binary Input data 1
LR_IN_2_SGN32 | Binary Input data 2
LR_IN_3_SGN32 | Binary Input data 3
LR_IN_4_SGN32 | Binary Input data 4


Index of ID (antr.sercos.ident[i].*)

At start-up of CNC it is possible to transfer SERCOS-Idents to SERCOS-drives. This Idents and their characteristics can be defined in the axis parameter list.

Variable name | Type | Permissible range | Axis type | Dimension
ident[i] | UNS16 | 0 < ident[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 ... [MAX_MDS_IDENT - 1]

Value MAX_MDS_IDENT | Significance
1 | Maximum permissible number of Ident-entries

More:

button SERCOS-Ident-Nr (P-AXIS-00134)

button Length of ID (P-AXIS-00100)

button Modifier of ID (P-AXIS-00119)

button Phase for ID-processing (P-AXIS-00150)

button Type of ID (P-AXIS-00203)

button Value of ID (P-AXIS-00235)

button ID as List (P-AXIS-00102)

button Filename (P-AXIS-00068)


SERCOS-Ident-Nr (P-AXIS-00134)

Number of SERCOS IDs, see also [SERC-S2]

Example: 32 = S-0-0032

Variable name | Type | Permissible range | Axis type | Dimension
nr | UNS16 | partly depending on drives | T, R | ----


Length of ID (P-AXIS-00100)

Variable name | Type | Permissible range | Axis type | Dimension
laenge | UNS08 | 1, 2, 4 | T, R | Number of bytes


Modifier of ID (P-AXIS-00119)

Variable name | Type | Permissible range | Axis type | Dimension
mod | UNS08 | 0, 2 | T, R | ----

Value | Action
0 | No action
2 | Write Ident to drive


Phase for ID-processing (P-AXIS-00150)

The phase in which the ID-Nr has to be processed is defined with this entry. The following values are supported.

Variable name | Type | Permissible range | Axis type | Dimension
phase | UNS16 | 2, 4 | T, R | ----

2 | Processing of ident only in phase 2
4 | Processing of ident only in phase 4


Type of ID (P-AXIS-00203)

The type of ident value is defined, depending on this type the Identvalues has to be tranferred to different variables. Currently the following types are supported:

Variable name | Type | Permissible range | Axis type | Dimension
type | UNS08 | 1, 2, 4 | T, R | ----

1 | Ident-value has constant length | ident[].wert
2 | Ident-value has variable length | ident[].liste
4 | Ident-value is external List | Ident[].file


Value of ID (P-AXIS-00235)

If ident[].typ = 1 the value of ID is entered in the parameter wert.

Variable name | Type | Permissible range | Axis type | Dimension
wert | SGN32 | MIN(SGN32) < wert < MAX(SGN32) | T, R | ----


ID as List (P-AXIS-00102)

If ident[].typ = 2 is set, here the list string is entered.

Variable name | Type | Permissible range | Axis type | Dimension
liste | ISG_CHAR | 0 - 64 characters | T, R | ----


Filename (P-AXIS-00068)

If ident[].typ = 4 the name of file to read has to be entered in the parameter file.

Variable name | Type | Permissible range | Axis type | Dimension
file | ISG_CHAR | 0 - 54 characters | T, R | ----


Time slot parameters (antr.sercos.times.*)

In this structure the time slot parameters of the SERCOS-ring can be defined (see [SERC-S2]). If the parameter P-AXIS-00063 (eval_calc_slot) is set, the time slot parameters are used directly and are not read and calculated out of the drive.

More:

button Transmission moment of drive telegram (P-AXIS-00180)

button Transmission moment of MDT (P-AXIS-00182)

button Validation moment for command values (P-AXIS-00183)

button Latch moment of actual values (P-AXIS-00184)

button Earliest transmission moment for drive telegrams (P-AXIS-00181)

button Switch over moment between transmission and receiption (P-AXIS-00187)

button Latch moment of actual values (P-AXIS-00185)

button Recovery time in slave (P-AXIS-00193)

button Processing time for command values (P-AXIS-00192)

button Slave identfier (P-AXIS-00173)

button Transmitter recovery time (P-AXIS-00186)


Transmission moment of drive telegram (P-AXIS-00180)

Variable name | Type | Permissible range | Axis type | Dimension
t1 | SGN16 | MIN(SGN16) < t1 < MAX(SGN16) | T, R | μ s


Transmission moment of MDT (P-AXIS-00182)

Variable name | Type | Permissible range | Axis type | Dimension
t2 | SGN16 | MIN(SGN16) < t2 < MAX(SGN16) | T, R | μ s


Validation moment for command values (P-AXIS-00183)

Variable name | Type | Permissible range | Axis type | Dimension
t3 | SGN16 | MIN(SGN16) < t3 < MAX(SGN16) | T, R | μ s


Latch moment of actual values (P-AXIS-00184)

Variable name | Type | Permissible range | Axis type | Dimension
t4 | SGN16 | MIN(SGN16) < t4 < MAX(SGN16) | T, R | μ s


Earliest transmission moment for drive telegrams (P-AXIS-00181)

Variable name | Type | Permissible range | Axis type | Dimension
t1min | SGN16 | MIN(SGN16) < t1min < MAX(SGN16) | T, R | μ s


Switch over moment between transmission and receiption (P-AXIS-00187)

Variable name | Type | Permissible range | Axis type | Dimension
tatmt | SGN16 | MIN(SGN16) < tatmt < MAX(SGN16) | T, R | μ s


Latch moment of actual values (P-AXIS-00185)

Earliest latch moment for actual values.

Variable name | Type | Permissible range | Axis type | Dimension
t4min | SGN16 | MIN(SGN16) < t4min < MAX(SGN16) | T, R | μ s


Recovery time in slave (P-AXIS-00193)

Variable name | Type | Permissible range | Axis type | Dimension
tmtsy | SGN16 | MIN(SGN16) < tmrsy < MAX(SGN16) | T, R | μ s


Processing time for command values (P-AXIS-00192)

Variable name | Type | Permissible range | Axis type | Dimension
tmtsg | SGN16 | MIN(SGN16) < tmtsg < MAX(SGN16) | T, R | μ s


Slave identfier (P-AXIS-00173)

Variable name | Type | Permissible range | Axis type | Dimension
tlkn | SGN16 | MIN(SGN16) < slkn < MAX(SGN16) | T, R | μ s


Transmitter recovery time (P-AXIS-00186)

Transmitter recovery time of slaves with more than one drive.

Variable name | Type | Permissible range | Axis type | Dimension
tatat | SGN16 | MIN(SGN16) < tatat < MAX(SGN16) | T, R | μ s


Drive type PROFIdrive (antr.profibus.*)

More:

button Calculation of the position value (P-AXIS-00065)

button Slave-life sign limit (P-AXIS-00162)

button Activation of velocity command interface (P-AXIS-00260)

button Reading absolute position from drive (P-AXIS-00315)

button Shift factor for G1_XIST1 (P-AXIS-00316)

button Shift factor for absolute position in G1_XIST2 (P-AXIS-00317)

button Calculation mode for actual position (P-AXIS-00318)

button Offset to the read absolute position of the drive (P-AXIS-00341)

button Automatic follow up mode for disabled drive (P-AXIS-00352)

button Number of detectable motor revolutions (P-AXIS-00336)

button Velocity scaling factor (P-AXIS-00379)


Calculation of the position value (P-AXIS-00065)

This parameter is used to calculate the internal used actual position value from the value which is transfered over the bus. It is the exponent of 2 throug which the bus value is divieded.

Example: feinaufloesung = 4: Position value is divided by 24 = 16.

See also documentation of PROFIDRIVE parameters P1042 ... P1045.

Variable name | Type | Permissible range | Axis type | Dimension
feinaufloesung | UNS16 | 0 < feinaufloesung < PB_FEINAUFLOES_MAX | T, R | ----


Slave-life sign limit (P-AXIS-00162)

Limit to monitor the slave life sign. In the PROFIDRIVE telegram a life sign is transmitted, which is implemented as a per cycle incremented counter. If the counter value from the telegram is not equal to the value expected from the NC-kernel an internal error counter is incremented by 10. Everytime the transmitted counter value and the expected value are equal the error counter is decremented by one. If the error counter exceeds s_ls_limit an error message with number P-ERR-70106 (Life sign from PROFIBUS slave missing) is given out.

See also PROFIDRIVE Profil Antriebstechnik, Chapter 6.3 Nutzdatensicherung).

Variable name | Type | Permissible range | Axis type | Dimension
s_ls_limit | UNS16 | 0 < s_ls_limit < MAX(UNS16) | T, R | ----


Activation of velocity command interface (P-AXIS-00260)

For PROFIDRIVES position control can be achieved by transmitting the position lag to the drive (telegram 5) as well as by transmitting a velocity command (telegram 3)

By default if telgram 3 is used the axis is operated not in a closed position control loop, but only the calculated command velocity of the interpolator is transmitted to the drive. In order to operate the drive in a closed position control loop parameter P-AXIS-00260 must be set to 1.

Variable name | Type | Permissible range | Axis type | Dimension
velocity_command_control | BOOLEAN | 0 / 1 | T, R | ----


Reading absolute position from drive (P-AXIS-00315)

At control startup an absolute position stored in PROFIDRIVE drives can be read from the drive and be taken over as control internal actual position. After successful reading of the absolute position the axis is considered as homed. This functionality is controlled by P-AXIS-00315.

Absolute positions are read from the drive

· At control startup

· After resetting an encoder error

· When functionality "parked encoder" is deactivated

Variable name | Type | Permissible range | Axis type | Dimension
read_abs_pos_from_drive | BOOLEAN | 0 / 1 | T, R | ----


Shift factor for G1_XIST1 (P-AXIS-00316)

If P-AXIS-00315 is set, this parameter has to be set to the shift factor for GX_XIST1. It has to be entered the value of drive parameter P1042.

Variable name | Type | Permissible range | Axis type | Dimension
p1042 | SGN16 | 0 24 | T, R | ----


Shift factor for absolute position in G1_XIST2 (P-AXIS-00317)

If P-AXIS-00315 is set, this parameter has to be set to the shift factor for the absolute position in GX_XIST1. It has to be entered the value of drive parameter P1043.

Variable name | Type | Permissible range | Axis type | Dimension
p1043 | SGN16 | 0 24 | T, R | ----


Calculation mode for actual position (P-AXIS-00318)

If P-AXIS-00315 is set in this parameter the calculation mode for the actual position has to be set. There are two modes.

Variable name | Type | Permissible range | Axis type | Dimension
read_abs_pos_mode | ISG_CHAR | DRIVE_POS, COMBINED | T, R | ----

String (Mode) | Significance
DRIVE_POS | The absolute position transfered from the drive is used as actual position. If necessary a format conversion is made. (Default).
COMBINED | Bits 31 ... p1042 are taken from the drives actual position, bits 0 p1042 1 are taken from the position value in GX_XIST1.

Calculation mode COMBINED may only be used if the motor encoder delivers an absolute position within one motor revolution.

This property of the encoder can be determined with the value of drive parameter P979 subindex 1. If bit 1 (bitmask 0x02) is set the encoder delivers an absolute position within one motor revolution.

See also the drive manufacturers documentation!


Offset to the read absolute position of the drive (P-AXIS-00341)

During each reading of the absolute position of the drive (s. P-AXIS-00315), the homing position in the control is shifted by the offset in P-AXIS-00341 in relation to the drive position. Thus e.g. the zero point of the axis can be specified any way. The resulting homing position in the control is computed as following:

Homing position (axis position) = Absolute position from drive + P-AXIS-00341

Variable name | Type | Permissible range | Axis type | Dimension
read_abs_pos_offset | SGN32 | MIN(SGN32) < read_abs_pos_offset < MAX(SGN32) | T | 0,1 µm


Automatic follow up mode for disabled drive (P-AXIS-00352)

By default an axis is in follow up mode if it is not ready for operation. This behaviour can be switched off if it is not required. If this parameter is set the axis goes to to tracking mode only under the following conditions:

· The axis is in error.

· The slave live counter of the axis does not work.

· Follow up operation is set via the HLI (see [HLI]).

Variable name | Type | Permissible range | Axis type | Dimension
disable_auto_tracking | BOOLEAN | 0 / 1 | T, R | ----


Number of detectable motor revolutions (P-AXIS-00336)

With this parameter the number of revolutions that an absolute encoder can determine is set. The traversing range of the axis which is defined by the software limit switches (P-AXIS-00177/P-AXIS-00178) has to be less than the value range of the absolute encoder, because otherwise the mapping of the encoder position to the mechanical axis positon is not unique.

Setting this value is also necessary if the absolute encoder overflow can occur within the traversing range of the axis. In order to do an automatical compensation of such an overflow, the value range of the absolute encoder, which is defined by P-AXIS-00092 * P-AXIS-00336, has to be known.

If the traversing range of the axis is bigger than the unique value range of the absolute encoder error message P-ERR-70297 is output.

Variable name | Type | Permissible range | Axis type | Dimension
abs_pos_revolutions | BOOLEAN | 0 / 1 | T, R | ----

This parameter is only evaluated when functionality reading of absolute position (see P-AXIS-00315 ) is active.

Setting P-AXIS-00336 to zero suppresses the check of the traversing range of the axis against the encoder range and also the automatic correction on an encoder overflow.

If an absolute encoder overflow can occur within the traversing range of the axis P-AXIS-00336 has to be set in order to enable an automatic correction of the encoder overflow. Otherwise the axis position can be set wrong dependent on the mechanical axis position where the absolute position is read.

The value of P-AXIS-00326 can be found in the corresponding drive documentation, alternatively it can be read from the drive (Parameter P979, subindex 5).


Velocity scaling factor (P-AXIS-00379)

With this parameter the velocity scaling factor set up in the drive is supplied for the CNC.

This value can be read with a drive setup tool from the drive and has to be entered in this parameter.

For SIMODRIVE 611 drives it is the parameter P880, for SINAMICS drives it is parameter P2000.

Variable name | Type | Permissible range | Axis type | Dimension
drive_velocity_base_value | UNS32 | 1 ... MAX(UNS32) | T, R |


Drive type CANopen (antr.canopen.*)

More:

button Number of probing input (EtherCAT) (P-AXIS-00295)

button Number of digital input for latching zero pulse (P-AXIS-00364)


Number of probing input (EtherCAT) (P-AXIS-00295)

Number of the drives digital input which is used as probing input. The used input has to be also set up as probing input in the drive. See also [FCT-C4].

Variable name | Type | Permissible range | Axis type | Dimension
probing_input_number | UNS16 | 1, 2 | T, R | ----

From CNC version V2.10.1505.26 please use alternatively the parameter P-AXIS-00430. It is generally valid for all drive types.


Number of digital input for latching zero pulse (P-AXIS-00364)

This parameter defines which digital input is used as latch input for the zero pulse at homing.

If an invalid value is entered the value is corrrected to 1 and an error mesage with error id. P-ERR-110485 is output.

Variable name | Type | Permissible range | Axis type | Dimension
zero_pulse_input_number | UNS16 | 1, 2 | T, R | ----


Drive type DSE (antr.dse.*)

More:

button Brake control


Brake control

Process during releasing the brake:

Process during applying the brake:

More:

button Time delay for brake opening (P-AXIS-00373)

button Brake opening time (P-AXIS-00374)

button Brake premature time (P-AXIS-00375)


Time delay for brake opening (P-AXIS-00373)

By this parameter the time delay is defined, after which the brake is opening during control activation (e.g. via SPS by MC_Power Enable).

Variable name | Type | Permissible range | Axis type | Dimension
brake_open_delay_time | SGN32 | 0 MAX(SGN32) | T, R | µs


Brake opening time (P-AXIS-00374)

This parameter defines the time which is required for the mechanical opening of the brake. After this time the drive is ready for the command position input.

Variable name | Type | Permissible range | Axis type | Dimension
brake_open_time | SGN32 | 0 MAX(SGN32) | T, R | µs


Brake premature time (P-AXIS-00375)

By this parameter the time is defined, which is required for the mechanical closing of the brake during control deactivation (e.g. via SPS by MC_Power Disable).After this time the controller enabling is deselected.

Variable name | Type | Permissible range | Axis type | Dimension
brake_close_premature_time | SGN32 | 0 MAX(SGN32) | T, R | µs

Note for a vertical axis, that the brake premature time is not to short, otherwise there is a danger, that the axis is bagging down.


Parameters for drive functions (antr.function[i].*)

When the functionality drive independent switching of drive functions is used ([FCT-A10]) by the following parameters it is specified, how the function in the drive, requested by the #DRIVE command ([PROG]), is released.

At the moment this parameter is only supported for the drive types SERCOS and Profidrive.

Variable name | Type | Permissible range | Axis type | Dimension
function[i] | UNS16 | 0 < function[i] < MAX(UNS16) | ---- | ----
i | UNS16 | 0 [DRIVE_FUNC_MAX_DEF - 1]

Wert DRIVE_FUNC_MAX_DEF | Significance
application-dependent | Number of drive functions

More:

button Name of drive functions in NC program (P-AXIS-00396)

button Type of communication with drive controller (P-AXIS-00397)

button Name of the parameter resp. telegram element (P-AXIS00398)

button Data type of the data to be transmitted (P-AXIS-00399)

button Value of data element after start-up of control (P-AXIS-00400)

button Scaling of the data to be transmitted (P-AXIS-00401)

button Minimum permissible output value (P-AXIS-00408)

button Maximum permissible output value (P-AXIS-00409)

button Writing of drive values by bit mask (P-AXIS-00429)


Name of drive functions in NC program (P-AXIS-00396)

This parameter defines the name, by which the drive function is activated via the key word KEY in the #DRIVE command in NC program ([PROG]).

Variable name | Type | Permissible range | Axis type | Dimension
id | ISG_CHAR | String with maximum 29 characters | ---- | ----

Example:

For a drive function the ID "TORQLIMIT" is defined.

antr.function[0].id TORQLIMIT

In NC program this drive function then can be programmed in the way

#DRIVE WR SYN [AX=... KEY=TORQLIMIT VAL= ]


Type of communication with drive controller (P-AXIS-00397)

This parameter defines the type of communication, by which the function in the drive is addressed.

Variable name | Type | Permissible range | Axis type | Dimension
commu | ISG_CHAR | "CYCLIC" | "ACYCLIC" | "IGNORE" | ---- | ----

String | Significance
CYCLIC | The drive telegram is activated by a telegram element, configurated in the cyclic drive telegram. The name of the telegram element is defined in P-AXIS-00398 .
ACYCLIC | The drive function is activated by writing a drive parameter via the parameter channel. The name of the telegram element is defined in P-AXIS-00398 .
IGNORE | No value is transmitted to the drive.


Name of the parameter resp. telegram element (P-AXIS00398)

This parameter defines, which drive parameter respectively which telegram element of the cyclic telegram is to be used for the activation of the drive function.

Variable name | Type | Permissible range | Axis type | Dimension
wr_ident[j] | ISG_CHAR | String with maximum 29 characters | ---- | ----

Dependent on the drive function to be activated, maximum 2 idents (j=0 / 1) can be set.

Example:

For a SERCOS drive the torque limit is defined by writing the parameter S-0-92:

antr.function[0].wr_ident[0] S-0-92


Data type of the data to be transmitted (P-AXIS-00399)

This parameter defines the data type of the drive parameter respectively of the telegram element of the cyclic telegram, which is used for the activation of the drive function.

Variable name | Type | Permissible range | Axis type | Dimension
data_type | ISG_CHAR | see strings below | ---- | ----

String | Significance
SGN16 | Signed 16 bit integer.
SGN32 | Signed 32 bit integer.
BITARRAY_16 | Bit array 16 bit.
BITARRAY_32 | Bit array 32 bit.


Value of data element after start-up of control (P-AXIS-00400)

This parameter defines the value of the cyclic telegram element after startup of the control.

Variable name | Type | Permissible range | Axis type | Dimension
startup_value | SGN32 | If P-AXIS-00399 = "SGN16": MIN(SGN16) < startup_value < MAX(SGN16) If P-AXIS-00399 = "SGN32": MIN(SGN32) < startup_value < MAX(SGN32) | ---- | ----

This parameter is only used, if P-AXIS-00397 has the value CYCLIC.


Scaling of the data to be transmitted (P-AXIS-00401)

This parameter defines the scaling of the value that has to be transmitted to the drive.

Variable name | Type | Permissible range | Axis type | Dimension
scaling_type | ISG_CHAR | "UNSCALED" | "TORQUE_DRIVE_SIDE" | ---- | ----

String | Significance
UNSCALED | Unscaled output of the value programmed in the NC-Program; scaling factor = 1 (Default).
TORQUE_DRIVE_SIDE | The progammed value is a torque value related to the motor shaft and is scaled to the drives torque format with the parameters P-AXIS-00325 , P-AXIS-00326 and P-AXIS-00392 . The scaling factor does not change during gear change. Scaling factor f is:


Minimum permissible output value (P-AXIS-00408)

By this parameter the minimum permissible output value can be defined. If the programmed value of the #DRIVE command goes below the minimum value, the drive output value is set automatically on the minimum value. Thereby no error message is created.

If P-AXIS-00408 is smaller than the smallest possible output value of the data type, defined by P-AXIS-00399, the error message P-ERR-70384 is output and the value of P-AXIS-00408 is corrected.

If P-AXIS-00409 is configured, P-AXIS-00409 has to be greater than P-AXIS-00408, otherwise the warning P-ERR-70385 is output and the values are exchanged.

If this parameter is not configured, no limitation is active.

Variable name | Type | Permissible range | Axis type | Dimension
min_limit | REAL64 | Depends on P-AXIS-00399 and P-AXIS-00401 | ---- | ----


Maximum permissible output value (P-AXIS-00409)

By this parameter the maximum permissible output value can be defined. If the programmed value of the #DRIVE command exceeds the maximum value, the drive output value is set automatically on the maximum value. Thereby no error message is created.

If P-AXIS-00409 is greater than the greatest possible output value of the data type, defined by P-AXIS-00399, the error message P-ERR-70383 is output and the value of P-AXIS-00409 is corrected.

If P-AXIS-00408 is configured, P-AXIS-00408 has to be smaller than P-AXIS-00409, otherwise the warning P-ERR-70385 is output and the minimum and maximum values are exchanged.

If this parameter is not configured, no limitation is active.

Variable name | Type | Permissible range | Axis type | Dimension
max_limit | REAL64 | Depends on P-AXIS-00399 and P-AXIS-00401 | ---- | ----


Writing of drive values by bit mask (P-AXIS-00429)

With this parameter the bitmask that has to be used if bitwise writing is defined.

If the value programmed in the #DRIVE-command is greater than zero the bits defined in the bitmask are set, for a programmed value of zero the bits are reset.

This parameter is used it the data type set up only if P-AXIS-00399 has either the value BITARRAY_16 or BITARRAY_32.

The value of this parameter must be smaller than or equal to the maximum value defined by setting P-AXIS-00399, otherwise error message P-ERR-70403 is output.

Variable name | Type | Permissible range | Axis type | Dimension
mask | UNS32 | Depends on P-AXIS-00399 : BITARRAY_16: - Bit mask 16 Bit - 0 ... MAX(UNS16) BITARRAY_32: - Bit mask 32 Bit - 0 ... MAX(UNS32) | ---- | ----


Parameters for manual operation (handbetrieb.*)

In this structurer there exists the possibility to define the parameters for manual operation. In this structure the axis-specific manual operation parameters are put together. These parameters should not be confused with the manual operation-specific parameters that are documented in [MANU].

The parameters described in this paragraph are independent of the set drive- and axis type.

Manual Operation is at the moment possible only for axes that are assigned to a path interpolator. The assignment of axes to the interpolator is done through channel parameters [CHAN].

More:

button Settings for default parameters (handbetrieb.default.*)

button Setting of offset limits

button Settings for handwheel (handbetrieb.hr.*)

button Settings for the continuous jog mode (handbetrieb.tipp.*)

button Settings for incremental jog mode (handbetrieb.jog.*)

button Manual operation with parallel interpolation (handbetrieb.ipo.*)

button Manual operation without parallel interpolation (handbetrieb.hb.*)


Settings for default parameters (handbetrieb.default.*)

More:

button Operation mode (P-AXIS-00139)

button Logical identifier of control element (P-AXIS-00046)


Operation mode (P-AXIS-00139)

Variable name | Type | Permissible range | Axis type | Dimension
operation_mode | UNS16 | 1, 2, 3 | T, R | ----

Value | Significance
1 | Handwheel
2 | Continuous (continuous movement until new command)
3 | Incremental (fixed path movement)


Logical identifier of control element (P-AXIS-00046)

Variable name | Type | Permissible range | Axis type | Dimension
control_element | UNS16 | 0< control_element < MAX(UNS16) | T, R | ----


Setting of offset limits

With these parameters it is possible to lay down the traverse range axis-specifically in manual operation. This traverse range is preset to the current interpolation position as relative offset. Hence the positive offset limit must be laid down to be larger than or equal to zero. Similarly, for negative offset limit, the condition less than or equal to zero holds good.

More:

button Positive Offset limit (P-AXIS-00138)

button Negative Offset limit (P-AXIS-00137)


Positive Offset limit (P-AXIS-00138)

Variable name | Type | Permissible range | Axis type | Dimension
offsetgrenze_pos | SGN32 | 0 < offsetgrenze_pos < MAX(SGN32) | T | 0.1 µm
 |  |  | R | 0.0001°

If both parameters offsetgrenze_neg and offsetgrenze_pos are set to 0 the offset monitoring is inactive!


Negative Offset limit (P-AXIS-00137)

Variable name | Type | Permissible range | Axis type | Dimension
offsetgrenze_neg | SGN32 | MIN(SGN32) < offsetgrenze_neg < 0 | T | 0.1 µm
 |  |  | R | 0.0001°

If both parameters offsetgrenze_neg and offsetgrenze_pos are set to 0 the offset monitoring is inactive!


Settings for handwheel (handbetrieb.hr.*)

In this structure the parameter for the operating mode "Handwheel" are defined.

More:

button Handwheel resolutions (P-AXIS-00025)

button Filter time constant (P-AXIS-00069)


Handwheel resolutions (P-AXIS-00025)

The Handwheel resolutions are expected in the unit [0.1µm/U] for linear axes or in the unit [0.0001°/U] for circular axes.

This axis-specific resolution for the operating mode Handwheel should not be confused with the handwheel specific resolution [MANU] .

Variable name | Type | Permissible range | Axis type | Dimension
aufl[i] | REAL64 | > 0 | T | 0.1 µm/U
 |  |  | R | 0.0001°/U
i | UNS16 | 0 ... [HR_AUFL_MAX - 1]

Value HR_AUFL_MAX | Significance
application-dependent | Count of resolution steps


Filter time constant (P-AXIS-00069)

For the handwheel increments read in, after multiplication with the handwheel resolution, a mean value formation is done via "filter_zeit" cycles.

Variable name | Type | Permissible range | Axis type | Dimension
filter_zeit | UNS32 | 0 < filter_zeit < MAX(UNS32) | T, R | Number of interpolation cycles


Settings for the continuous jog mode (handbetrieb.tipp.*)

In this structure the parameters for the operating mode "continuous jog" are defined.

More:

button Velocity for the continuous jog mode (P-AXIS-00077)

button Rapid mode velocity for continuous jog mode (P-AXIS-00210)


Velocity for the continuous jog mode (P-AXIS-00077)

The continuous jog velocities are expected in the unit [µm /s] for linear axes or in the unit [0.001/s] for circular axes.

Variable name | Type | Permissible range | Axis type | Dimension
geschw[i] | UNS32 | 0 < geschw[i] < P-AXIS-00212 | T | µm/s
 |  |  | R | 0.001 /s
i | UNS16 | 0 ... [TIPP_GESCHW_MAX - 1]

Value TIPP_GESCHW_MAX | Significance
application-dependent | Count of continuous jog velocitiy steps


Rapid mode velocity for continuous jog mode (P-AXIS-00210)

Variable name | Type | Permissible range | Axis type | Dimension
vb_eilgang | UNS32 | 0 < vb_eilgang < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Settings for incremental jog mode (handbetrieb.jog.*)

In this structure the parameters for the operating mode "incremental jog" are defined.

More:

button Jog incremental widths (P-AXIS-00232)

button Incremental jog velocities (P-AXIS-00076)


Jog incremental widths (P-AXIS-00232)

Jog incremental widths are expected in the unit [0.1µm] for linear axes or in the unit [0.0001°] for circular axes.

Variable name | Type | Permissible range | Axis type | Dimension
weg[i] | REAL64 | > 0 | T | 0.1 µm
 |  |  | R | 0.0001 °
i | UNS16 | 0 ... [JOG_WEG_GESCHW_MAX - 1]

Value JOG_WEG_GESCHW_MAX | Significance
application-dependent | Count of jog parameter steps


Incremental jog velocities (P-AXIS-00076)

The incremental jog velocities are expected in the unit [µm /s] for linear axes or in the unit [0.001°/s] for circular axes.

Variable name | Type | Permissible range | Axis type | Dimension
geschw[i] | UNS32 | 0 < geschw[i] < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s
i | UNS16 | 0 ... [JOG_WEG_GESCHW_MAX - 1]

Value JOG_WEG_GESCHW_MAX | Significance
application dependent | Count of Jog parameter steps


Manual operation with parallel interpolation (handbetrieb.ipo.*)

For manual operation with parallel interpolation, the permissible axis dynamics parameter are divided between manual operation and interpolation.

More:

button Velocity part of manual operation (P-AXIS-00083)

button Velocity part of interpolation (P-AXIS-00095)

button Acceleration part of manual operation (P-AXIS-00082)

button Acceleration part of interpolation (P-AXIS-00094)

button Position correction


Velocity part of manual operation (P-AXIS-00083)

Velocity part of manual operation at the permissible axis velocity is defined by the parameter "handbetrieb.ipo.hb_proz_v_max" .

Variable name | Type | Permissible range | Axis type | Dimension
hb_proz_v_max | UNS16 | 0 ... 100 | T, R | %


Velocity part of interpolation (P-AXIS-00095)

Velocity part of interpolation at the permissible axis velocity is defined by the parameter "handbetrieb.ipo.ipo_proz_v_max" .

Variable name | Type | Permissible range | Axis type | Dimension
ipo_proz_v_max | UNS16 | 0 ... 100 | T, R | %

P-AXIS-00083 (hb_proz_v_max) and P-AXIS-00095 (ipo_proz_v_max) together must be 100%.


Acceleration part of manual operation (P-AXIS-00082)

Acceleration part of manual operation at the permissible axis acceleration is defined by the parameter "handbetrieb.ipo.hb_proz_a_max".

Variable name | Type | Permissible range | Axis type | Dimension
hb_proz_a_max | UNS16 | 0 ... 100 | T, R | %


Acceleration part of interpolation (P-AXIS-00094)

The acceleration part of interpolation at permissible axis acceleration is defined by the parameter "handbetrieb.ipo.ipo_proz_a_max".

Variable name | Type | Permissible range | Axis type | Dimension
ipo_proz_a_max | UNS16 | 0 ... 100 | T, R | %

P-AXIS-00082 (hb_proz_a_max) and P-AXIS-00094 (ipo_proz_a_max) together must be 100%.


Position correction

In some applications the manual operation interface is used for position correction. So in general also the velocities and accelerations have to be set, which are bigger than the maximum limits. With the following parameters the setting of specific dynamic values for manual operation is possible.

More:

button Velocity during position correction (P-AXIS-00365)

button Acceleration during position correction (P-AXIS-00366)


Velocity during position correction (P-AXIS-00365)

The effective velocity of manual operation during the use in a position correction is defined by the parameter "handbetrieb.ipo.hb_v_max_track".

Variable name | Type | Permissible range | Axis type | Dimension
hb_v_max_track | UNS32 | 0 < hb_v_max_track < SLOPE_VB_MAX | T | µm/s
 |  |  | R | 0.001 ° /s

Value SLOPE_VB_MAX | Significance
application -dependent | Presetting of maximum axis velocity (Plausibility Limit)


Acceleration during position correction (P-AXIS-00366)

The effective acceleration of manual operation during the use in a position correction is defined by the parameter "handbetrieb.ipo.hb_a_max_track".

Variable name | Type | Permissible range | Axis type | Dimension
hb_a_max_track | UNS32 | 0 < hb_a_max_track < SLOPE_BESCHL_MAX | T | mm/s2
 |  |  | R | °/s2

Value SLOPE_BESCHL_MAX | Significance
application -dependent | Presetting of maximum axis acceleration (Plausibility Limit)

There is no limitation of the parameter values on the permissible maximum velocities P-AXIS-00212 and accelerations P-AXIS-00008 .


Manual operation without parallel interpolation (handbetrieb.hb.*)

In this structure for manual operation without parallel interpolation, the permissible axis dynamics parameter are defined.

More:

button Maximum velocity (P-AXIS-00213)

button Maximum acceleration (P-AXIS-00009)

button Feedhold acceleration (P-AXIS-00259)

button Ramp time during maximum acceleration (P-AXIS-00359)

button Ramp time at feedhold (P-AXIS-00360)


Maximum velocity (P-AXIS-00213)

Maximum velocity for the manual operation is defined with this parameter.

Variable name | Type | Permissible range | Axis type | Dimension
vb_max | UNS32 | 0 < vb_max < P-AXIS-00212 | T | µm/s
 |  |  | R | 0.001 °/s


Maximum acceleration (P-AXIS-00009)

The maximum acceleration for manual operation is defined with this parameter.

Variable name | Type | Permissible range | Axis type | Dimension
a_max | UNS32 | 0 < a_max < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2


Feedhold acceleration (P-AXIS-00259)

The acceleration with active feedhold for manual operation is defined with this parameter.

Variable name | Type | Permissible range | Axis type | Dimension
a_feedh | UNS32 | 0 < a_feedh < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2


Ramp time during maximum acceleration (P-AXIS-00359)

The ramp time in basic mode for manual operation is defined with this parameter.

Variable name | Type | Permissible range | Axis type | Dimension
tr | UNS32 | P-AXIS-00201 < tr < MAX(UNS32) | T, R | µs


Ramp time at feedhold (P-AXIS-00360)

The ramp time during active feedhold for manual operation is defined with this parameter.

Variable name | Type | Permissible range | Axis type | Dimension
tr_feedh | UNS32 | P-AXIS-00201 < tr_feedh < MAX(UNS32) | T, R | µs

P-AXIS-00259 and P-AXIS-00360 are used only, if channel parameter P-CHAN-00097 is set to 1.


Parameters for measurement simulation (meas_simu.*)

In this structure the axis-specific measurement simulation parameters are put together.

More:

button Measurement methods (P-AXIS-00112)

button Setting of the measurement position for simulation


Measurement methods (P-AXIS-00112)

With this parameter the method which is used for generation of measurement signal is defined.

Variable name | Type | Permissible range | Axis type | Dimension
meas_simu_mode | SGN32 | 1, 2, 3 | T, R | ----

1 | Measurement signal is generated after reaching or crossing a predefined axis position. (interpretation mode : axis position)
2 | Measurement signal is generated after reaching or crossing a predefined axis position with consideration of distance to target position. (interpretation mode : part distance)
3 | Measurement signal is generated depending after defined number of CNC cycles. (interpretation mode : counter reading)


Setting of the measurement position for simulation

More:

button Setting of Parameter 1 (P-AXIS-00145)

button Parameter 2 (P-AXIS-00146)

button Parameter 3 (P-AXIS-00147)

button Parameter 4 (P-AXIS-00148)

button Parameter 5 (P-AXIS-00149)


Setting of Parameter 1 (P-AXIS-00145)

The measurement simulation requires according to the selected method meas_simu_mode a predefined value (axis position, part distance, counter value) to check the condition for generating a measurement signal.

This predefined value is stored in parameter1 in the corresponding dimension.

Variable name | Type | Permissible range | Axis type | Dimension
parameter1 | SGN32 | offsetgrenze_pos < MAX(SGN32) | T, R | ----

Dimension of parameter1 depends on selected mode:

meas_simu_mode -value | 1 | 2 | 3
parameter1 -Dimension | 0.1 μ m respect. 0,0001° | ---- | %


Parameter 2 (P-AXIS-00146)

Parameter currently not used.

Variable name | Type | Permissible range | Axis type | Dimension
parameter2 | SGN32 |  | ---- | ----


Parameter 3 (P-AXIS-00147)

Parameter currently not used.

Variable name | Type | Permissible range | Axis type | Dimension
parameter3 | SGN32 |  | ---- | ----


Parameter 4 (P-AXIS-00148)

Parameter currently not used.

Variable name | Type | Permissible range | Axis type | Dimension
parameter4 | SGN32 |  | ---- | ----


Parameter 5 (P-AXIS-00149)

Parameter currently not used.

Variable name | Type | Permissible range | Axis type | Dimension
parameter5 | SGN32 |  | ---- | ----


Parameters for axis specific filter- function (filter[i].*)

In this structure the parameters for the axis specific filters are defined.

Variable name | Type | Permisible range | Axis type | Dimension
filter[i] | UNS16 | 0 < filter[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 [AXIS_FILTER_MAX - 1]

Value AXIS_FILTER_MAX | Significance
application-dependent | Number of different filters

More:

button Filter - order (P-AXIS-00140)

button Filter - characteristic (P-AXIS-00153)

button Filter - type (P-AXIS-00204)

button Filter - parameter (P-AXIS-00067)

button Filter - parameter (P-AXIS-00080)

button Filter - parameter (P-AXIS-00164)

button Filter - activation (P-AXIS-00319)

button Filter time constant (P-AXIS-00357)


Filter - order (P-AXIS-00140)

With this value the filter order is defined. In addition the parameter P-AXIS-00140 can be interpreted as the slope of frequency response of the filter. (decrease = - order x 20 dB/ Decade.)

Value order = 0 means : no filter is active.

Variable name | Type | Permissible range | Axis type | Dimension
order | UNS32 | 0 < order < 4 | ---- | ----


Filter - characteristic (P-AXIS-00153)

Variable name | Type | Permissible range | Axis type | Dimension
prototype | UNS32 | 1, 2, 3, 4, 5 | ---- | ----

1 | Filter characteristic  Critical damping 
2 | Butterworth filter characteristic
3 | Bessel filter characteristic
4 | Filter characteristic Chebychev
5 | Filter characteristic HSC


Filter - type (P-AXIS-00204)

Variable name | Type | Permissible range | Axis type | Dimension
type | UNS32 | 1, 2, 3, 4, 5 | ---- | ----

1 | Lowpass - filter
2 | Highpass - filter
3 | Bandpass - filter
4 | Bandstop - filter
5 | Allpass - filter


Filter - parameter (P-AXIS-00067)

Low pass: beginning of cut off frequency range (ideal filter)

High pass: beginning of cut off frequency range (ideal filter)

Bandpass- and bandstop filter: middle frequency

Variable name | Type | Permissible range | Axis type | Dimension
fg_f0 | REAL64 | 0 < fg_f0 < 0.5/TAb (mit TAb ->NC-cycle time) | ---- | ----


Filter - parameter (P-AXIS-00080)

Definition of reciprocal of bandwidth for filter types bandpass und bandstop.

Variable name | Type | Permissible range | Axis type | Dimension
guete | REAL64 | 1 < guete < 10 | ---- | ----


Filter - parameter (P-AXIS-00164)

The parameter defines the signal share in percent, which is processed by the filter.

Variable name | Type | Permissible range | Axis type | Dimension
share_percent | REAL64 | 0 < share_percent < 100 | ---- | ----


Filter - activation (P-AXIS-00319)

This parameter controles the general activation/deactivation of the filter function.

Variable name | Type | Permissible range | Axis type | Dimension
enable | BOOLEAN | 0 / 1 | T, R | ----

0 | Filter is disabled
1 | Filter is enabled

The filter function is only activated for filter orders > 0 (P-AXIS-00140).


Filter time constant (P-AXIS-00357)

This parameter defines the time constant of the PT1-filter.

Variable name | Type | Permissible range | Axis type | Dimension
time_constant | UNS32 | TAb ≤ time_constant ≤ MAX(UNS32) (with TAb ->NC-cycle time) | T, R, S | µs


Actual value transformation (trafo.actual_pos.*)

In this structure the parameters for the axis specific actual value transformation are defined.

More:

button Activation (P-AXIS-00368)

button Transformation ID (P-AXIS-00369)

button Transformation parameters (P-AXIS-00370)

button Additional input axes (P-AXIS-00371)


Activation (P-AXIS-00368)

This parameter controles the general activation/deactivation of the transformation. Selection/deselection is possible only during start-up.

Variable name | Type | Permissible range | Axis type | Dimension
enable | BOOLEAN | 0: Transformation is disabled (Default) 1: Transformation is enabled | T, R | ----


Transformation ID (P-AXIS-00369)

This parameter defines the value of the transformation ID.

Variable name | Type | Permissible range | Axis type | Dimension
id | UNS32 | 0: No function (Default) 1: Double axes angle-strut length transformation type 1 (*) 2: Double axes angle-strut length transformation type 2 (*) 3: Single axis angle-strut length transformation type 3 (*) | T, R | ----

(*) according to fine specification 421


Transformation parameters (P-AXIS-00370)

By this parameter the selected transformation (P-AXIS-00369) is parameterized. The significance of the parameters depends on the particular transformation.

Variable name | Type | Significance | Axis type | Dimension
param[i] | REAL64 | Depends on transformation ID | T, R | ----


Additional input axes (P-AXIS-00371)

Some specific transformation types, like transformation ID 1 and 2, require as input variable not only the current actual position of the related axis, but also the actual positions of additional axes. This parameter allows the definition of additional input axes by their logical axis numbers.

Variable name | Type | Permissible range | Axis type | Dimension
input[i].nr | UNS16 | 0 < nr < MAX(UNS16) | T, R | ----


Command value transformation (trafo.command_pos.*)

In this structure the parameters for the axis specific command value transformation are defined.

More:

button Activation (P-AXIS-00380)

button Transformation ID (P-AXIS-00381)

button Transformation parameters (P-AXIS-00382)


Activation (P-AXIS-00380)

This parameter controles the general activation/deactivation of the transformation. Selection/deselection is possible only during start-up.

Variable name | Type | Permissible range | Axis type | Dimension
enable | BOOLEAN | 0: Transformation is disabled (Default) 1: Transformation is enabled | R | ----


Transformation ID (P-AXIS-00381)

This parameter defines the value of the transformation ID. At the moment the following transformation functions are available:

Variable name | Type | Permissible range | Axis type | Dimension
id | UNS32 | 0, 1, 2, 3, 4 | R | ----

0 | No function (Default)
1 | e-function, transformation from linear motion to rotation
2 | Crank function, transformation from linear motion to rotation
3 | - Eccentric function (in preparation)
4 | Crank kinematic, transformation from rotation to linear motion


Transformation parameters (P-AXIS-00382)

Variable name

Type

Significance (depends on transformation ID)

Axis type

Dimension

param[i]

REAL64

ID 1

param[0] | h (*)
param[1] | k0 (*)
param[2] | k1 (*)
param[3] | k2 (*)

(*see equations of the functions)

ID 2:

param[0] | Crank length l1
param[1] | Con-rod length l2
param[2] | Eccentricity e
param[3] | Solution range for motor angle ϕ M 0:.0..180 degree 1: 180..360 degree
param[4] | Moving direction of linear axis 0: positive 1: negative

ID 4:

param[0] | la Distance 1 hinge points
param[1] | lb Distance 2 hinge points
param[2] | Crank length lh
param[3] | Offset zero position linear axis

R

----

ID 1: e- function

Example:

trafo.act_pos.param[0] 10000

trafo.act_pos.param[1] 1.0

trafo.act_pos.param[2] 2.0

trafo.act_pos.param[3] 1.0

ID2: Crank

Example:

trafo.act_pos.param[0] 1000000

trafo.act_pos.param[1] 3000000

trafo.act_pos.param[2] 0

trafo.act_pos.param[3] 0

ID4: Crank with linkage by linear axis

Example:

trafo.command_pos.param[0] 1000000

trafo.command_pos.param[1] 1410000

trafo.command_pos.param[2] 1000000

trafo.command_pos.param[3] 0

If the kinematic is in zero position(β=0), the transformation delivers for ls the position 0. If necessary, by param[3] an offset to this position can be defined.


Path dependend dynamic weighting (dynamic_weighting.*)

For reducing the machine excitation in some special technologies (e.g. punching) it is required, to weight during rapid feed motion the dynamic limit values (velocity, acceleration, jerk) depending on the relative path distance of the axes, involved in motion.

The dynamic weighting is activated by P-AXIS-00431 and is only effective, if the channel specific path dependend weighting (P-CHAN-00190) is disabled.

A programmed weighting with G129 overwrites the values of the path dependend dynamic weighting!

More:

button Activation of dynamic weighting (P-AXIS-00431)

button Table of dynamic weightings (dynamic_weighting.param[i].*)


Activation of dynamic weighting (P-AXIS-00431)

This parameter enables the automatically path dependend dynamic weighting in the axis.

Variable name | Type | Permissible range | Axis type | Dimension
enable | BOOLEAN | 0: Weighting in axis is not active (default) 1: Weighting in axis is active | T, R | ----


Table of dynamic weightings (dynamic_weighting.param[i].*)

This structure consists of the elements for the path limit and the assigned weighting factors for the velocity, acceleration and ramp time for rapid feed .

Variable name | Type | Index | Dimension
param[i] |  | i = 0 .. [MAX_NBR_DYN_WEIGHT_AXIS - 1] | ----

Value MAX_NBR_DYN_WEIGHT_AXIS | Significance
8 (application-dependent) | Maximum number of table entries

For the definition of the table entries the following further conditions have to take into consideration:

q For increasing indices also the path distance limit values are increasing.

q The weighting factor is limited on a minimum value of 1 %. In addition as lower limit for the ramp time the minimum ramp time tr_min (P-AXIS-00201) has to take into consideration.

q To the upper limit the weighting is possible to the maximum value of vb_max (P-AXIS-00212) and a_max (P-AXIS-00008). There is no upper limit for the weighting of the ramp time tr_grenz (P-AXIS-00200).

More:

button Path distance limit (P-AXIS-00432)

button Weighting factor for rapid feed velocity (P-AXIS-00433)

button Weighting factor for rapid feed acceleration (P-AXIS-00434)

button Weighting factor for rapid feed ramp time (P-AXIS-00435)

button Example of a table


Path distance limit (P-AXIS-00432)

By this element the upper path distance limit is defined. Up to this limit the weighting factors of the other current entries under the same index <i> are effective. The following relation is important:

 |  | i =0 | i >=1
Path distance limit | Lower limit | 0 | path_limit[i-1]
 | Upper limit | path_limit[i] | path_limit[i]

For the last/highest index the upper path distance limit means the maximum possible relative path distance of the axis.

Variable name | Type | Permissible range | Axis type | Dimension
path_limit | UNS32 | 0 < path_limit < MAX(UNS32) | T | 0.1 μ m
 |  |  | R | 0.0001°


Weighting factor for rapid feed velocity (P-AXIS-00433)

By this element under index i the weighting factor for rapid feed velocity is defined.

Variable name | Type | Permissible range | Axis type | Dimension
velocity_fact | UNS32 | 10 < velocity_fact < MAX(UNS32) | T, R | 0,1 %


Weighting factor for rapid feed acceleration (P-AXIS-00434)

By this element under index i the weighting factor for rapid feed acceleration is defined.

Variable name | Type | Permissible range | Axis type | Dimension
acceleration_fact | UNS32 | 10 < acceleration_fact < MAX(UNS32) | T, R | 0,1 %


Weighting factor for rapid feed ramp time (P-AXIS-00435)

By this element under index i the weighting factor for rapid feed ramp time is defined.

Variable name | Type | Permissible range | Axis type | Dimension
ramp_time_fact | UNS32 | 10 < ramp_time_fact < MAX(UNS32) | T, R | 0,1 %


Example of a table

Basis is the following table of dynamic weighting values with 6 rows:

Index | Path limit value path_limit [0.1 µm] (range limits) | Weighting factors velocity_fact [0.1%] | Weighting factors acceleration_fact [0.1%] | Weighting factors ramp_time_fact [0.1%]
0 | 10000 (0-10000) | 100 | 1000 | 1000
1 | 20000 (10000-20000) | 200 | 900 | 1500
2 | 40000 (20000-40000) | 300 | 800 | 2000
3 | 80000 (40000-80000) | 400 | 700 | 3000
4 | 160000 (80000-160000) | 500 | 600 | 4000
5 | 200000000 (160000-200000000) | 1000 | 500 | 5000

Mapping of the weighting table on the structure of the axis parameters:

# Axis dependend dynamic weighting

# ================================

dynamic_weighting.enable 1 0: not active 1: active

#

dynamic_weighting.param[0].path_limit 10000 [0.1µm]

dynamic_weighting.param[0].velocity_fact 100 [0.1%]

dynamic_weighting.param[0].acceleration_fact 1000 [0.1%]

dynamic_weighting.param[0].ramp_time_fact 1000 [0.1%]

dynamic_weighting.param[1].path_limit 20000 [0.1µm]

dynamic_weighting.param[1].velocity_fact 200 [0.1%]

dynamic_weighting.param[1].acceleration_fact 900 [0.1%]

dynamic_weighting.param[1].ramp_time_fact 1500 [0.1%]

dynamic_weighting.param[2].path_limit 40000 [0.1µm]

dynamic_weighting.param[2].velocity_fact 300 [0.1%]

dynamic_weighting.param[2].acceleration_fact 800 [0.1%]

dynamic_weighting.param[2].ramp_time_fact 2000 [0.1%]

dynamic_weighting.param[3].path_limit 80000 [0.1µm]

dynamic_weighting.param[3].velocity_fact 400 [0.1%]

dynamic_weighting.param[3].acceleration_fact 700 [0.1%]

dynamic_weighting.param[3].ramp_time_fact 3000 [0.1%]

dynamic_weighting.param[4].path_limit 160000 [0.1µm]

dynamic_weighting.param[4].velocity_fact 500 [0.1%]

dynamic_weighting.param[4].acceleration_fact 600 [0.1%]

dynamic_weighting.param[4].ramp_time_fact 4000 [0.1%]

dynamic_weighting.param[5].path_limit 200000000 [0.1µm]

dynamic_weighting.param[5].velocity_fact 1000 [0.1%]

dynamic_weighting.param[5].acceleration_fact 500 [0.1%]

dynamic_weighting.param[5].ramp_time_fact 5000 [0.1%]


Parameters used by Twincat system manager (twincat.*)

This structure is used for operation with Twincat system via ADS communication. Via ADS communication access to axis specific objects is possible. No setting by operator necessary, all subelements and structures are used or managed by Twincat.


Parameters, that are being used at the moment only in axis management

More:

button Maximum permissible acceleration override (P-AXIS-00107)

button Virtual radius (P-AXIS-00222)

button Control type (P-AXIS-00163)

button Feedforward control values

button Application-dependent, position-controller-specific axis peripheral elements

button Axis list header


Maximum permissible acceleration override (P-AXIS-00107)

Variable name | Type | Permissible range | Axis type | Dimension
max_a_override | UNS16 |  | T, R | 0,1%


Virtual radius (P-AXIS-00222)

Variable name | Type | Permissible range | Axis type | Dimension
virtuel_rad | UNS32 |  | T, R | ----


Control type (P-AXIS-00163)

Variable name | Type | Permissible range | Axis type | Dimension
regel_typ | UNS16 |  | T, R | ----


Feedforward control values

More:

button Max. permis. jump in the down-gradation of feed forward (P-AXIS-00227)


Max. permis. jump in the down-gradation of feed forward (P-AXIS-00227)

Variable name | Type | Permissible range | Axis type | Dimension
vs_max_sprung | SGN32 | MAX(SGN32) > vs_max_sprung | T, R | ----


Application-dependent, position-controller-specific axis peripheral elements

More:

button Activation of modulo calculation (P-AXIS-00121)

button Cam length (P-AXIS-00133)


Activation of modulo calculation (P-AXIS-00121)

Variable name | Type | Permissible range | Axis type | Dimension
mod_rechng | BOOLEAN | 0 / 1 | T, R | ----


Cam length (P-AXIS-00133)

Variable name | Type | Permissible range | Axis type | Dimension
nocken_laenge | UNS32 | MAX(UNS32) > nocken_laenge > 0 | T | 0,1µm
 |  |  | R | 0,0001°


Axis list header

fb_nr | Function block number of BF, not used at the moment.
achs_nr | Logical axis number.
Achs_ident | Axis specification continuing, not used at the moment.
mds_ident | Identification of machine axis data RECONFIG: Reconfiguration of machine axis data permitted. The define RECONFIG is included in the module konfig.inc.
Anzahl | No. Of values, not used at the moment.
Info | Information, not used at the moment.
log_achs_name | Axis designation, string with ACHS_NAME_LAENGE Elements of type SGN08, intended for modified error message, not used at the moment.


Parameters, that are not being used at the moment in axis management

More:

button Settings for an axis pair

button Number of drift values for automatic drift value calculation (P-AXIS-00022)

button Tolerance range monitoring for following error (P-AXIS-00171)

button Parameter for path control (bahnrg.*)


Settings for an axis pair

More:

button Physical number of axis pair (P-AXIS-00143)

button Axis pair present (P-AXIS-00142)

button Homing direction for axis pair (P-AXIS-00144)

button Ident. codes, which are to be active for monitoring fct. (P-AXIS-00104)


Physical number of axis pair (P-AXIS-00143)

Variable name | Type | Permissible range | Axis type | Dimension
paar_ax_nr | UNS08 | MAX(UNS08) > paar_ax_nr > 0 | T, R | ----

Intended e.g. for handling rotary/tilting drives.


Axis pair present (P-AXIS-00142)

Variable name | Type | Permissible range | Axis type | Dimension
paar_achse | BOOLEAN | 0 / 1 | T, R | ----

Intended e.g. for handling rotary/tilting drives


Homing direction for axis pair (P-AXIS-00144)

Variable name | Type | Permissible range | Axis type | Dimension
paar_ref_richt | BOOLEAN | 0 / 1 | T, R | ----

Intended e.g. for handling turning/swivel-articulated drives for homing.


Ident. codes, which are to be active for monitoring fct. (P-AXIS-00104)

Variable name | Type | Permissible range | Axis type | Dimension
lr_ueberwach | UNS32 | MAX(UNS32) > lr_ueberwach > 0 | T, R | ----


Number of drift values for automatic drift value calculation (P-AXIS-00022)

Variable name | Type | Permissible range | Axis type | Dimension
anz_driftwerte | UNS16 | MAX(UNS16) > anz_driftwerte > 0 | T, R | ----


Tolerance range monitoring for following error (P-AXIS-00171)

Variable name | Type | Permissible range | Axis type | Dimension
slep_toleranz | SGN16 | MAX(SGN16) > slep_toleranz > 0 | T, R | ----


Parameter for path control (bahnrg.*)

More:

button Proportional factor for path control, numerator P-AXIS-00034)

button Proportional factor for path control, denominator (P-AXIS-00035)

button Integral factor for path control, numerator (P-AXIS-00032)

button Integral factor for path control, denominator (P-AXIS-00033)

button Activation of toolpath control (P-AXIS-00029)


Proportional factor for path control, numerator P-AXIS-00034)

Variable name | Type | Permissible range | Axis type | Dimension
br_p_faktor | SNG32 |  | T, R | ----


Proportional factor for path control, denominator (P-AXIS-00035)

Variable name | Type | Permissible range | Axis type | Dimension
br_p_nenner | SNG32 |  | T, R | ----


Integral factor for path control, numerator (P-AXIS-00032)

Variable name | Type | Permissible range | Axis type | Dimension
br_i_faktor | SNG32 |  | T, R | ----


Integral factor for path control, denominator (P-AXIS-00033)

Variable name | Type | Permissible range | Axis type | Dimension
br_i_nenner | SNG32 |  | T, R | ----


Activation of toolpath control (P-AXIS-00029)

Variable name | Type | Permissible range | Axis type | Dimension
bahnregelung | BOOLEAN | 0 / 1 | T, R | ----